(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    213334,       4753]
NotebookOptionsPosition[    207144,       4566]
NotebookOutlinePosition[    207835,       4588]
CellTagsIndexPosition[    207792,       4585]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["DeltaRobot geometry", "Subsubtitle",
 CellChangeTimes->{{3.494179368709055*^9, 3.4941793769233503`*^9}, {
  3.494315262368292*^9, 3.494315265548102*^9}}],

Cell["\<\
Willy Svenningsson 2010-09-23
willy.svenningsson@fager.st\
\>", "Text",
 CellChangeTimes->{3.494581666306079*^9}],

Cell[CellGroupData[{

Cell["Engine part", "Section",
 CellChangeTimes->{{3.4941821874512243`*^9, 3.4941821925386677`*^9}}],

Cell["\<\
We start with some basics.
An engine iwill be located at origo with it's turning axes along the x-axes.
On the engine axis there is a rod attatched so it can sweep in the y-z plane.
We will later on deal with coordination the rod angle of three such engines \
in order to be a delta robot\
\>", "Text",
 CellChangeTimes->{{3.494179414866054*^9, 3.494179567973997*^9}, 
   3.494179618262348*^9, 3.4941821393990307`*^9, {3.494182248258656*^9, 
   3.4941823814791193`*^9}, {3.4943152785324707`*^9, 3.494315312292075*^9}, {
   3.4943153752440357`*^9, 3.494315376931758*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theMotorAxesLength", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theMotorAxesDiameter", "=", "0.2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theMotorWidthAndHeigth", "=", 
   RowBox[{"theMotorAxesDiameter", "*", "3.0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theMotorOffset", "=", ".4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theRodWidth", "=", 
   RowBox[{"theMotorOffset", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theRodHeight", "=", 
   RowBox[{"2", "*", "theRodWidth"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theRodLength", "=", 
   RowBox[{"theRodHeight", "*", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"theRodOffset", "=", 
    RowBox[{"theMotorAxesDiameter", "*", "1.3"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theMotor", "=", 
   RowBox[{"Cuboid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "theMotorAxesLength"}], ",", 
       RowBox[{
        RowBox[{"-", "theMotorWidthAndHeigth"}], "/", "2"}], ",", 
       RowBox[{
        RowBox[{"-", "theMotorWidthAndHeigth"}], "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "theMotorOffset"}], ",", 
       RowBox[{"theMotorWidthAndHeigth", "/", "2"}], ",", 
       RowBox[{"theMotorWidthAndHeigth", "/", "2"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theMotorAxes", "=", 
   RowBox[{"Cylinder", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "theMotorAxesLength"}], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{".2", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"theMotorAxesDiameter", "/", "2"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theRod", "=", 
   RowBox[{"Cuboid", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "theRodWidth"}], "/", "2"}], ",", 
       RowBox[{"-", "theRodOffset"}], ",", 
       RowBox[{
        RowBox[{"-", "theRodHeight"}], "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"theRodWidth", "/", "2"}], ",", 
       RowBox[{"theRodLength", "-", "theRodOffset"}], ",", 
       RowBox[{"theRodHeight", "/", "2"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theTurnRod", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{"theRod", ",", 
     RowBox[{"30", " ", "Degree"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theRodSweepCircle", "=", 
   RowBox[{"Line", "@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theRodLength", "-", "theRodOffset"}], ")"}], 
         RowBox[{"Cos", "[", "alpha", "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"theRodLength", "-", "theRodOffset"}], ")"}], 
         RowBox[{"Sin", "[", "alpha", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"alpha", ",", "0", ",", 
        RowBox[{"2", "Pi"}], ",", 
        RowBox[{"Pi", "/", "16"}]}], "}"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494179627460257*^9, 3.494179723307391*^9}, {
   3.4941800303815536`*^9, 3.494180402131659*^9}, {3.494180432925468*^9, 
   3.494180486796331*^9}, {3.494180523676146*^9, 3.494180546377118*^9}, {
   3.494180586311908*^9, 3.494180592181554*^9}, {3.494180655710121*^9, 
   3.49418067515724*^9}, {3.494180893666809*^9, 3.4941809564799547`*^9}, {
   3.4941809874717913`*^9, 3.494181073765153*^9}, {3.494181110044374*^9, 
   3.494181177392355*^9}, {3.494181222095948*^9, 3.4941813082444572`*^9}, {
   3.4941813561474733`*^9, 3.4941813575357733`*^9}, 3.494181414198311*^9, {
   3.494181454730874*^9, 3.494181464289854*^9}, {3.49418150573132*^9, 
   3.494181685967642*^9}, {3.4941817218271112`*^9, 3.494181864653987*^9}, {
   3.494181899811323*^9, 3.494181913363564*^9}, 3.494315321133957*^9}],

Cell["We assign an anchor point (APE) at the end of the engine rod", "Text",
 CellChangeTimes->{{3.494186256679203*^9, 3.494186314493745*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theApeCoords", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"theRodLength", "-", "theRodOffset"}], ",", "0"}], "}"}], ".", 
    RowBox[{"RotationMatrix", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "30"}], " ", "Degree"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theAPE", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"PointSize", "[", ".14", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Point", "[", "theApeCoords", "]"}], ","}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Sphere", "[", 
      RowBox[{"theApeCoords", ",", "theRodWidth"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<APE\>\"", ",", "theApeCoords", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.4941863210570927`*^9, 3.494186323870388*^9}, {
  3.4941864113934727`*^9, 3.494186471582962*^9}, {3.494186516215538*^9, 
  3.494186592206728*^9}, {3.49418662240654*^9, 3.494186675418583*^9}, {
  3.4941867063062553`*^9, 3.494186706356707*^9}, {3.494186744409693*^9, 
  3.4941867515069933`*^9}, {3.494346076539953*^9, 3.4943461359640217`*^9}, {
  3.4943461660940943`*^9, 3.494346168307294*^9}}],

Cell["Compose one bearing", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theRadillLength", "=", 
   RowBox[{"4", "*", "theRodWidth"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theRadillRadi", "=", 
   RowBox[{"theRodHeight", "/", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"theRadillBearing", "=", 
    RowBox[{"Cylinder", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "theRadillLength"}], "/", "2"}], ",", "0", ",", "0"}],
          "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"theRadillLength", "/", "2"}], ",", "0", ",", "0"}], 
         "}"}]}], "}"}], ",", "theRadillRadi"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"theSphericalBearing", "=", 
    RowBox[{"Sphere", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "theRodWidth"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"oneBearing", "=", 
    RowBox[{"{", 
     RowBox[{"theRadillBearing", ",", "\[IndentingNewLine]", 
      RowBox[{"Translate", "[", 
       RowBox[{"theSphericalBearing", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"theRadillLength", "/", "2"}], "+", "theRadillRadi"}], 
            ")"}]}], ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Translate", "[", 
       RowBox[{"theSphericalBearing", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"+", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"theRadillLength", "/", "2"}], "+", "theRadillRadi"}], 
            ")"}]}], ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bearingZero", "=", 
   RowBox[{"Translate", "[", 
    RowBox[{"oneBearing", ",", "theApeCoords"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494344969465629*^9, 3.4943449701952972`*^9}, {
   3.494345036315551*^9, 3.494345043502643*^9}, 3.494345117984996*^9, {
   3.4943451609128523`*^9, 3.494345177447006*^9}, {3.49434523649783*^9, 
   3.494345236555688*^9}, {3.494345334481674*^9, 3.494345344487221*^9}, {
   3.4943454790023003`*^9, 3.494345481039263*^9}, {3.494345523168872*^9, 
   3.4943455274322557`*^9}, {3.494345588706073*^9, 3.494345588792482*^9}, 
   3.494345921650134*^9, {3.494345962810349*^9, 3.494345963470277*^9}, {
   3.4943462066719933`*^9, 3.494346208599184*^9}, {3.494346263433879*^9, 
   3.494346263480793*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Opacity", "[", "0.3", "]"}], "\[IndentingNewLine]", ",", 
     "theMotor", "\[IndentingNewLine]", ",", "theMotorAxes", 
     "\[IndentingNewLine]", ",", "theTurnRod", "\[IndentingNewLine]", ",", 
     "theRodSweepCircle", "\[IndentingNewLine]", ",", 
     RowBox[{"Opacity", "[", "0.8", "]"}], "\[IndentingNewLine]", ",", 
     "Green", "\[IndentingNewLine]", ",", "theAPE", "\[IndentingNewLine]", 
     ",", "Red", "\[IndentingNewLine]", ",", "bearingZero"}], 
    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "->", "True"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.494179730727384*^9, 3.494179836111506*^9}, {
   3.4941799066646833`*^9, 3.494180010460734*^9}, {3.494180079084777*^9, 
   3.494180079132304*^9}, {3.494180495746488*^9, 3.4941804961769342`*^9}, {
   3.494180558640532*^9, 3.494180562094322*^9}, {3.494181188033959*^9, 
   3.4941811948010273`*^9}, 3.494181386679296*^9, {3.494181539138791*^9, 
   3.494181564937311*^9}, {3.494181874644669*^9, 3.494181875699987*^9}, {
   3.494181938055888*^9, 3.494181940210965*^9}, {3.4941866020283823`*^9, 
   3.494186603771305*^9}, {3.494186683403654*^9, 3.494186701583003*^9}, {
   3.4943212004746637`*^9, 3.4943212358544273`*^9}, {3.494345068780773*^9, 
   3.494345069784395*^9}, 3.494345121486315*^9, {3.494345948294586*^9, 
   3.494345948675109*^9}, {3.4943459898210573`*^9, 3.494345998219067*^9}, {
   3.4943460320294447`*^9, 3.4943460324518013`*^9}, {3.494346143332912*^9, 
   3.4943461460272093`*^9}, 3.4943462134456577`*^9}],

Cell[BoxData[
 Graphics3DBox[{
   {Opacity[0.3], 
    CuboidBox[{-1.5, -0.30000000000000004`, -0.30000000000000004`}, {-0.4, 
     0.30000000000000004`, 0.30000000000000004`}], 
    CylinderBox[{{-1.5, 0, 0}, {0.2, 0, 0}}, 0.1], 
    GeometricTransformation3DBox[
     CuboidBox[{-0.1, -0.26, -0.2}, {0.1, 1.74, 0.2}], 
     NCache[{{1, 0, 0}, {
       0, Rational[1, 2] 3^Rational[1, 2], Rational[-1, 2]}, {
       0, Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}}, {{1, 0, 0}, {
       0, 0.8660254037844386, -0.5}, {0, 0.5, 0.8660254037844386}}]], 
    Line3DBox[{{0, 1.74, 0}, {0, 1.7065663879016209`, 0.33945716030806317`}, {
      0, 1.607550386569639, 0.6658691723152562}, {
      0, 1.4467571254064286`, 0.9666922054541078}, {
      0, 1.2303657992645927`, 1.2303657992645927`}, {
      0, 0.9666922054541078, 1.4467571254064286`}, {
      0, 0.6658691723152562, 1.607550386569639}, {
      0, 0.33945716030806317`, 1.7065663879016209`}, {0, 0, 1.74}, {
      0, -0.33945716030806317`, 1.7065663879016209`}, {
      0, -0.6658691723152562, 1.607550386569639}, {
      0, -0.9666922054541078, 1.4467571254064286`}, {
      0, -1.2303657992645927`, 1.2303657992645927`}, {
      0, -1.4467571254064286`, 0.9666922054541078}, {
      0, -1.607550386569639, 0.6658691723152562}, {
      0, -1.7065663879016209`, 0.33945716030806317`}, {0, -1.74, 0}, {
      0, -1.7065663879016209`, -0.33945716030806317`}, {
      0, -1.607550386569639, -0.6658691723152562}, {
      0, -1.4467571254064286`, -0.9666922054541078}, {
      0, -1.2303657992645927`, -1.2303657992645927`}, {
      0, -0.9666922054541078, -1.4467571254064286`}, {
      0, -0.6658691723152562, -1.607550386569639}, {
      0, -0.33945716030806317`, -1.7065663879016209`}, {0, 0, -1.74}, {
      0, 0.33945716030806317`, -1.7065663879016209`}, {
      0, 0.6658691723152562, -1.607550386569639}, {
      0, 0.9666922054541078, -1.4467571254064286`}, {
      0, 1.2303657992645927`, -1.2303657992645927`}, {
      0, 1.4467571254064286`, -0.9666922054541078}, {
      0, 1.607550386569639, -0.6658691723152562}, {
      0, 1.7065663879016209`, -0.33945716030806317`}, {0, 1.74, 0}}]}, 
   {RGBColor[0, 1, 0], Opacity[
    0.8], {SphereBox[{0., 1.5068842025849232`, 0.87}, 0.2], Text3DBox[
      FormBox["\<\"APE\"\>", TraditionalForm], {0., 1.5068842025849232`, 
      0.87}, {-2, 2}]}, 
    {RGBColor[1, 0, 0], 
     GeometricTransformation3DBox[{
       CylinderBox[{{-0.4, 0, 0}, {0.4, 0, 0}}, 0.08000000000000002], 
       GeometricTransformation3DBox[
        SphereBox[{0, 0, 0}, 0.2], {-0.48000000000000004`, 0, 0}], 
       GeometricTransformation3DBox[SphereBox[{0, 0, 0}, 0.2], {
        0.48000000000000004`, 0, 0}]}, {0., 1.5068842025849232`, 0.87}]}}},
  Axes->True,
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"y\"", TraditionalForm], 
    FormBox["\"z\"", TraditionalForm]}]], "Output",
 CellChangeTimes->{{3.494345980660376*^9, 3.494345999298131*^9}, 
   3.494346033450158*^9, {3.4943461386137047`*^9, 3.494346171352312*^9}, 
   3.494346265040785*^9, 3.494391781047971*^9, 3.49439318307627*^9, 
   3.494508825039473*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Movable tool", "Section",
 CellChangeTimes->{{3.4941822192183237`*^9, 3.494182226113983*^9}, {
  3.494186805445602*^9, 3.4941868076358624`*^9}}],

Cell["\<\
The operated tool of this robot has desired position of {x,y,z}.
In this point we construct a triangle with equal sides.
Each corner is connected to the end of the above rod.
The very innovation in the delta robot is that this connection is built by \
two fixed length rods
which are kept in parallell using one radil bearing and two spherical \
bearings at each end.
But this double rod have no impact on the mathematical solution actually! \
\>", "Text",
 CellChangeTimes->{{3.4941824438952312`*^9, 3.494182569499262*^9}, {
   3.494182619285761*^9, 3.494182827566452*^9}, 3.494273401148716*^9, {
   3.494315401800935*^9, 3.494315454243574*^9}}],

Cell["We look into this tool fixtur", "Text",
 CellChangeTimes->{{3.494182953580956*^9, 3.494182976746785*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"theTriangleRadi", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theTriangleCorner1", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "theTriangleRadi"}], ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theTriangleCorner1Y", "=", 
   RowBox[{"theTriangleCorner1", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rot1", "=", 
   RowBox[{"RotationMatrix", "[", 
    RowBox[{
     RowBox[{"2", 
      RowBox[{"Pi", "/", "3"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rot2", "=", 
   RowBox[{"RotationMatrix", "[", 
    RowBox[{
     RowBox[{"2", 
      RowBox[{"Pi", "/", "3"}], "*", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theTringleCorners", "=", 
   RowBox[{"{", 
    RowBox[{"theTriangleCorner1", ",", 
     RowBox[{"theTriangleCorner1", ".", "rot1"}], ",", 
     RowBox[{"theTriangleCorner1", ".", "rot2"}]}], "}"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.494182834689726*^9, 3.4941828778539658`*^9}, {
   3.494182992533498*^9, 3.494183000763403*^9}, {3.4941830392829514`*^9, 
   3.494183108634101*^9}, {3.494183461743977*^9, 3.494183506130003*^9}, {
   3.4941836453639603`*^9, 3.49418365109788*^9}, {3.4941837040424137`*^9, 
   3.494183822016439*^9}, {3.494183864094632*^9, 3.494183882628866*^9}, {
   3.494183919477621*^9, 3.494183920939623*^9}, {3.494184035218183*^9, 
   3.4941840398159437`*^9}, 3.494184101054819*^9, {3.4941841552510767`*^9, 
   3.494184184059518*^9}, {3.494184236697958*^9, 3.494184289338312*^9}, {
   3.494184328306922*^9, 3.494184337329027*^9}, {3.49418438575141*^9, 
   3.494184411521328*^9}, {3.4941844466823397`*^9, 3.4941844524188623`*^9}, {
   3.494184487515428*^9, 3.494184633115588*^9}, 3.4941846870636673`*^9, {
   3.4941847513218184`*^9, 3.494184793463331*^9}, 3.494184838239362*^9, {
   3.494185215684607*^9, 3.494185220443345*^9}, {3.494273389982139*^9, 
   3.494273390804304*^9}, {3.4943155031589947`*^9, 3.4943155171761007`*^9}, {
   3.494321482761938*^9, 3.494321495990562*^9}, {3.4943215529763613`*^9, 
   3.494321567118483*^9}, {3.4943446444914827`*^9, 3.4943446580328197`*^9}, {
   3.494344735505908*^9, 3.494344751328478*^9}, {3.4943461930340357`*^9, 
   3.494346196554009*^9}, {3.494346290249694*^9, 3.494346309729701*^9}}],

Cell["Tripple the tool bearing", "Text",
 CellChangeTimes->{{3.494344850617075*^9, 3.494344868030155*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"bearing1", "=", 
   RowBox[{"Translate", "[", 
    RowBox[{"oneBearing", ",", "theTriangleCorner1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bearing23", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Rotate", "[", 
      RowBox[{"bearing1", ",", 
       RowBox[{"2", 
        RowBox[{"Pi", "/", "3"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"Rotate", "[", 
      RowBox[{"bearing1", ",", 
       RowBox[{"2", "*", "2", 
        RowBox[{"Pi", "/", "3"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.494185160108777*^9, 3.494185193515737*^9}, {
  3.494185255227149*^9, 3.494185265801257*^9}, {3.4941853362016163`*^9, 
  3.494185404030105*^9}, {3.494185654786331*^9, 3.494185750023388*^9}}],

Cell["\<\
Note the anchorpoint in the tool (APT) for the rod to the counterpart \
anchorpoint (APE) on the engine swing rod. \
\>", "Text",
 CellChangeTimes->{{3.494185789082069*^9, 3.494185847592852*^9}, {
  3.494186200122388*^9, 3.4941862314157677`*^9}, {3.49418633506173*^9, 
  3.494186348173317*^9}, {3.4941863809101877`*^9, 3.494186396020317*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"theAPT", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PointSize", "[", ".15", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Sphere", "[", 
      RowBox[{"theTriangleCorner1", ",", "theRodWidth"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<APT\>\"", ",", "theTriangleCorner1", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.494185852170044*^9, 3.494186115854691*^9}, 
   3.494186353087995*^9, 3.494186732041963*^9, {3.4943463322295427`*^9, 
   3.4943463890574713`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Opacity", "[", "0.9", "]"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Polygon", "@", "theTringleCorners"}], "\[IndentingNewLine]", 
     ",", 
     RowBox[{"Opacity", "[", "0.2", "]"}], "\[IndentingNewLine]", ",", 
     "bearing1", "\[IndentingNewLine]", ",", "bearing23", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"Opacity", "[", "0.8", "]"}], "\[IndentingNewLine]", ",", "Red", 
     "\[IndentingNewLine]", ",", "theAPT"}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"Axes", "->", "True"}], ",", 
   RowBox[{"Ticks", "->", "None"}], ",", 
   RowBox[{"PlotRange", "->", "Automatic"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.494183932987227*^9, 3.49418396685075*^9}, {
   3.494184057424576*^9, 3.494184090404607*^9}, {3.49418434367047*^9, 
   3.4941843446137943`*^9}, {3.4941844668673143`*^9, 
   3.4941844713062696`*^9}, {3.4941848013217154`*^9, 3.494184802393237*^9}, {
   3.494185072586392*^9, 3.4941850734579153`*^9}, {3.494185126993351*^9, 
   3.494185127855933*^9}, {3.494185199319018*^9, 3.494185200430106*^9}, {
   3.494185234918148*^9, 3.4941852361967793`*^9}, {3.494185271948861*^9, 
   3.494185280067101*^9}, {3.494185413712483*^9, 3.4941854145760098`*^9}, {
   3.494185533181759*^9, 3.494185544270692*^9}, {3.494185757680439*^9, 
   3.49418576823393*^9}, {3.494185955106632*^9, 3.494185957391223*^9}, {
   3.4941859958811293`*^9, 3.494186005929042*^9}, {3.494186166183527*^9, 
   3.494186171061923*^9}, 3.494186356962144*^9, {3.494186719452877*^9, 
   3.494186721130979*^9}, {3.49432163523553*^9, 3.494321645498358*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {Opacity[0.9], 
    Polygon3DBox[{{0, -1.5, 0}, {-1.299038105676658, 0.75, 0.}, {
      1.299038105676658, 0.75, 0.}}]}, 
   {Opacity[0.2], 
    GeometricTransformation3DBox[{
      CylinderBox[{{-0.4, 0, 0}, {0.4, 0, 0}}, 0.08000000000000002], 
      GeometricTransformation3DBox[
       SphereBox[{0, 0, 0}, 0.2], {-0.48000000000000004`, 0, 0}], 
      GeometricTransformation3DBox[SphereBox[{0, 0, 0}, 0.2], {
       0.48000000000000004`, 0, 0}]}, {0, -1.5, 0}], {
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[{
        CylinderBox[{{-0.4, 0, 0}, {0.4, 0, 0}}, 0.08000000000000002], 
        GeometricTransformation3DBox[
         SphereBox[{0, 0, 0}, 0.2], {-0.48000000000000004`, 0, 0}], 
        GeometricTransformation3DBox[SphereBox[{0, 0, 0}, 0.2], {
         0.48000000000000004`, 0, 0}]}, {0, -1.5, 0}], 
      NCache[{{Rational[-1, 2], Rational[-1, 2] 3^Rational[1, 2], 0}, {
        Rational[1, 2] 3^Rational[1, 2], Rational[-1, 2], 0}, {0, 0, 
        1}}, {{-0.5, -0.8660254037844386, 0}, {0.8660254037844386, -0.5, 0}, {
        0, 0, 1}}]], 
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[{
        CylinderBox[{{-0.4, 0, 0}, {0.4, 0, 0}}, 0.08000000000000002], 
        GeometricTransformation3DBox[
         SphereBox[{0, 0, 0}, 0.2], {-0.48000000000000004`, 0, 0}], 
        GeometricTransformation3DBox[SphereBox[{0, 0, 0}, 0.2], {
         0.48000000000000004`, 0, 0}]}, {0, -1.5, 0}], 
      NCache[{{Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2], 0}, {
        Rational[-1, 2] 3^Rational[1, 2], Rational[-1, 2], 0}, {0, 0, 
        1}}, {{-0.5, 0.8660254037844386, 0}, {-0.8660254037844386, -0.5, 0}, {
        0, 0, 1}}]]}}, 
   {RGBColor[1, 0, 0], Opacity[0.8], 
    {PointSize[0.15], SphereBox[{0, -1.5, 0}, 0.2], Text3DBox[
      FormBox["\<\"APT\"\>", TraditionalForm], {0, -1.5, 0}, {3, 3}]}}},
  Axes->True,
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"y\"", TraditionalForm], 
    FormBox["\"z\"", TraditionalForm]},
  PlotRange->Automatic,
  Ticks->None]], "Output",
 CellChangeTimes->{
  3.494184840733932*^9, 3.494185074202362*^9, {3.49418511338282*^9, 
   3.4941851292594347`*^9}, {3.494185201379195*^9, 3.494185225186038*^9}, {
   3.494185276056242*^9, 3.494185281109953*^9}, 3.494185415297907*^9, {
   3.494185536206184*^9, 3.494185552569208*^9}, 3.494185589049714*^9, 
   3.4941857587955503`*^9, {3.494185958535018*^9, 3.494186117544773*^9}, 
   3.494186171278884*^9, {3.494186358229982*^9, 3.494186365215225*^9}, 
   3.494186722241728*^9, 3.494312783566341*^9, 3.4943130205269814`*^9, 
   3.494315590414352*^9, 3.494321514442883*^9, {3.494321573247666*^9, 
   3.4943216031765327`*^9}, {3.4943216369942493`*^9, 3.4943216471938066`*^9}, 
   3.494344012470695*^9, 3.494344775054686*^9, 3.49434624076208*^9, {
   3.494346278559539*^9, 3.4943462943121557`*^9}, 3.494346391143757*^9, 
   3.494391784246052*^9, 3.494393187328257*^9, 3.494508825919183*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Geometry", "Section",
 CellChangeTimes->{{3.494225849037674*^9, 3.494225858916127*^9}, 
   3.49451538784064*^9}],

Cell[CellGroupData[{

Cell["Functions ", "Subsection",
 CellChangeTimes->{{3.494226690861813*^9, 3.494226693179624*^9}, 
   3.49431561886843*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "@", "reduceDimension"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reduceDimension", "[", 
   RowBox[{"direction2_", ",", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}], "[", 
   RowBox[{"[", "direction2", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reduceDimension", "[", 
   RowBox[{"direction2_", ",", "l__"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "[", 
        RowBox[{"[", "direction2", "]"}], "]"}], ")"}], "&"}], ",", "l", ",", 
     
     RowBox[{"{", "2", "}"}]}], "]"}], "/;", 
   RowBox[{
    RowBox[{"Head", "[", "l", "]"}], "==", 
    "Polygon"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reduceDimension", "[", 
   RowBox[{"direction2_", ",", "l__"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Opacity", "[", "1.0", "]"}], ",", 
     RowBox[{"Line", "@", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"l", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "direction2", "]"}], "]"}], "+", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"l", "[", 
             RowBox[{"[", "2", "]"}], "]"}], 
            RowBox[{"Cos", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{"l", "[", 
             RowBox[{"[", "2", "]"}], "]"}], 
            RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"2", "Pi"}], ",", 
          RowBox[{"Pi", "/", "16"}]}], "}"}]}], "]"}]}]}], "}"}], "/;", 
   RowBox[{
    RowBox[{"Head", "[", "l", "]"}], "==", 
    "Sphere"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reduceDimension", "[", 
   RowBox[{"direction2_", ",", "l__"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"reduceDimension", "[", 
       RowBox[{"direction2", ",", "#"}], "]"}], ")"}], "&"}], ",", "l"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.494251253707543*^9, 3.494251261041823*^9}, {
  3.49425137245359*^9, 3.494251450374897*^9}, {3.494251576865116*^9, 
  3.4942516347037783`*^9}, {3.494251757729766*^9, 3.4942517598639393`*^9}, {
  3.494251801706057*^9, 3.49425180498409*^9}, {3.4942518482760353`*^9, 
  3.494251854330967*^9}, {3.49425193223483*^9, 3.4942519329197073`*^9}, {
  3.494252238362154*^9, 3.494252266777564*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"turnAPoint", "[", 
   RowBox[{"thePoint_", ",", "inPoint_", ",", "vridAxel_", ",", "alfa_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vin", ",", "vut"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"vin", "=", 
      RowBox[{"thePoint", "-", "inPoint"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vut", "=", 
      RowBox[{"inPoint", "+", 
       RowBox[{"vin", " ", 
        RowBox[{"Cos", "[", "alfa", "]"}]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"Cross", "[", 
         RowBox[{"vridAxel", ",", "vin"}], "]"}], 
        RowBox[{"Sin", "[", "alfa", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
     "vut"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.465180024297312*^9, 3.465180028967308*^9}, 
   3.4943156875098467`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PointStamp", "[", 
    RowBox[{"p_", ",", "name_"}], "]"}], ":=", 
   RowBox[{"PointStamp", "[", 
    RowBox[{"p", ",", "name", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PointStamp", "[", 
    RowBox[{"p_", ",", "name_", ",", "dir_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Point", "[", "p", "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{"name", ",", "p", ",", "dir"}], "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.494232530726493*^9, 3.494232586930511*^9}, {
  3.494232632565152*^9, 3.494232635955764*^9}, {3.494252715123499*^9, 
  3.4942528152665863`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solution", "Subsection",
 CellChangeTimes->{{3.494226706323935*^9, 3.494226708587851*^9}}],

Cell["\<\
We have tool hub at desired 'tTool' {x,y,z} expressed in a coordinatsystem \
common to all three engines.
The hub is a equal sided (equilateral) triangle parallell to to x-y plane and \
with circumcircle radi of  'toolRadi'.
At each corner of the triangle the lower rod of length 'lowRodLength' is \
attached through a universal joint at 'jointTriangleLowerRod'.
The upper rod of length 'uppRodLength' is stiff attached to a rotating engine \
axis at  'engineAxisJoint'. 
One axis has the direction 'engineAxisDirection' {xAxisJoint, yAxisJoint, 0} \
and the other two are rotated +- 120 Degrees.

The goal is find the angle 'rotAngle' for the rotating engine axis. For all \
three engines.\
\>", "Text",
 CellChangeTimes->{{3.494226723718803*^9, 3.494226998516165*^9}, {
   3.4942271033532543`*^9, 3.494227211275889*^9}, {3.494227286157824*^9, 
   3.4942273270040703`*^9}, {3.4942273585560904`*^9, 3.494227446411995*^9}, {
   3.4942275175485077`*^9, 3.494227675516079*^9}, {3.4942277852608356`*^9, 
   3.494227829348783*^9}, {3.494227879972794*^9, 3.494227944580703*^9}, {
   3.49422966530434*^9, 3.494229763101636*^9}, {3.4942298115924664`*^9, 
   3.4942298373101683`*^9}, {3.494229877246279*^9, 3.4942299036059504`*^9}, {
   3.4942321279466333`*^9, 3.4942321334566507`*^9}, {3.494232191841496*^9, 
   3.4942322095769176`*^9}, {3.4942429907512827`*^9, 3.494242994334944*^9}, {
   3.4942735041100483`*^9, 3.494273508412619*^9}, {3.494273632762836*^9, 
   3.49427365279687*^9}, 3.49451053163092*^9}],

Cell["\<\
A calculation is worked through by first move the desired point so that the \
engine AxisJoint is at at {0,0,0} 
and the direction is along the x-axis {1,0,0}\
\>", "Text",
 CellChangeTimes->{{3.494228022237458*^9, 3.494228240084506*^9}}],

Cell[CellGroupData[{

Cell["First illustration only", "Subsubsection",
 CellChangeTimes->{{3.494234571919003*^9, 3.494234582094204*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tTool", ":=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"toolRadi", ":=", ".5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jointTriangleLowerRod", ":=", 
   RowBox[{"tTool", " ", "+", " ", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"-", "toolRadi"}], ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"engineAxisJoint", ":=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"engineAxisDirection", ":=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lowRodLength", ":=", ".8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uppRodLength", ":=", ".9"}], ";"}]}], "Input",
 CellChangeTimes->{{3.494229926992406*^9, 3.4942300069699583`*^9}, {
   3.4942300411527367`*^9, 3.49423004515203*^9}, 3.4942300795793247`*^9, {
   3.494232141828298*^9, 3.494232158572055*^9}, {3.494232215483992*^9, 
   3.494232223540586*^9}, {3.494234120594788*^9, 3.494234121832006*^9}, {
   3.494243013314546*^9, 3.494243048224433*^9}, {3.494243451642412*^9, 
   3.494243485001584*^9}, {3.494248804646356*^9, 3.494248807270987*^9}, 
   3.494252542216832*^9, {3.494273662460713*^9, 3.4942736700922422`*^9}, {
   3.494273716370666*^9, 3.494273716463575*^9}, {3.494318316754219*^9, 
   3.494318317177412*^9}, {3.494321752317885*^9, 3.494321756608075*^9}, {
   3.4943219098264513`*^9, 3.494321909934125*^9}, {3.494322044345237*^9, 
   3.4943220444045467`*^9}, {3.494322106473814*^9, 3.494322106868705*^9}, {
   3.4943222724813013`*^9, 3.4943222756281*^9}, {3.494346432020947*^9, 
   3.494346437530284*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"subsXYZ", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "->", ".5"}], ",", 
     RowBox[{"y", "->", "1.2"}], ",", 
     RowBox[{"z", "->", 
      RowBox[{"-", ".9"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.494230324342692*^9, 3.494230354448041*^9}, {
   3.4942305256368303`*^9, 3.494230527584197*^9}, {3.494234094824374*^9, 
   3.4942340952542963`*^9}, {3.494242528929888*^9, 3.494242529799715*^9}, {
   3.4943179278678303`*^9, 3.494317934243292*^9}, {3.49432207239907*^9, 
   3.4943220731409483`*^9}, {3.494322149175207*^9, 3.4943221508204*^9}, {
   3.494322317583006*^9, 3.494322319980104*^9}, {3.4943223531190453`*^9, 
   3.4943223784279203`*^9}, {3.494322408511222*^9, 3.494322425595867*^9}, {
   3.4943466846027327`*^9, 3.494346684639833*^9}, 3.49434695717877*^9, {
   3.4943931411676283`*^9, 3.494393142477882*^9}, {3.494408304233685*^9, 
   3.49440830428722*^9}}],

Cell["Drawing for tool", "Text",
 CellChangeTimes->{{3.4942429306161613`*^9, 3.494242942438592*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"grTool", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Point", "[", "tTool", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"tTool", ",", "\"\<tTool\>\""}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grjointTriangleLowerRod", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Point", "[", "jointTriangleLowerRod", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{
      "jointTriangleLowerRod", ",", "\"\<jointTriangleLowerRod\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grTriangle", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"{", 
     RowBox[{"jointTriangleLowerRod", ",", "\[IndentingNewLine]", 
      RowBox[{"turnAPoint", "[", 
       RowBox[{"jointTriangleLowerRod", ",", "tTool", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"120", "Degree"}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"turnAPoint", "[", 
       RowBox[{"jointTriangleLowerRod", ",", "tTool", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{
         RowBox[{"-", "120"}], "Degree"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "jointTriangleLowerRod"}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.49423396078992*^9, 3.494233986158401*^9}, {
  3.494234032558566*^9, 3.494234070520892*^9}, {3.494234152361446*^9, 
  3.4942342724251833`*^9}, {3.4942343071736393`*^9, 3.494234307532535*^9}, {
  3.494234611254593*^9, 3.494234728725799*^9}, {3.494234761016827*^9, 
  3.494234768390541*^9}, {3.4942528828084507`*^9, 3.4942528856166887`*^9}, {
  3.4943156874361134`*^9, 3.494315687457869*^9}}],

Cell["Drawing for engine", "Text",
 CellChangeTimes->{{3.49424294761455*^9, 3.494242951918766*^9}, 
   3.4942483929855003`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"grEngineAxisJoint", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Point", "[", "engineAxisJoint", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"engineAxisJoint", ",", "\"\<engineAxisJoint\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"upRodEnd", "=", 
   RowBox[{"engineAxisJoint", "+", 
    RowBox[{"{", 
     RowBox[{"0", ",", "uppRodLength", ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grUppRod", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Point", "[", "upRodEnd", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"upRodEnd", ",", "\"\<upRodEnd\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"engineAxisJoint", ",", "upRodEnd"}], "}"}], "]"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.494234845505618*^9, 3.494234890979589*^9}, {
  3.494234941756406*^9, 3.49423494532333*^9}, {3.494242971345202*^9, 
  3.494242972528969*^9}, {3.494243065698655*^9, 3.4942431555023413`*^9}, {
  3.494243489139599*^9, 3.4942435573827744`*^9}, {3.494252840638158*^9, 
  3.4942528637320213`*^9}}],

Cell["Drawing for lower rod", "Text",
 CellChangeTimes->{{3.4942483969024563`*^9, 3.4942484229893703`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"grLowerRod", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"PointSize", "[", ".04", "]"}], ",", 
     RowBox[{"Point", "[", "jointTriangleLowerRod", "]"}], ",", 
     RowBox[{"Point", "[", "upRodEnd", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"jointTriangleLowerRod", ",", "upRodEnd"}], "}"}], "]"}], ",", 
     "Black"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.49424842789445*^9, 3.4942484868710337`*^9}, {
   3.494248557977463*^9, 3.494248564494937*^9}, {3.494248594575719*^9, 
   3.494248653082353*^9}, 3.494248840643585*^9, {3.4942525225009403`*^9, 
   3.4942525236172533`*^9}, {3.4942526451619596`*^9, 3.494252652801976*^9}}],

Cell["\<\
Sweeping areas. The upper rod will sweep a circle in the y-z-plane and
the lower will span a sphere at 'grjointTriangleLowerRod' with radi \
'lowRodLength'.

This sphere will intesect with the y-z-plane at {0,isY,isZ} the forming a \
circle in the plane.
At the intesection of this circles we find two points (on the upper rod) (or \
one or none!).
The outermost is choosen as the point where the end of upper rod should be \
turned to!
In this first drawing that of 'upRodEnd' turn is not shown! Look at the next \
section for that action.\
\>", "Text",
 CellChangeTimes->{{3.494248850765823*^9, 3.494248900181526*^9}, {
  3.494273825366372*^9, 3.494274025884931*^9}, {3.494319499227334*^9, 
  3.494319547782419*^9}, {3.494319737501183*^9, 3.494319803474262*^9}, {
  3.494319851642373*^9, 3.494319891786021*^9}, {3.494391609367215*^9, 
  3.494391624141819*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"grUpperRodSweep", "=", 
   RowBox[{"Line", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"engineAxisJoint", "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"upRodEnd", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "*", 
          RowBox[{"Cos", "[", "v", "]"}]}], ",", 
         RowBox[{
          RowBox[{"upRodEnd", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "*", 
          RowBox[{"Sin", "[", "v", "]"}]}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"v", ",", "0", ",", 
        RowBox[{"2", "Pi"}], ",", 
        RowBox[{"Pi", "/", "12"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grLowerRodSweep", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Opacity", "[", ".1", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Sphere", "[", 
      RowBox[{"jointTriangleLowerRod", ",", "lowRodLength"}], "]"}], ",", 
     RowBox[{"Opacity", "[", "1.0", "]"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494248907761883*^9, 3.494248915955467*^9}, {
   3.4942495540771437`*^9, 3.494249625912709*^9}, {3.494249658546412*^9, 
   3.494249701642029*^9}, {3.494249734994742*^9, 3.494249740553514*^9}, {
   3.4942497876908407`*^9, 3.4942497892808247`*^9}, {3.4942498294600677`*^9, 
   3.494249900509652*^9}, {3.494250134882472*^9, 3.494250157223384*^9}, {
   3.49425018824363*^9, 3.494250193400145*^9}, {3.494250235474568*^9, 
   3.494250320039365*^9}, {3.49425036881066*^9, 3.4942503706809483`*^9}, {
   3.494250410689183*^9, 3.494250483155517*^9}, {3.494252010270936*^9, 
   3.494252041806538*^9}, {3.4942520795040293`*^9, 3.4942520884940357`*^9}, 
   3.494252223335945*^9, {3.494252282000901*^9, 3.49425229034243*^9}, {
   3.4942526736089487`*^9, 3.4942526736631107`*^9}, {3.494319593290797*^9, 
   3.494319618192955*^9}, 3.494346841827623*^9, 3.494393479866064*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"grIntersectionSphereAndYZ", " ", "=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "x", ",", "y", ",", "z"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"r", "=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"lowRodLength", "^", "2"}], "-", 
         RowBox[{
          RowBox[{"jointTriangleLowerRod", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "^", "2"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z"}], "}"}], "=", 
       RowBox[{"jointTriangleLowerRod", "*", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "1"}], "}"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Line", "@", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"y", " ", "+", 
            RowBox[{"r", " ", 
             RowBox[{"Cos", "@", "t"}]}]}], ",", " ", 
           RowBox[{"z", " ", "+", 
            RowBox[{"r", " ", 
             RowBox[{"Sin", "@", "t"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", "Pi"}], ",", 
           RowBox[{"Pi", "/", "16"}]}], "}"}]}], "]"}]}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4943157890580463`*^9, 3.494315842411092*^9}, {
   3.494315880100968*^9, 3.49431589677918*^9}, {3.494316643577694*^9, 
   3.494316678106147*^9}, {3.494316712739407*^9, 3.494316741434444*^9}, {
   3.494316838075859*^9, 3.494317076106978*^9}, {3.494317208381138*^9, 
   3.494317219436378*^9}, {3.4943176403229303`*^9, 3.494317640362185*^9}, {
   3.494317711298827*^9, 3.4943177148646383`*^9}, 3.494318078753725*^9, {
   3.494346547740535*^9, 3.4943465477882557`*^9}, {3.494346912166575*^9, 
   3.494346913483966*^9}}],

Cell[TextData[{
 "We have two these two circles in the y-z/plane. The upper rod at {0,0,0} \
and radi 'uppRodLength' and \nthe circle from the sphere intersecting the \
plane at center {0, jointTriangleLowerRod(y), z} \nand radi ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{
     SuperscriptBox["lowRodLength", "2"], "-", 
     SuperscriptBox[
      RowBox[{"(", "x", ")"}], "2"]}]], TraditionalForm]]],
 " .\nHere is one set of equations using some set of all knowledge\n(here the \
distance from center of the two circles to the intersection points) ."
}], "Text",
 CellChangeTimes->{{3.494344099936508*^9, 3.494344100054596*^9}, {
  3.494344132838646*^9, 3.494344295462717*^9}, {3.49434432585037*^9, 
  3.494344343742818*^9}, {3.4943469985697517`*^9, 3.494347035790185*^9}, {
  3.494347069706237*^9, 3.494347098751652*^9}, {3.4943471294747458`*^9, 
  3.4943472061277523`*^9}, {3.494392102229599*^9, 3.4943922023096*^9}, {
  3.494393500459587*^9, 3.494393552283291*^9}, {3.4944081132557592`*^9, 
  3.4944081133096113`*^9}, {3.494408239830298*^9, 3.494408243208538*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"equations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["isY", "2"], "+", 
       SuperscriptBox["isZ", "2"]}], "==", 
      SuperscriptBox["uppRodLength", "2"]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"jointTriangleLowerRod", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", "isY"}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"z", "-", "isZ"}], ")"}], "2"]}], "==", 
      SuperscriptBox[
       RowBox[{"(", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["lowRodLength", "2"], "-", 
          SuperscriptBox["x", "2"]}]], ")"}], "2"]}]}], "\[IndentingNewLine]",
     "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"variables", "=", 
   RowBox[{"{", 
    RowBox[{"isY", ",", "isZ"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"equations", ",", "variables"}], "]"}], "/.", "subsXYZ"}], "//", 
   "FullSimplify"}]}]}], "Input",
 CellChangeTimes->{{3.494391654073894*^9, 3.494391760670192*^9}, 
   3.494391815163169*^9, {3.49439186301154*^9, 3.494391875857931*^9}, {
   3.494392230465807*^9, 3.494392237208084*^9}, {3.494393217676145*^9, 
   3.494393233834016*^9}, {3.4943933707958927`*^9, 3.494393370865767*^9}, {
   3.494393614430799*^9, 3.49439364406392*^9}, {3.494393720949059*^9, 
   3.494393728204524*^9}, 3.494393761395751*^9, {3.49439382026651*^9, 
   3.494393821353829*^9}, {3.494393962658386*^9, 3.49439399625021*^9}, {
   3.494394039066874*^9, 3.494394067961068*^9}, {3.494394123683243*^9, 
   3.494394136529942*^9}, {3.494408247701159*^9, 3.4944082515717983`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"isZ", "\[Rule]", 
      RowBox[{"-", "0.29394232302784995`"}]}], ",", 
     RowBox[{"isY", "\[Rule]", "0.8506455846784788`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"isZ", "\[Rule]", 
      RowBox[{"-", "0.8968269077413815`"}]}], ",", 
     RowBox[{"isY", "\[Rule]", "0.07550826147536722`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.494393822580391*^9, 3.494393965647358*^9, 3.494393997191248*^9, {
   3.49439404578183*^9, 3.494394068853067*^9}, {3.4943941253624973`*^9, 
   3.494394137971815*^9}, 3.494394177447104*^9, 3.494408253316327*^9, 
   3.494408307829071*^9, 3.494508826200355*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y1", ",", "z1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y2", ",", "z2"}], "}"}]}], "}"}], "=", 
   RowBox[{"variables", "/.", "sol"}]}], ";"}]], "Input",
 CellChangeTimes->{3.494392076976862*^9}],

Cell["\<\
Now we can illustrate where the intersection points actually are\
\>", "Text",
 CellChangeTimes->{{3.494392269245535*^9, 3.494392309973673*^9}, 
   3.494508214643217*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"grInterSectionPoints", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "y1", ",", "z1"}], "}"}], "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "y2", ",", "z2"}], "}"}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4943932488217*^9, 3.494393296109908*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"glgr", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "grTool", "\[IndentingNewLine]", ",", "grjointTriangleLowerRod", 
      "\[IndentingNewLine]", ",", "grTriangle", "\[IndentingNewLine]", ",", 
      "grEngineAxisJoint", "\[IndentingNewLine]", ",", "grUppRod", 
      "\[IndentingNewLine]", ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"-", "engineAxisDirection"}]}], "}"}], "]"}], 
      "\[IndentingNewLine]", ",", "grLowerRod", "\[IndentingNewLine]", ",", 
      "Blue", "\[IndentingNewLine]", ",", "grUpperRodSweep", 
      "\[IndentingNewLine]", ",", "grLowerRodSweep", "\[IndentingNewLine]", 
      ",", "grIntersectionSphereAndYZ", "\[IndentingNewLine]", ",", 
      "grInterSectionPoints"}], "\[IndentingNewLine]", "}"}], "/.", 
    "subsXYZ"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.494230119017003*^9, {3.494230152855131*^9, 3.494230172567624*^9}, {
   3.4942302950824003`*^9, 3.494230305769703*^9}, {3.494230359578047*^9, 
   3.494230363288253*^9}, {3.494232237252557*^9, 3.494232242522637*^9}, {
   3.4942322899341393`*^9, 3.4942322922426777`*^9}, {3.4942323256576357`*^9, 
   3.494232403565633*^9}, {3.4942324608539963`*^9, 3.4942324620199347`*^9}, {
   3.4942326002618*^9, 3.4942326130134478`*^9}, {3.494233982272316*^9, 
   3.494234020039875*^9}, 3.494234078057549*^9, {3.4942342955378933`*^9, 
   3.4942343005041933`*^9}, 3.494234344986896*^9, 3.494234815891718*^9, {
   3.4942348969944363`*^9, 3.4942349006022377`*^9}, {3.494243184739513*^9, 
   3.4942431856908903`*^9}, {3.4942484947862797`*^9, 3.494248495617271*^9}, {
   3.494248580084503*^9, 3.494248590906019*^9}, {3.494249680106772*^9, 
   3.494249683017495*^9}, {3.494250570842189*^9, 3.4942505718011913`*^9}, {
   3.494251976019761*^9, 3.494251998973939*^9}, 3.494252057189089*^9, {
   3.494252924820672*^9, 3.494252945035283*^9}, {3.4943170896028*^9, 
   3.494317090881789*^9}, 3.494393154258587*^9, {3.494393302831579*^9, 
   3.494393303777066*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"grz", "=", 
    RowBox[{"Show", "@", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"reduceDimension", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}], ",", 
          RowBox[{"Flatten", "@", "glgr"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Axes", "->", "True"}], ",", 
       RowBox[{"Ticks", "->", "None"}], ",", 
       RowBox[{"AxesOrigin", "->", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<From above\>\""}]}], "]"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gry", "=", 
    RowBox[{"Show", "@", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"reduceDimension", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "3"}], "}"}], ",", 
          RowBox[{"Flatten", "@", "glgr"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Axes", "->", "True"}], ",", 
       RowBox[{"Ticks", "->", "None"}], ",", 
       RowBox[{"AxesOrigin", "->", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "z"}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Facing along the engine\>\""}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grx", "=", 
    RowBox[{"Show", "@", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"reduceDimension", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2", ",", "3"}], "}"}], ",", 
          RowBox[{"Flatten", "@", "glgr"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Axes", "->", "True"}], ",", 
       RowBox[{"Ticks", "->", "None"}], ",", 
       RowBox[{"AxesOrigin", "->", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"y", ",", "z"}], "}"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<In engine axis direction\>\""}]}],
       "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grXYZ", "=", 
   RowBox[{"Show", "@", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "1", "]"}], ",", "glgr"}], "}"}], "]"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.4918052216940603`*^9, {3.491805507791438*^9, 3.491805553198732*^9}, {
   3.49181168648709*^9, 3.4918116876142817`*^9}, {3.4918117230704823`*^9, 
   3.4918117282050533`*^9}, 3.491811776015624*^9, {3.491811948391053*^9, 
   3.491811972357757*^9}, {3.491812108116441*^9, 3.491812162662154*^9}, {
   3.491819149542377*^9, 3.491819158381136*^9}, 3.4918392069687843`*^9, {
   3.491839248224229*^9, 3.4918392714229107`*^9}, {3.491839557286346*^9, 
   3.491839598049365*^9}, {3.491846879748554*^9, 3.491846902301528*^9}, {
   3.494230399580914*^9, 3.494230402482604*^9}, {3.494230451571106*^9, 
   3.4942304695232887`*^9}, {3.494230637973176*^9, 3.4942307000594397`*^9}, 
   3.494232028250526*^9, {3.494232427406681*^9, 3.494232431604619*^9}, {
   3.4942425754200907`*^9, 3.494242589234305*^9}, {3.494242656523728*^9, 
   3.494242671850716*^9}, {3.4942436965751467`*^9, 3.494243705995399*^9}, {
   3.494248680276534*^9, 3.494248693136957*^9}, {3.4942487321219187`*^9, 
   3.494248739577114*^9}, {3.494250611977109*^9, 3.49425061955319*^9}, {
   3.494252184293584*^9, 3.494252210380364*^9}, {3.494252334036868*^9, 
   3.494252334802679*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphicsArray", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"grz", ",", "grXYZ"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"gry", ",", "grx"}], "}"}]}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "All"}], ",", 
   RowBox[{"GraphicsSpacing", "->", "0.05"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491819349564492*^9, 3.491819360865883*^9}, {
  3.4918193951881237`*^9, 3.491819527381339*^9}, {3.491819614684968*^9, 
  3.4918196623076887`*^9}, {3.491819749047124*^9, 3.491819783588698*^9}, {
  3.491839024055125*^9, 3.491839096393153*^9}, {3.491839388800241*^9, 
  3.49183939382228*^9}, {3.491839456720564*^9, 3.491839481534309*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{PointBox[{0.5, 1.2}], PointBox[{0.5, 1.2}], 
        InsetBox["\<\"tTool\"\>", {0.5, 1.2}, {-1, -1}], PointBox[{0.5, 0.7}],
         PointBox[{0.5, 0.7}], 
        InsetBox["\<\"jointTriangleLowerRod\"\>", {0.5, 0.7}, {1, 1}], 
        LineBox[{{0.5, 0.7}, {0.9330127018922193, 1.45}, {0.0669872981077807, 
         1.45}, {0.5, 0.7}}], PointBox[{0, 0}], PointBox[{0, 0}], 
        InsetBox["\<\"engineAxisJoint\"\>", {0, 0}, {1, 1}], 
        PointBox[{0, 0.9}], PointBox[{0, 0.9}], 
        InsetBox["\<\"upRodEnd\"\>", {0, 0.9}, {-1, -1}], 
        LineBox[{{0, 0}, {0, 0.9}}], ArrowBox[{{0, 0}, {-1, 0}}], 
        {RGBColor[1, 0, 0], PointSize[0.04], PointBox[{0.5, 0.7}], 
         PointBox[{0, 0.9}], LineBox[{{0.5, 0.7}, {0, 0.9}}], 
         {RGBColor[0, 0, 1], 
          LineBox[{{0, 0.9}, {0, 0.8693332436601614}, {
            0, 0.7794228634059948}, {0, 0.6363961030678927}, {0, 0.45}, {
            0, 0.23293714059226864`}, {0, 0}, {0, -0.23293714059226864`}, {
            0, -0.45}, {0, -0.6363961030678927}, {0, -0.7794228634059948}, {
            0, -0.8693332436601614}, {0, -0.9}, {0, -0.8693332436601614}, {
            0, -0.7794228634059948}, {0, -0.6363961030678927}, {0, -0.45}, {
            0, -0.23293714059226864`}, {0, 0}, {0, 0.23293714059226864`}, {
            0, 0.45}, {0, 0.6363961030678927}, {0, 0.7794228634059948}, {
            0, 0.8693332436601614}, {0, 0.9}}], 
          {Opacity[0.1], 
           {Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQBGIQffYMCHyxTwODZ/Zr9+kHX+v9Yn9u17qlH1Ne2wew
PgyKu/zZXiS0M0RX8oP97eL5zv1LPtk3H3b12uj/yb51438NHt6P9jueGMXY
O3yxX6CgqvfH4p093/JLZYeuf7U/5LzG6cvpl/ZNFiJtE9m+22eEeNh3/3ti
/+BjUhvnwe/2DGDwAEr/sNcPz298yXQNLv/rg99XvQsn4PoZvq2VtS1YAzc/
QOJ3/6ELG/bD7L8x77dMlcrR/TD31WhxTP8069x+mPu3/NrnE2l+aT/MfybG
IHB5P8z/MPl/gnLqt9MfwvV7upa4PzG5CTe/p7up4ErUBbj9BbxzAi0MD8Ld
x/C6/FPtlYVw909w3vU1mXXJfpj/Fmw/8d9w1db9MP8vmAkCO/fDwgcmDws/
mH5Y+MLMh4U/zH5Y/MDdB40/mPth8QvzH3r8AwCK/g2A
             "]]}}, 
          {Opacity[1.], 
           LineBox[{{0, 1.32449979983984}, {0, 1.3125002112976787`}, {
             0, 1.2769625831294236`}, {0, 1.2192526064558487`}, {
             0, 1.1415880433163923`}, {0, 1.0469534993177148`}, {
             0, 0.9389857269140215}, {0, 0.821833867049762}, {0, 0.7}, {
             0, 0.5781661329502379}, {0, 0.4610142730859784}, {
             0, 0.35304650068228516`}, {0, 0.2584119566836076}, {
             0, 0.18074739354415115`}, {0, 0.12303741687057645`}, {
             0, 0.08749978870232122}, {0, 0.07550020016016012}, {
             0, 0.08749978870232122}, {0, 0.12303741687057645`}, {
             0, 0.18074739354415115`}, {0, 0.2584119566836076}, {
             0, 0.35304650068228516`}, {0, 0.4610142730859784}, {
             0, 0.5781661329502379}, {0, 0.7}, {0, 0.821833867049762}, {
             0, 0.9389857269140215}, {0, 1.0469534993177148`}, {
             0, 1.1415880433163923`}, {0, 1.2192526064558487`}, {
             0, 1.2769625831294236`}, {0, 1.3125002112976787`}, {
             0, 1.32449979983984}}], PointBox[{0, 0.8506455846784788}], 
           PointBox[{0, 0.07550826147536722}]}}}},
       Axes->True,
       AxesLabel->{
         FormBox["x", TraditionalForm], 
         FormBox["y", TraditionalForm]},
       AxesOrigin->{-1, -1},
       PlotLabel->FormBox["\"From above\"", TraditionalForm],
       Ticks->None], {186., -186.}, ImageScaled[{0.5, 0.5}], {360., 360.}], 
     InsetBox[
      Graphics3DBox[
       {Opacity[
        1], {Point3DBox[{0.5, 1.2, -0.9}], {Point3DBox[{0.5, 1.2, -0.9}], 
          Text3DBox[
           FormBox["\<\"tTool\"\>", TraditionalForm], {0.5, 
           1.2, -0.9}, {-1, -1}]}}, {
         Point3DBox[{0.5, 0.7, -0.9}], {Point3DBox[{0.5, 0.7, -0.9}], 
          Text3DBox[
           FormBox["\<\"jointTriangleLowerRod\"\>", TraditionalForm], {0.5, 
           0.7, -0.9}, {1, 1}]}}, 
        Line3DBox[{{0.5, 0.7, -0.9}, {0.9330127018922193, 1.45, -0.9}, {
         0.0669872981077807, 1.45, -0.9}, {0.5, 0.7, -0.9}}], {
         Point3DBox[{0, 0, 0}], {Point3DBox[{0, 0, 0}], Text3DBox[
           FormBox["\<\"engineAxisJoint\"\>", TraditionalForm], {0, 0, 0}, {1,
            1}]}}, {
         Point3DBox[{0, 0.9, 0}], {Point3DBox[{0, 0.9, 0}], Text3DBox[
           FormBox["\<\"upRodEnd\"\>", TraditionalForm], {
           0, 0.9, 0}, {-1, -1}]}, Line3DBox[{{0, 0, 0}, {0, 0.9, 0}}]}, 
        Arrow3DBox[{{0, 0, 0}, {-1, 0, 0}}], 
        {RGBColor[1, 0, 0], PointSize[0.04], Point3DBox[{0.5, 0.7, -0.9}], 
         Point3DBox[{0, 0.9, 0}], 
         Line3DBox[{{0.5, 0.7, -0.9}, {0, 0.9, 0}}], 
         {GrayLevel[0]}}, 
        {RGBColor[0, 0, 1], 
         Line3DBox[{{0, 0.9, 0}, {
           0, 0.8693332436601614, 0.23293714059226864`}, {
           0, 0.7794228634059948, 0.45}, {
           0, 0.6363961030678927, 0.6363961030678927}, {
           0, 0.45, 0.7794228634059948}, {
           0, 0.23293714059226864`, 0.8693332436601614}, {0, 0, 0.9}, {
           0, -0.23293714059226864`, 0.8693332436601614}, {
           0, -0.45, 0.7794228634059948}, {
           0, -0.6363961030678927, 0.6363961030678927}, {
           0, -0.7794228634059948, 0.45}, {
           0, -0.8693332436601614, 0.23293714059226864`}, {0, -0.9, 0}, {
           0, -0.8693332436601614, -0.23293714059226864`}, {
           0, -0.7794228634059948, -0.45}, {
           0, -0.6363961030678927, -0.6363961030678927}, {
           0, -0.45, -0.7794228634059948}, {
           0, -0.23293714059226864`, -0.8693332436601614}, {0, 0, -0.9}, {
           0, 0.23293714059226864`, -0.8693332436601614}, {
           0, 0.45, -0.7794228634059948}, {
           0, 0.6363961030678927, -0.6363961030678927}, {
           0, 0.7794228634059948, -0.45}, {
           0, 0.8693332436601614, -0.23293714059226864`}, {0, 0.9, 0}}], {
          {Opacity[0.1], SphereBox[{0.5, 0.7, -0.9}, 0.8]}, 
          {Opacity[1.]}}, 
         Line3DBox[{{0, 1.32449979983984, -0.9}, {
           0, 1.3125002112976787`, -0.7781661329502381}, {
           0, 1.2769625831294236`, -0.6610142730859785}, {
           0, 1.2192526064558487`, -0.5530465006822852}, {
           0, 1.1415880433163923`, -0.4584119566836076}, {
           0, 1.0469534993177148`, -0.3807473935441512}, {
           0, 0.9389857269140215, -0.3230374168705765}, {
           0, 0.821833867049762, -0.2874997887023213}, {
           0, 0.7, -0.2755002001601601}, {
           0, 0.5781661329502379, -0.2874997887023213}, {
           0, 0.4610142730859784, -0.3230374168705765}, {
           0, 0.35304650068228516`, -0.3807473935441512}, {
           0, 0.2584119566836076, -0.4584119566836076}, {
           0, 0.18074739354415115`, -0.5530465006822852}, {
           0, 0.12303741687057645`, -0.6610142730859785}, {
           0, 0.08749978870232122, -0.7781661329502381}, {
           0, 0.07550020016016012, -0.9}, {
           0, 0.08749978870232122, -1.021833867049762}, {
           0, 0.12303741687057645`, -1.1389857269140216`}, {
           0, 0.18074739354415115`, -1.2469534993177147`}, {
           0, 0.2584119566836076, -1.3415880433163925`}, {
           0, 0.35304650068228516`, -1.4192526064558488`}, {
           0, 0.4610142730859784, -1.4769625831294235`}, {
           0, 0.5781661329502379, -1.5125002112976786`}, {
           0, 0.7, -1.52449979983984}, {
           0, 0.821833867049762, -1.5125002112976786`}, {
           0, 0.9389857269140215, -1.4769625831294235`}, {
           0, 1.0469534993177148`, -1.4192526064558488`}, {
           0, 1.1415880433163923`, -1.3415880433163925`}, {
           0, 1.2192526064558487`, -1.2469534993177147`}, {
           0, 1.2769625831294236`, -1.1389857269140216`}, {
           0, 1.3125002112976787`, -1.021833867049762}, {
           0, 1.32449979983984, -0.9}}], {
          Point3DBox[{0, 0.8506455846784788, -0.29394232302784995`}], 
          Point3DBox[{0, 0.07550826147536722, -0.8968269077413815}]}}}], {558., -186.},
       ImageScaled[{0.5, 0.5}], {360., 360.},
      ContentSelectable->True]}, {InsetBox[
      GraphicsBox[{PointBox[{0.5, -0.9}], PointBox[{0.5, -0.9}], 
        InsetBox["\<\"tTool\"\>", {0.5, -0.9}, {-1, -1}], 
        PointBox[{0.5, -0.9}], PointBox[{0.5, -0.9}], 
        InsetBox["\<\"jointTriangleLowerRod\"\>", {0.5, -0.9}, {1, 1}], 
        LineBox[{{0.5, -0.9}, {0.9330127018922193, -0.9}, {
         0.0669872981077807, -0.9}, {0.5, -0.9}}], PointBox[{0, 0}], 
        PointBox[{0, 0}], InsetBox["\<\"engineAxisJoint\"\>", {0, 0}, {1, 1}],
         PointBox[{0, 0}], PointBox[{0, 0}], 
        InsetBox["\<\"upRodEnd\"\>", {0, 0}, {-1, -1}], 
        LineBox[{{0, 0}, {0, 0}}], ArrowBox[{{0, 0}, {-1, 0}}], 
        {RGBColor[1, 0, 0], PointSize[0.04], PointBox[{0.5, -0.9}], 
         PointBox[{0, 0}], LineBox[{{0.5, -0.9}, {0, 0}}], 
         {RGBColor[0, 0, 1], 
          LineBox[{{0, 0}, {0, 0.23293714059226864`}, {0, 0.45}, {
            0, 0.6363961030678927}, {0, 0.7794228634059948}, {
            0, 0.8693332436601614}, {0, 0.9}, {0, 0.8693332436601614}, {
            0, 0.7794228634059948}, {0, 0.6363961030678927}, {0, 0.45}, {
            0, 0.23293714059226864`}, {0, 0}, {0, -0.23293714059226864`}, {
            0, -0.45}, {0, -0.6363961030678927}, {0, -0.7794228634059948}, {
            0, -0.8693332436601614}, {0, -0.9}, {0, -0.8693332436601614}, {
            0, -0.7794228634059948}, {0, -0.6363961030678927}, {0, -0.45}, {
            0, -0.23293714059226864`}, {0, 0}}], 
          {Opacity[0.1], 
           {Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQBGIQffYMCHyxh9Bv9q/dpx98rfeLfUpFS6/juef7A1gf
BsVd/mzP06nQdYPh8f7bxfOd+5d8so+K8LddqH53f+vG/xo8vB/t2y7P+pqR
enX/AgVVvT8W7+xjppiL7eQ7t/+Q8xqnL6df2u/g0J7jMOPI/owQD/vuf0/s
Z1RnGTN27t3PAAYP7GfMBIGd+/XD8xtfMl2Dy//64PdV78IJuH6Gb2tlbQvW
wM0PkPjdf+jChv0w+2/M+y1TpXJ0P8x9NVoc0z/NOrcf5v4tv/b5RJpf2g/z
n4kxCFzeD/M/TH72BC62NU8/wPW7d+xpT/D5DDd/27eK2idNX+H2vxFP6y8q
/g53n9Mt1lVfuX7C3b8t233nEctfcP+JqE7bafPlF9z/EHf8hocPTB4WfjD9
sPCFmQ8Lf5j9sPiBuw8afzD3w+IX5j/0+AcADo0gjw==
             "]]}}, 
          {Opacity[1.], 
           LineBox[{{0, -0.9}, {0, -0.7781661329502381}, {
             0, -0.6610142730859785}, {0, -0.5530465006822852}, {
             0, -0.4584119566836076}, {0, -0.3807473935441512}, {
             0, -0.3230374168705765}, {0, -0.2874997887023213}, {
             0, -0.2755002001601601}, {0, -0.2874997887023213}, {
             0, -0.3230374168705765}, {0, -0.3807473935441512}, {
             0, -0.4584119566836076}, {0, -0.5530465006822852}, {
             0, -0.6610142730859785}, {0, -0.7781661329502381}, {0, -0.9}, {
             0, -1.021833867049762}, {0, -1.1389857269140216`}, {
             0, -1.2469534993177147`}, {0, -1.3415880433163925`}, {
             0, -1.4192526064558488`}, {0, -1.4769625831294235`}, {
             0, -1.5125002112976786`}, {0, -1.52449979983984}, {
             0, -1.5125002112976786`}, {0, -1.4769625831294235`}, {
             0, -1.4192526064558488`}, {0, -1.3415880433163925`}, {
             0, -1.2469534993177147`}, {0, -1.1389857269140216`}, {
             0, -1.021833867049762}, {0, -0.9}}], 
           PointBox[{0, -0.29394232302784995`}], 
           PointBox[{0, -0.8968269077413815}]}}}},
       Axes->True,
       AxesLabel->{
         FormBox["x", TraditionalForm], 
         FormBox["z", TraditionalForm]},
       AxesOrigin->{0, 0},
       PlotLabel->FormBox["\"Facing along the engine\"", TraditionalForm],
       Ticks->None], {186., -558.}, ImageScaled[{0.5, 0.5}], {360., 360.}], 
     InsetBox[
      GraphicsBox[{PointBox[{1.2, -0.9}], PointBox[{1.2, -0.9}], 
        InsetBox["\<\"tTool\"\>", {1.2, -0.9}, {-1, -1}], 
        PointBox[{0.7, -0.9}], PointBox[{0.7, -0.9}], 
        InsetBox["\<\"jointTriangleLowerRod\"\>", {0.7, -0.9}, {1, 1}], 
        LineBox[{{0.7, -0.9}, {1.45, -0.9}, {1.45, -0.9}, {0.7, -0.9}}], 
        PointBox[{0, 0}], PointBox[{0, 0}], 
        InsetBox["\<\"engineAxisJoint\"\>", {0, 0}, {1, 1}], 
        PointBox[{0.9, 0}], PointBox[{0.9, 0}], 
        InsetBox["\<\"upRodEnd\"\>", {0.9, 0}, {-1, -1}], 
        LineBox[{{0, 0}, {0.9, 0}}], ArrowBox[{{0, 0}, {0, 0}}], 
        {RGBColor[1, 0, 0], PointSize[0.04], PointBox[{0.7, -0.9}], 
         PointBox[{0.9, 0}], LineBox[{{0.7, -0.9}, {0.9, 0}}], 
         {RGBColor[0, 0, 1], 
          LineBox[{{0.9, 0}, {0.8693332436601614, 0.23293714059226864`}, {
            0.7794228634059948, 0.45}, {0.6363961030678927, 
            0.6363961030678927}, {0.45, 0.7794228634059948}, {
            0.23293714059226864`, 0.8693332436601614}, {
            0, 0.9}, {-0.23293714059226864`, 0.8693332436601614}, {-0.45, 
            0.7794228634059948}, {-0.6363961030678927, 
            0.6363961030678927}, {-0.7794228634059948, 
            0.45}, {-0.8693332436601614, 
            0.23293714059226864`}, {-0.9, 
             0}, {-0.8693332436601614, -0.23293714059226864`}, \
{-0.7794228634059948, -0.45}, {-0.6363961030678927, -0.6363961030678927}, \
{-0.45, -0.7794228634059948}, {-0.23293714059226864`, -0.8693332436601614}, {
            0, -0.9}, {0.23293714059226864`, -0.8693332436601614}, {
            0.45, -0.7794228634059948}, {
            0.6363961030678927, -0.6363961030678927}, {
            0.7794228634059948, -0.45}, {
            0.8693332436601614, -0.23293714059226864`}, {0.9, 0}}], 
          {Opacity[0.1], 
           {Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQBGIQDQE/7M+eAYE3+x98TGrjPPjdPqWipdfx3PP9TRYi
bRPZvtvzdCp03WB4vJ9v+aWyQ9e/2kdF+NsuVL+7f8cToxh7hy/2bZdnfc1I
vbq/+bCr10b/T/YxU8zFdvKd2y8S2hmiK/nBfgeH9hyHGUf2n9u1bunHlNf2
M6qzjBk79+5PA4Nn9jNmgsDO/f8E5dRvpz+Ey3u6lrg/MbkJ19/T3VRwJeoC
3PwC3jmBFoYH4fYzvC7/VHtlIdx9E5x3fU1mXbIf5v4F20/8N1y1dT/Mfwug
9sL8D5OfPYGLbc3TD3D97h172hN8PsPN3/atovZJ01e4/W/E0/qLir/D3ed0
i3XVV66fcPdvy3bfecTyF9x/IqrTdtp8+QX3v4kxCPyGhw9MHhZ+MP2w8IWZ
Dwt/mP2w+IG5DxZ/MPfD4hfmP/T4BwAYtxjx
             "]]}}, 
          {Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQBGIQbfFu72Y1w6/2Z8+AwJv9wi47LBgYvtpv4KhZuefZ
i/23pHwCC/K+2D/4uyidXf3p/qxlKaz8TZ/tGRWMJ/dterj/3LEflz46f7LX
9W6Wmh92d/9MToaAoAMf7PecuRygFXdjf7DphNPaPO/sGX6bKi5dc2V/i9b2
zjKfV/ZSYa3NqWmX9qeBwTP7jrV5008vvLjfY5Goc1jDI7j8J71KJqfGu3D9
JsUzIwNmXIObn1C3zfdS5wW4/Xf+83LsVjoOd9+JHUsCE+v3w91voProVlLa
Nrj/PjS1a/0O3gz3P0y+9ARfRV7kB7j+u76/JTwtP8HNP2Nj3Nz6+TPcfqZf
2myq5V/h7pt3c7qF09ZvcPfz+tW3LF74He4/t/LX2cbGP+D+z1b8+Cwy5Qc8
fGDysPCD6YeFL8x8WPjD7IfFD8x9sPiDuR8WvzD/occ/AHRPFDg=
            "]], 
           PointBox[{0.8506455846784788, -0.29394232302784995`}], 
           PointBox[{0.07550826147536722, -0.8968269077413815}]}}}},
       Axes->True,
       AxesLabel->{
         FormBox["y", TraditionalForm], 
         FormBox["z", TraditionalForm]},
       AxesOrigin->{0, 0},
       PlotLabel->FormBox["\"In engine axis direction\"", TraditionalForm],
       Ticks->None], {558., -558.}, ImageScaled[{0.5, 0.5}], {360., 360.}]}}, 
   
   StyleBox[{{}, {LineBox[{{0, 0}, {0, -372.}}], 
      LineBox[{{0, -372.}, {0, -744.}}], LineBox[{{372., 0}, {372., -372.}}], 
      LineBox[{{372., -372.}, {372., -744.}}], 
      LineBox[{{744., 0}, {744., -372.}}], 
      LineBox[{{744., -372.}, {744., -744.}}], LineBox[{{0, 0}, {372., 0}}], 
      LineBox[{{372., 0}, {744., 0}}], LineBox[{{0, -372.}, {372., -372.}}], 
      LineBox[{{372., -372.}, {744., -372.}}], 
      LineBox[{{0, -744.}, {372., -744.}}], 
      LineBox[{{372., -744.}, {744., -744.}}]}},
    Antialiasing->False]},
  ContentSelectable->True,
  ImageSize->{580.8, Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.494225902430941*^9, 3.4942303124266157`*^9, 3.4942303679220743`*^9, {
   3.4942304728145742`*^9, 3.4942304906668377`*^9}, 3.4942305324208727`*^9, {
   3.494230641887431*^9, 3.49423070463371*^9}, {3.494232033063971*^9, 
   3.494232069683482*^9}, 3.494232249417172*^9, 3.494232306029956*^9, {
   3.49423240921909*^9, 3.494232434596939*^9}, 3.4942324671077137`*^9, {
   3.4942326210391493`*^9, 3.494232641947294*^9}, 3.494234004124605*^9, {
   3.4942340832563562`*^9, 3.494234100303471*^9}, 3.494234130617613*^9, 
   3.4942342783485317`*^9, 3.4942343118217373`*^9, 3.494234349379129*^9, {
   3.4942346773609753`*^9, 3.494234733983737*^9}, 3.494234774060967*^9, 
   3.49423482092942*^9, 3.4942349096347733`*^9, 3.494234951826129*^9, 
   3.494242496628929*^9, 3.4942425373521852`*^9, {3.494242593067122*^9, 
   3.4942426103875237`*^9}, 3.494242680637288*^9, {3.494243162450117*^9, 
   3.4942431887689342`*^9}, 3.494243279589451*^9, {3.4942435457438793`*^9, 
   3.494243565857534*^9}, 3.494243608203086*^9, 3.494243707992474*^9, 
   3.4942484983199253`*^9, 3.494248568908462*^9, 3.494248608839458*^9, 
   3.49424865750097*^9, 3.494248742483371*^9, 3.494248813259087*^9, 
   3.494249686450609*^9, 3.4942497449732533`*^9, 3.494249793115706*^9, {
   3.4942498765032988`*^9, 3.494249904000387*^9}, 3.494249963133795*^9, 
   3.494250166433957*^9, 3.494250202997155*^9, {3.494250325563949*^9, 
   3.4942503325167513`*^9}, 3.4942504984803953`*^9, 3.494250575080462*^9, 
   3.494251653574712*^9, 3.494251774244381*^9, 3.494251903031165*^9, 
   3.494251954668148*^9, 3.494251991184381*^9, 3.4942520459213943`*^9, 
   3.494252091437991*^9, 3.494252187477872*^9, 3.494252293488665*^9, 
   3.494252336383086*^9, 3.494252548852995*^9, {3.494252658685157*^9, 
   3.4942526766966963`*^9}, {3.4942528257437696`*^9, 3.494252888896832*^9}, {
   3.494252929571891*^9, 3.4942529472035217`*^9}, {3.494273698994624*^9, 
   3.4942737261864243`*^9}, 3.494312784149212*^9, 3.4943130212879133`*^9, 
   3.4943157709561777`*^9, 3.494317094754244*^9, 3.4943172316407413`*^9, 
   3.494317730793095*^9, 3.494317947356336*^9, 3.4943183244114723`*^9, 
   3.4943196322581863`*^9, 3.4943217719907217`*^9, {3.494321923624303*^9, 
   3.4943219324301243`*^9}, 3.494322010861168*^9, {3.494322051964129*^9, 
   3.494322081482967*^9}, 3.49432211216914*^9, 3.49432215567245*^9, 
   3.494322210565055*^9, 3.494322281710517*^9, 3.494322326731428*^9, {
   3.494322360758918*^9, 3.494322385290442*^9}, {3.494322417178979*^9, 
   3.4943224305656757`*^9}, 3.494344013202175*^9, 3.494346469892456*^9, 
   3.494346581727109*^9, 3.4943466928087883`*^9, 3.494346917101801*^9, 
   3.494346964804027*^9, {3.4943933083090963`*^9, 3.494393326654228*^9}, 
   3.494393377224802*^9, 3.494394004819726*^9, 3.494394143455079*^9, 
   3.4943941807923822`*^9, 3.4944082689638166`*^9, 3.494408311775382*^9, 
   3.494508826711149*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["and formulas", "Subsection",
 CellChangeTimes->{{3.494261081462985*^9, 3.494261086581423*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"interSect2CircZero", "[", 
   RowBox[{"r0_", ",", 
    RowBox[{"{", 
     RowBox[{"x1_", ",", "y1_"}], "}"}], ",", "r1_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "d", ",", "a", ",", "h", ",", "p2x", ",", "p2y", ",", "x31x", ",", 
      "y31y", ",", "x32x", ",", "y32y"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"d", "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"x1", "^", "2"}], "+", 
        RowBox[{"y1", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", ">", 
        RowBox[{"r0", "+", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Separated\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", "<", 
        RowBox[{"Abs", "[", 
         RowBox[{"r0", "-", "r1"}], "]"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Contained\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "==", "0"}], "&&", 
        RowBox[{"r0", "==", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Same\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"a", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r0", "^", "2"}], "-", 
         RowBox[{"r1", "^", "2"}], "+", 
         RowBox[{"d", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "d"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p2x", ",", "p2y"}], "}"}], "=", " ", 
      RowBox[{"a", " ", "*", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x1", ",", "y1"}], "}"}], "/", "d"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"h", " ", "=", " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"r0", "^", "2"}], "-", 
        RowBox[{"a", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x31x", ",", "y31y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "+", 
         RowBox[{"h", "*", 
          RowBox[{"y1", "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "-", 
         RowBox[{"h", "*", 
          RowBox[{"x1", "/", "d"}]}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x32x", ",", "y32y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "-", 
         RowBox[{"h", "*", 
          RowBox[{"y1", "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "+", 
         RowBox[{"h", "*", 
          RowBox[{"x1", "/", "d"}]}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x31x", ",", "y31y"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x32x", ",", "y32y"}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.494510135375535*^9, 3.4945101925638647`*^9}, {
  3.4945105577890177`*^9, 3.494510676252676*^9}}],

Cell["Tool is at {x,y,z}", "Text",
 CellChangeTimes->{{3.494261095645502*^9, 3.494261104645528*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tTool", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", ".85"}], ";", 
  RowBox[{"y", "=", "1.0"}], ";", 
  RowBox[{"z", "=", 
   RowBox[{"-", "1.7"}]}], ";", 
  RowBox[{"radiTool", "=", ".5"}], ";", 
  RowBox[{"jobRadi", "=", "0"}], ";", 
  RowBox[{"lenUpperRod", "=", ".9"}], ";", 
  RowBox[{"lenLowerRod", "=", "1.8"}], ";"}]}], "Input",
 CellChangeTimes->{{3.494264539232914*^9, 3.494264539984144*^9}, 
   3.494275428024871*^9, 3.494513714273427*^9, {3.4945139089613953`*^9, 
   3.4945139634171343`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"subsFormulas", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "->", ".85"}], ",", 
    RowBox[{"y", "->", "1.0"}], ",", 
    RowBox[{"z", "->", 
     RowBox[{"-", "1.7"}]}], ",", 
    RowBox[{"radiTool", "->", ".5"}], ",", 
    RowBox[{"jobRadi", "->", "0"}], ",", 
    RowBox[{"lenUpperRod", "->", ".9"}], ",", 
    RowBox[{"lenLowerRod", "->", "1.8"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.494261760669154*^9, 3.4942618278877993`*^9}, {
   3.494262691674364*^9, 3.494262699648185*^9}, {3.494262733454404*^9, 
   3.4942627335359898`*^9}, 3.494264394899415*^9, {3.494264695068097*^9, 
   3.494264696369007*^9}, {3.4942649472911797`*^9, 3.494264956625223*^9}, {
   3.494265119060643*^9, 3.494265119173163*^9}, {3.4942708295989447`*^9, 
   3.4942708407570467`*^9}, {3.494273391876834*^9, 3.494273401452335*^9}, {
   3.494321963990754*^9, 3.4943219671504297`*^9}, {3.4943250310475893`*^9, 
   3.494325108869205*^9}, 3.494509193541691*^9, 3.494509238711441*^9, 
   3.494509284973464*^9, 3.494509390616131*^9, {3.494510372909656*^9, 
   3.494510372997711*^9}, {3.494510413280007*^9, 3.494510415885968*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"x", "\[Rule]", "0.85`"}], ",", 
   RowBox[{"y", "\[Rule]", "1.`"}], ",", 
   RowBox[{"z", "\[Rule]", 
    RowBox[{"-", "1.7`"}]}], ",", 
   RowBox[{"radiTool", "\[Rule]", "0.5`"}], ",", 
   RowBox[{"jobRadi", "\[Rule]", "0"}], ",", 
   RowBox[{"lenUpperRod", "\[Rule]", "0.9`"}], ",", 
   RowBox[{"lenLowerRod", "\[Rule]", "1.8`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.494264397044607*^9, 3.4942646974896708`*^9, 3.4942649573118067`*^9, 
   3.494265120034358*^9, 3.494270781788033*^9, 3.4942708415800457`*^9, {
   3.494274186891423*^9, 3.494274200430245*^9}, 3.494274347450218*^9, 
   3.494312784397861*^9, 3.494313021856777*^9, 3.494319916212124*^9, 
   3.494321968525186*^9, 3.4943224547733917`*^9, 3.4943251098720903`*^9, 
   3.494344013611559*^9, 3.494394185864058*^9, 3.4945088269282427`*^9, 
   3.494509193849988*^9, 3.494509290349574*^9, 3.494509393485547*^9, 
   3.49451037476788*^9, 3.494510450493791*^9, 3.494513716789001*^9}]
}, Open  ]],

Cell["Radi for tool join is radiTool", "Text",
 CellChangeTimes->{{3.494261124157295*^9, 3.49426114651731*^9}, {
  3.49427338991354*^9, 3.494273400999558*^9}}],

Cell["Join is at p1", "Text",
 CellChangeTimes->{{3.494261223221427*^9, 3.494261228173353*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p1X", ",", "p1Y", ",", "p1Z"}], "}"}], "=", 
   RowBox[{"tTool", "+", 
    RowBox[{"{", 
     RowBox[{"0", ",", 
      RowBox[{"-", "radiTool"}], ",", "0"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"{", 
    RowBox[{"p1X", ",", "p1Y", ",", "p1Z"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494261186498087*^9, 3.494261232439282*^9}, {
   3.4942622233199863`*^9, 3.494262269128975*^9}, {3.494264553761606*^9, 
   3.494264580029812*^9}, 3.4942734010209312`*^9, 3.49427449255296*^9, 
   3.4942751811617517`*^9, {3.4942754398348513`*^9, 3.49427544048934*^9}, {
   3.4943246378721027`*^9, 3.4943246665661182`*^9}, {3.494508716925817*^9, 
   3.494508721460538*^9}}],

Cell["\<\
The engine is at {'jobRadi',0,0}. Move all so engine axis is at {0,0,0}\
\>", "Text",
 CellChangeTimes->{{3.494262006373756*^9, 3.494262017893598*^9}, {
  3.494262053813655*^9, 3.494262076645775*^9}, {3.494319948923408*^9, 
  3.494319972289938*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"transform", "=", 
   RowBox[{"TranslationTransform", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "jobRadi"}], ",", "0", ",", "0"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p2X", ",", "p2Y", ",", "p2Z"}], "}"}], "=", 
   RowBox[{"transform", "[", 
    RowBox[{"{", 
     RowBox[{"p1X", ",", "p1Y", ",", "p1Z"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"{", 
    RowBox[{"p2X", ",", "p2Y", ",", "p2Z"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494261806237252*^9, 3.494261809294694*^9}, {
   3.49426217707939*^9, 3.494262213312097*^9}, {3.494262296112822*^9, 
   3.4942623391685257`*^9}, 3.494264593020598*^9, 3.494268722141971*^9, 
   3.494273389932499*^9, 3.494274497705079*^9, 3.4942753617043962`*^9, {
   3.494508857653935*^9, 3.4945088616696663`*^9}, {3.494509076487701*^9, 
   3.49450908234173*^9}}],

Cell["P3 is p2 but in the y-z plane", "Text",
 CellChangeTimes->{{3.4943200074669857`*^9, 3.494320026193419*^9}, {
   3.494320133059198*^9, 3.4943201333930798`*^9}, 3.494509880811913*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p3X", ",", "p3Y", ",", "p3Z"}], "}"}], "=", "p2"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3X", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"{", 
    RowBox[{"p3X", ",", "p3Y", ",", "p3Z"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494262379512642*^9, 3.494262411928837*^9}, {
   3.494263786834424*^9, 3.494263787816535*^9}, 3.494274502736783*^9, 
   3.49427535925598*^9, {3.4943248254534903`*^9, 3.4943248265250797`*^9}}],

Cell["\<\
Find the intersections of the two circles. Above were one approach with \
runtime solution of an equatios system.
Now use a tailor made function\
\>", "Text",
 CellChangeTimes->{{3.494347283895239*^9, 3.494347302198086*^9}, {
  3.494394207092572*^9, 3.494394219601625*^9}, {3.494509893802743*^9, 
  3.494509954914234*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"radiSnittCircle", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"lenLowerRod", "^", "2"}], "-", 
     RowBox[{"p2X", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"radiUpperRod", "=", "lenUpperRod"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4942624244402122`*^9, 3.4942624566578617`*^9}, {
  3.49426249892185*^9, 3.494262564399494*^9}, {3.494262604961982*^9, 
  3.4942626206558037`*^9}, {3.494262747721653*^9, 3.494262760058058*^9}, {
  3.494263807434414*^9, 3.494263808488534*^9}, {3.4942734010562353`*^9, 
  3.494273401073731*^9}, {3.494274523496818*^9, 3.494274529375041*^9}, {
  3.494324955183103*^9, 3.494324956516963*^9}}],

Cell["P11 and P12 is a solution. Choose the outermost", "Text",
 CellChangeTimes->{{3.494265505776223*^9, 3.494265517310563*^9}, {
  3.49432642891253*^9, 3.494326434798848*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"py11", ",", "pz11"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"py12", ",", "pz12"}], "}"}]}], "}"}], "=", 
     RowBox[{"interSect2CircZero", "[", 
      RowBox[{"radiUpperRod", ",", 
       RowBox[{"{", 
        RowBox[{"p3Y", ",", "p3Z"}], "}"}], ",", "radiSnittCircle"}], "]"}]}],
     ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"py11", ",", "pz11"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"py12", ",", "pz12"}], "}"}]}], "}"}], "=", 
     RowBox[{"solZeroFunction", "[", 
      RowBox[{
      "radiUpperRod", ",", "p3Y", ",", "p3Z", ",", "radiSnittCircle"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"solOneFunction", "[", 
      RowBox[{
      "radiUpperRod", ",", "p3Y", ",", "p3Z", ",", "radiSnittCircle"}], "]"}],
      ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"solZeroBlock", "/.", 
      RowBox[{"{", 
       RowBox[{"r1", "->", "3"}], "}"}]}], "//", "ReleaseHold"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p11", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "py11", ",", "pz11"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p12", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "py12", ",", "pz12"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pEndx", ",", "pEndy", ",", "pEndz"}], "}"}], "=", "p12"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pEnd", "=", 
     RowBox[{"{", 
      RowBox[{"pEndx", ",", "pEndy", ",", "pEndz"}], "}"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.494263375840775*^9, 3.494263376143114*^9}, {
   3.494263412097995*^9, 3.494263432055909*^9}, {3.494263841066967*^9, 
   3.494263881225391*^9}, 3.494270760648703*^9, {3.494273401076849*^9, 
   3.4942734010934753`*^9}, {3.494324854183239*^9, 3.494324881230616*^9}, {
   3.494324970358839*^9, 3.494324971654439*^9}, {3.4943259153822193`*^9, 
   3.494325942819935*^9}, {3.4943261382303963`*^9, 3.494326168139296*^9}, {
   3.494326440553735*^9, 3.4943265059642563`*^9}, {3.494326554707963*^9, 
   3.4943265860909233`*^9}, {3.49432662608466*^9, 3.4943267237280293`*^9}, {
   3.494326791519199*^9, 3.494326796909101*^9}, 3.49432683842594*^9, {
   3.494326911473937*^9, 3.4943269323261213`*^9}, 3.494327005967205*^9, {
   3.494333023168542*^9, 3.494333026291773*^9}, {3.4943332110511723`*^9, 
   3.494333301930917*^9}, {3.4945102614741*^9, 3.494510280308137*^9}, {
   3.4945103347719727`*^9, 3.494510334812731*^9}, {3.494510569379108*^9, 
   3.4945105764002953`*^9}, {3.494512269546529*^9, 3.4945123404287863`*^9}, {
   3.494512851923771*^9, 3.494512861051487*^9}, {3.4945129047060432`*^9, 
   3.494512924403487*^9}, {3.494513075155212*^9, 3.494513075683258*^9}, {
   3.494513739148594*^9, 3.4945137528512077`*^9}, {3.4945138756597137`*^9, 
   3.494513882459943*^9}, {3.494514863991796*^9, 3.4945148773156023`*^9}, {
   3.49451510688234*^9, 3.494515126173877*^9}}],

Cell["...and we have the two angles. Make a suitabale solution", "Text",
 CellChangeTimes->{{3.4942753469898243`*^9, 3.494275348901898*^9}, {
  3.494326760854433*^9, 3.494326770045985*^9}, {3.494333040241899*^9, 
  3.4943330712654877`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"alpha", "=", 
   RowBox[{"-", 
    RowBox[{"ArcTan", "[", 
     RowBox[{"pEndy", ",", "pEndz"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.494263907694113*^9, 3.494263925057967*^9}, 
   3.494264149103806*^9, {3.494274535947008*^9, 3.494274549232997*^9}, {
   3.494324888854679*^9, 3.494324889442996*^9}, {3.4943259487063007`*^9, 
   3.494325948777554*^9}, {3.494326173673716*^9, 3.4943261742011547`*^9}, {
   3.494326728368479*^9, 3.494326731143598*^9}, {3.49433307826777*^9, 
   3.494333080675211*^9}, {3.494333159589745*^9, 3.4943332059630003`*^9}, {
   3.4943332938369102`*^9, 3.494333296197152*^9}}],

Cell["\<\
DONE. We have the required angle which the upper rod should bu turned on the \
engine axis\
\>", "Text",
 CellChangeTimes->{{3.494275249653989*^9, 3.494275327678288*^9}}],

Cell["Now we got calculated value for the engine axis", "Text",
 CellChangeTimes->{{3.494264000991838*^9, 3.4942640360299664`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"grCircCentrum", "=", 
   RowBox[{"Line", "@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"radiUpperRod", " ", 
         RowBox[{"Cos", "@", "t"}]}], ",", 
        RowBox[{"radiUpperRod", " ", 
         RowBox[{"Sin", "@", "t"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"2", "Pi"}], ",", 
        RowBox[{"Pi", "/", "16"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grSnittCircle", "=", 
   RowBox[{"Line", "@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "p3Y", ",", "p3Z"}], "}"}], "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"radiSnittCircle", " ", 
          RowBox[{"Cos", "@", "t"}]}], ",", 
         RowBox[{"radiSnittCircle", " ", 
          RowBox[{"Sin", "@", "t"}]}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"2", "Pi"}], ",", 
        RowBox[{"Pi", "/", "16"}]}], "}"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4942693935621653`*^9, 3.4942694057221823`*^9}, {
  3.494269441491737*^9, 3.494269469771871*^9}, {3.49426950687554*^9, 
  3.494269561388111*^9}, {3.494269594156828*^9, 3.494269599900249*^9}, {
  3.4942696363422117`*^9, 3.494269693638895*^9}, {3.494269727791861*^9, 
  3.494269758279438*^9}, {3.494269828679448*^9, 3.494269832469396*^9}, {
  3.494273401097354*^9, 3.494273401116001*^9}, {3.494274570850995*^9, 
  3.494274581835053*^9}, {3.4942747746137037`*^9, 3.494274776469483*^9}, {
  3.49432602188831*^9, 3.494326051661367*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"grAll", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Thickness", "[", "Small", "]"}], ",", "\[IndentingNewLine]", 
     "Red", ",", 
     RowBox[{"PointSize", "[", "0.03", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Point", "[", "p1", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"p2", ",", "\"\<p1\>\""}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Point", "[", "p2", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"p2", ",", "\"\<p2\>\""}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Point", "[", "p3", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"p3", ",", "\"\<p3\>\""}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Point", "[", "pEnd", "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{"pEnd", ",", "\"\<pEnd\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}], ",", 
     RowBox[{"PointStamp", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "\"\<{0,0,0}\>\""}], 
      "]"}], ",", "\[IndentingNewLine]", "Black", ",", "\[IndentingNewLine]", 
     
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{"p2", ",", "pEnd"}], "}"}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "pEnd"}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "Medium", "]"}], ",", 
       RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}], 
       ",", 
       RowBox[{"Thickness", "[", "Small", "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", "grCircCentrum", ",", "\[IndentingNewLine]", 
     "grSnittCircle"}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.494268450453168*^9, 3.494268466134547*^9}, {
   3.494268653507482*^9, 3.4942686581620827`*^9}, {3.494268799444441*^9, 
   3.494268851194628*^9}, {3.4942689539825287`*^9, 3.4942689596187973`*^9}, {
   3.4942691447339983`*^9, 3.4942691490111113`*^9}, {3.4942692434052267`*^9, 
   3.494269290724043*^9}, {3.49426954460643*^9, 3.494269545309548*^9}, {
   3.4942697675347853`*^9, 3.494269768538274*^9}, 3.4942746018170147`*^9, {
   3.4942746785142508`*^9, 3.494274689378063*^9}, {3.494274823714677*^9, 
   3.4942748494401093`*^9}, {3.494275229835009*^9, 3.494275230111577*^9}, {
   3.4943204478592243`*^9, 3.494320475815497*^9}, {3.494320580747057*^9, 
   3.494320687457979*^9}, {3.494320740061289*^9, 3.4943207408191853`*^9}, {
   3.494325230552475*^9, 3.4943252363494377`*^9}, {3.4943252666783333`*^9, 
   3.4943252751480227`*^9}, {3.4943263247005157`*^9, 3.494326348282317*^9}, {
   3.494326738217827*^9, 3.494326749928609*^9}, {3.494333102438734*^9, 
   3.4943331058869762`*^9}, {3.49433317186808*^9, 3.494333188419194*^9}, {
   3.494333308109333*^9, 3.4943333200221863`*^9}, {3.494333357797761*^9, 
   3.494333393005549*^9}, {3.49450947825679*^9, 3.49450948633412*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Show", "@", 
   RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "{", "\[IndentingNewLine]", "grAll", "\[IndentingNewLine]", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Axes", "->", "True"}], ",", " ", 
     RowBox[{"AxesLabel", "->", 
      RowBox[{"{", 
       RowBox[{"\"\<X\>\"", ",", "\"\<Y\>\"", ",", "\"\<Z\>\""}], "}"}]}], 
     ",", 
     RowBox[{"Ticks", "->", "Automatic"}], ",", 
     RowBox[{"PlotRange", "->", "Automatic"}]}], "\[IndentingNewLine]", 
    "]"}]}], "/.", "subsFormulas"}]], "Input",
 CellChangeTimes->{{3.49426426050476*^9, 3.494264294520053*^9}, {
   3.4942643247940598`*^9, 3.494264402623382*^9}, {3.4942644378582706`*^9, 
   3.494264439922063*^9}, {3.4942644700437393`*^9, 3.494264530787277*^9}, {
   3.494264614330451*^9, 3.494264622868062*^9}, {3.494264671734015*^9, 
   3.494264680644874*^9}, {3.4942648789040956`*^9, 3.4942648999110813`*^9}, {
   3.4942649832814713`*^9, 3.494265005030986*^9}, {3.494265035419085*^9, 
   3.494265076568014*^9}, {3.494265206179686*^9, 3.494265268210236*^9}, {
   3.494265435676993*^9, 3.494265450291605*^9}, {3.4942655701895247`*^9, 
   3.494265616231172*^9}, {3.4942676662385*^9, 3.494267674621499*^9}, {
   3.4942681971048393`*^9, 3.494268206142811*^9}, {3.4942683858276987`*^9, 
   3.4942684220660067`*^9}, {3.494268459923955*^9, 3.494268471752433*^9}, 
   3.494269240378962*^9, {3.494269871839264*^9, 3.49426987190592*^9}, {
   3.4943210034941683`*^9, 3.494321060355138*^9}, {3.494321983631435*^9, 
   3.494321985536338*^9}, {3.494326246935177*^9, 3.494326261532671*^9}}],

Cell[BoxData[
 Graphics3DBox[
  {RGBColor[1, 0, 0], PointSize[0.03], Thickness[Small], 
   Point3DBox[{0.85, 0.5, -1.7}], {Point3DBox[{0.85, 0.5, -1.7}], Text3DBox[
     FormBox["\<\"p1\"\>", TraditionalForm], {0.85, 0.5, -1.7}, {-1, -1}]}, 
   Point3DBox[{0.85, 0.5, -1.7}], {Point3DBox[{0.85, 0.5, -1.7}], Text3DBox[
     FormBox["\<\"p2\"\>", TraditionalForm], {0.85, 0.5, -1.7}, {-1, -1}]}, 
   Point3DBox[{0, 0.5, -1.7}], {Point3DBox[{0, 0.5, -1.7}], Text3DBox[
     FormBox["\<\"p3\"\>", TraditionalForm], {0, 0.5, -1.7}, {-1, -1}]}, 
   Point3DBox[{0, 0.8855039481269297, -0.16088119172737345`}], {
    Point3DBox[{0, 0.8855039481269297, -0.16088119172737345`}], Text3DBox[
     FormBox["\<\"pEnd\"\>", TraditionalForm], {
     0, 0.8855039481269297, -0.16088119172737345`}, {-1, -1}]}, 
   Point3DBox[{0, 0, 0}], {Point3DBox[{0, 0, 0}], Text3DBox[
     FormBox["\<\"{0,0,0}\"\>", TraditionalForm], {0, 0, 0}, {-1, -1}]}, 
   {GrayLevel[0], 
    Line3DBox[{{0.85, 0.5, -1.7}, {
      0, 0.8855039481269297, -0.16088119172737345`}}], 
    Line3DBox[{{0, 0, 0}, {0, 0.8855039481269297, -0.16088119172737345`}}], 
    {Thickness[Medium], Arrowheads[Large], 
     Arrow3DBox[{{0, 0, 0}, {-1, 0, 0}}], 
     {Thickness[Small]}}, 
    Line3DBox[{{0, 0.9, 0}, {0, 0.8827067523629074, 0.17558128981451543`}, {
      0, 0.831491579260158, 0.3444150891285808}, {
      0, 0.7483226510722907, 0.500013209717642}, {
      0, 0.6363961030678927, 0.6363961030678927}, {
      0, 0.500013209717642, 0.7483226510722907}, {
      0, 0.3444150891285808, 0.831491579260158}, {
      0, 0.17558128981451543`, 0.8827067523629074}, {0, 0, 0.9}, {
      0, -0.17558128981451543`, 0.8827067523629074}, {
      0, -0.3444150891285808, 0.831491579260158}, {
      0, -0.500013209717642, 0.7483226510722907}, {
      0, -0.6363961030678927, 0.6363961030678927}, {
      0, -0.7483226510722907, 0.500013209717642}, {
      0, -0.831491579260158, 0.3444150891285808}, {
      0, -0.8827067523629074, 0.17558128981451543`}, {0, -0.9, 0}, {
      0, -0.8827067523629074, -0.17558128981451543`}, {
      0, -0.831491579260158, -0.3444150891285808}, {
      0, -0.7483226510722907, -0.500013209717642}, {
      0, -0.6363961030678927, -0.6363961030678927}, {
      0, -0.500013209717642, -0.7483226510722907}, {
      0, -0.3444150891285808, -0.831491579260158}, {
      0, -0.17558128981451543`, -0.8827067523629074}, {0, 0, -0.9}, {
      0, 0.17558128981451543`, -0.8827067523629074}, {
      0, 0.3444150891285808, -0.831491579260158}, {
      0, 0.500013209717642, -0.7483226510722907}, {
      0, 0.6363961030678927, -0.6363961030678927}, {
      0, 0.7483226510722907, -0.500013209717642}, {
      0, 0.831491579260158, -0.3444150891285808}, {
      0, 0.8827067523629074, -0.17558128981451543`}, {0, 0.9, 0}}], 
    Line3DBox[{{0, 2.086663165262243, -1.7}, {
      0, 2.056175877447206, -1.3904573721578597`}, {
      0, 1.9658856233753597`, -1.092810293910187}, {
      0, 1.8192622068753266`, -0.8184971755516359}, {
      0, 1.6219402836158439`, -0.5780597163841561}, {
      0, 1.381502824448364, -0.3807377931246734}, {
      0, 1.1071897060898128`, -0.2341143766246403}, {
      0, 0.8095426278421403, -0.14382412255279364`}, {
      0, 0.5, -0.1133368347377568}, {
      0, 0.19045737215785968`, -0.14382412255279364`}, {
      0, -0.10718970608981293`, -0.2341143766246403}, {
      0, -0.38150282444836403`, -0.3807377931246734}, {
      0, -0.6219402836158439, -0.5780597163841561}, {
      0, -0.8192622068753266, -0.8184971755516359}, {
      0, -0.9658856233753597, -1.092810293910187}, {
      0, -1.0561758774472063`, -1.3904573721578597`}, {
      0, -1.0866631652622432`, -1.7}, {
      0, -1.0561758774472063`, -2.00954262784214}, {
      0, -0.9658856233753597, -2.307189706089813}, {
      0, -0.8192622068753266, -2.581502824448364}, {
      0, -0.6219402836158439, -2.821940283615844}, {
      0, -0.38150282444836403`, -3.0192622068753265`}, {
      0, -0.10718970608981293`, -3.1658856233753596`}, {
      0, 0.19045737215785968`, -3.2561758774472063`}, {
      0, 0.5, -3.286663165262243}, {
      0, 0.8095426278421403, -3.2561758774472063`}, {
      0, 1.1071897060898128`, -3.1658856233753596`}, {
      0, 1.381502824448364, -3.0192622068753265`}, {
      0, 1.6219402836158439`, -2.821940283615844}, {
      0, 1.8192622068753266`, -2.581502824448364}, {
      0, 1.9658856233753597`, -2.307189706089813}, {
      0, 2.056175877447206, -2.00954262784214}, {
      0, 2.086663165262243, -1.7}}]}},
  AutomaticImageSize->True,
  Axes->True,
  AxesLabel->{
    FormBox["\"X\"", TraditionalForm], 
    FormBox["\"Y\"", TraditionalForm], 
    FormBox["\"Z\"", TraditionalForm]},
  ImageSize->{345.49996767070473`, 449.8867866315499},
  PlotRange->Automatic,
  Ticks->Automatic,
  ViewPoint->{3.3628764913514604`, -0.23015426467050845`, 0.2968008058777427},
  
  ViewVertical->{1.1371738936643745`, 0.07021392056333405, 
   0.8629275513689704}]], "Output",
 CellChangeTimes->{
  3.494325952888383*^9, 3.494326055532268*^9, 3.494326182570503*^9, 
   3.494326262589408*^9, {3.494326330473092*^9, 3.494326351367848*^9}, {
   3.494326776314733*^9, 3.494326800933641*^9}, {3.4943330853171873`*^9, 
   3.494333107584141*^9}, 3.494333190123007*^9, 3.4943333243462276`*^9, {
   3.494333384498455*^9, 3.494333395027701*^9}, 3.494344013798996*^9, 
   3.494508828554756*^9, 3.494509308200224*^9, 3.494509406679206*^9, 
   3.494509489639678*^9, 3.4945102911305923`*^9, 3.494510340785777*^9, 
   3.494510382888852*^9, 3.494510456149856*^9, 3.4945140071066313`*^9, 
   3.4945151309393272`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["subsFormulas"], "Input",
 CellChangeTimes->{3.494322488445277*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"x", "\[Rule]", "0.85`"}], ",", 
   RowBox[{"y", "\[Rule]", "1.`"}], ",", 
   RowBox[{"z", "\[Rule]", 
    RowBox[{"-", "1.7`"}]}], ",", 
   RowBox[{"0.5`", "\[Rule]", "0.5`"}], ",", 
   RowBox[{"0", "\[Rule]", "0"}], ",", 
   RowBox[{"0.9`", "\[Rule]", "0.9`"}], ",", 
   RowBox[{"1.8`", "\[Rule]", "1.8`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.494268970180976*^9, 3.494269151344472*^9, {3.4942692465781307`*^9, 
   3.494269255778104*^9}, 3.494269291975271*^9, {3.49426954700806*^9, 
   3.494269563684332*^9}, 3.494269602391425*^9, 3.494269770153187*^9, 
   3.494269835594901*^9, 3.4942698726598387`*^9, 3.494269946777341*^9, 
   3.4942708587473993`*^9, 3.4942742586139317`*^9, {3.494274360752458*^9, 
   3.494274381570483*^9}, 3.494274693446239*^9, 3.494274853917582*^9, 
   3.494275198747518*^9, 3.494312784699417*^9, 3.494313022261199*^9, 
   3.4943201559247828`*^9, 3.494320652004854*^9, 3.494320691062872*^9, 
   3.4943207456282997`*^9, {3.4943224746644707`*^9, 3.494322489815321*^9}, 
   3.4943249261386642`*^9, 3.4943251470772543`*^9, 3.4943252855656652`*^9, 
   3.494325955645247*^9, 3.4943260613391857`*^9, 3.4943261845502996`*^9, 
   3.494326279078843*^9, 3.49432635340379*^9, 3.494333325540169*^9, 
   3.49433340425727*^9, 3.494344013822392*^9, 3.4945088286083307`*^9, 
   3.494509327029332*^9, 3.494509407891748*^9, 3.494509490734902*^9, 
   3.494510388974275*^9, 3.494510458292548*^9, 3.494514008801572*^9, 
   3.494515137002652*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"grz", "=", 
     RowBox[{"Show", "@", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"reduceDimension", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "2"}], "}"}], ",", 
           RowBox[{"Flatten", "@", "grAll"}]}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Axes", "->", "True"}], ",", 
        RowBox[{"Ticks", "->", "None"}], ",", 
        RowBox[{"AxesOrigin", "->", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "\"\<From above\>\""}]}], "]"}]}]}], 
    ";"}], "/.", "subsFormulas"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gry", "=", 
     RowBox[{"Show", "@", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"reduceDimension", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "3"}], "}"}], ",", 
           RowBox[{"Flatten", "@", "grAll"}]}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Axes", "->", "True"}], ",", 
        RowBox[{"Ticks", "->", "None"}], ",", 
        RowBox[{"AxesOrigin", "->", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<x\>\"", ",", "\"\<z\>\""}], "}"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "\"\<Facing along the engine\>\""}]}],
        "]"}]}]}], ";"}], "/.", "subsFormulas"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"grx", "=", 
     RowBox[{"Show", "@", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"reduceDimension", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"2", ",", "3"}], "}"}], ",", 
           RowBox[{"Flatten", "@", "grAll"}]}], "]"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Axes", "->", "True"}], ",", 
        RowBox[{"Ticks", "->", "None"}], ",", 
        RowBox[{"AxesOrigin", "->", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}], ",", 
        RowBox[{
        "PlotLabel", "\[Rule]", "\"\<In engine axis direction\>\""}]}], 
       "]"}]}]}], ";"}], "/.", "subsFormulas"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grXYZ", "=", 
    RowBox[{"Show", "@", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "1", "]"}], ",", "grAll"}], "}"}], "]"}]}]}], 
   ";"}], "/.", "subsFormulas"}]}], "Input",
 CellChangeTimes->{{3.4942685036391706`*^9, 3.494268508071824*^9}, {
   3.494268547309539*^9, 3.494268553989202*^9}, {3.4942686108092527`*^9, 
   3.494268611269397*^9}, {3.4942741465168467`*^9, 3.494274157291423*^9}, {
   3.494320104950636*^9, 3.4943201113987617`*^9}, {3.494320171472045*^9, 
   3.4943201870226917`*^9}, 3.494322486336245*^9, {3.494325335368842*^9, 
   3.4943253509685793`*^9}, {3.4945093495838003`*^9, 3.494509353035413*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"GraphicsArray", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"grz", ",", "grXYZ"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"gry", ",", "grx"}], "}"}]}], "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}], ",", 
    RowBox[{"GraphicsSpacing", "->", "0.05"}]}], "]"}], "/.", 
  "subsFormulas"}]], "Input",
 CellChangeTimes->{3.494268560701345*^9, 3.494322497862411*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[
       {RGBColor[1, 0, 0], PointSize[0.03], Thickness[Small], 
        PointBox[{0.85, 0.5}], PointBox[{0.85, 0.5}], 
        InsetBox["\<\"p1\"\>", {0.85, 0.5}, {-1, -1}], PointBox[{0.85, 0.5}], 
        PointBox[{0.85, 0.5}], InsetBox["\<\"p2\"\>", {0.85, 0.5}, {-1, -1}], 
        PointBox[{0, 0.5}], PointBox[{0, 0.5}], 
        InsetBox["\<\"p3\"\>", {0, 0.5}, {-1, -1}], 
        PointBox[{0, 0.8855039481269297}], PointBox[{0, 0.8855039481269297}], 
        InsetBox["\<\"pEnd\"\>", {0, 0.8855039481269297}, {-1, -1}], 
        PointBox[{0, 0}], PointBox[{0, 0}], 
        InsetBox["\<\"{0,0,0}\"\>", {0, 0}, {-1, -1}], 
        {GrayLevel[0], LineBox[{{0.85, 0.5}, {0, 0.8855039481269297}}], 
         LineBox[{{0, 0}, {0, 0.8855039481269297}}], 
         {Thickness[Medium], Arrowheads[Large], ArrowBox[{{0, 0}, {-1, 0}}], 
          {Thickness[Small], 
           LineBox[{{0, 0.9}, {0, 0.8827067523629074}, {
             0, 0.831491579260158}, {0, 0.7483226510722907}, {
             0, 0.6363961030678927}, {0, 0.500013209717642}, {
             0, 0.3444150891285808}, {0, 0.17558128981451543`}, {0, 0}, {
             0, -0.17558128981451543`}, {0, -0.3444150891285808}, {
             0, -0.500013209717642}, {0, -0.6363961030678927}, {
             0, -0.7483226510722907}, {0, -0.831491579260158}, {
             0, -0.8827067523629074}, {0, -0.9}, {0, -0.8827067523629074}, {
             0, -0.831491579260158}, {0, -0.7483226510722907}, {
             0, -0.6363961030678927}, {0, -0.500013209717642}, {
             0, -0.3444150891285808}, {0, -0.17558128981451543`}, {0, 0}, {
             0, 0.17558128981451543`}, {0, 0.3444150891285808}, {
             0, 0.500013209717642}, {0, 0.6363961030678927}, {
             0, 0.7483226510722907}, {0, 0.831491579260158}, {
             0, 0.8827067523629074}, {0, 0.9}}], 
           LineBox[{{0, 2.086663165262243}, {0, 2.056175877447206}, {
             0, 1.9658856233753597`}, {0, 1.8192622068753266`}, {
             0, 1.6219402836158439`}, {0, 1.381502824448364}, {
             0, 1.1071897060898128`}, {0, 0.8095426278421403}, {0, 0.5}, {
             0, 0.19045737215785968`}, {0, -0.10718970608981293`}, {
             0, -0.38150282444836403`}, {0, -0.6219402836158439}, {
             0, -0.8192622068753266}, {0, -0.9658856233753597}, {
             0, -1.0561758774472063`}, {0, -1.0866631652622432`}, {
             0, -1.0561758774472063`}, {0, -0.9658856233753597}, {
             0, -0.8192622068753266}, {0, -0.6219402836158439}, {
             0, -0.38150282444836403`}, {0, -0.10718970608981293`}, {
             0, 0.19045737215785968`}, {0, 0.5}, {0, 0.8095426278421403}, {
             0, 1.1071897060898128`}, {0, 1.381502824448364}, {
             0, 1.6219402836158439`}, {0, 1.8192622068753266`}, {
             0, 1.9658856233753597`}, {0, 2.056175877447206}, {
             0, 2.086663165262243}}]}}}},
       Axes->True,
       AxesLabel->{
         FormBox["\"x\"", TraditionalForm], 
         FormBox["\"y\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       PlotLabel->FormBox["\"From above\"", TraditionalForm],
       Ticks->None], {186., -186.}, ImageScaled[{0.5, 0.5}], {360., 360.}], 
     InsetBox[
      Graphics3DBox[
       {Opacity[1], 
        {RGBColor[1, 0, 0], PointSize[0.03], Thickness[Small], 
         Point3DBox[{0.85, 0.5, -1.7}], {Point3DBox[{0.85, 0.5, -1.7}], 
          Text3DBox[
           FormBox["\<\"p1\"\>", TraditionalForm], {0.85, 
           0.5, -1.7}, {-1, -1}]}, 
         Point3DBox[{0.85, 0.5, -1.7}], {Point3DBox[{0.85, 0.5, -1.7}], 
          Text3DBox[
           FormBox["\<\"p2\"\>", TraditionalForm], {0.85, 
           0.5, -1.7}, {-1, -1}]}, 
         Point3DBox[{0, 0.5, -1.7}], {Point3DBox[{0, 0.5, -1.7}], Text3DBox[
           FormBox["\<\"p3\"\>", TraditionalForm], {0, 0.5, -1.7}, {-1, -1}]},
          Point3DBox[{0, 0.8855039481269297, -0.16088119172737345`}], {
          Point3DBox[{0, 0.8855039481269297, -0.16088119172737345`}], 
          Text3DBox[
           FormBox["\<\"pEnd\"\>", TraditionalForm], {
           0, 0.8855039481269297, -0.16088119172737345`}, {-1, -1}]}, 
         Point3DBox[{0, 0, 0}], {Point3DBox[{0, 0, 0}], Text3DBox[
           FormBox["\<\"{0,0,0}\"\>", TraditionalForm], {0, 0, 0}, {-1, -1}]}, 
         {GrayLevel[0], 
          Line3DBox[{{0.85, 0.5, -1.7}, {
            0, 0.8855039481269297, -0.16088119172737345`}}], 
          Line3DBox[{{0, 0, 0}, {
            0, 0.8855039481269297, -0.16088119172737345`}}], 
          {Thickness[Medium], Arrowheads[Large], 
           Arrow3DBox[{{0, 0, 0}, {-1, 0, 0}}], 
           {Thickness[Small]}}, 
          Line3DBox[{{0, 0.9, 0}, {
            0, 0.8827067523629074, 0.17558128981451543`}, {
            0, 0.831491579260158, 0.3444150891285808}, {
            0, 0.7483226510722907, 0.500013209717642}, {
            0, 0.6363961030678927, 0.6363961030678927}, {
            0, 0.500013209717642, 0.7483226510722907}, {
            0, 0.3444150891285808, 0.831491579260158}, {
            0, 0.17558128981451543`, 0.8827067523629074}, {0, 0, 0.9}, {
            0, -0.17558128981451543`, 0.8827067523629074}, {
            0, -0.3444150891285808, 0.831491579260158}, {
            0, -0.500013209717642, 0.7483226510722907}, {
            0, -0.6363961030678927, 0.6363961030678927}, {
            0, -0.7483226510722907, 0.500013209717642}, {
            0, -0.831491579260158, 0.3444150891285808}, {
            0, -0.8827067523629074, 0.17558128981451543`}, {0, -0.9, 0}, {
            0, -0.8827067523629074, -0.17558128981451543`}, {
            0, -0.831491579260158, -0.3444150891285808}, {
            0, -0.7483226510722907, -0.500013209717642}, {
            0, -0.6363961030678927, -0.6363961030678927}, {
            0, -0.500013209717642, -0.7483226510722907}, {
            0, -0.3444150891285808, -0.831491579260158}, {
            0, -0.17558128981451543`, -0.8827067523629074}, {0, 0, -0.9}, {
            0, 0.17558128981451543`, -0.8827067523629074}, {
            0, 0.3444150891285808, -0.831491579260158}, {
            0, 0.500013209717642, -0.7483226510722907}, {
            0, 0.6363961030678927, -0.6363961030678927}, {
            0, 0.7483226510722907, -0.500013209717642}, {
            0, 0.831491579260158, -0.3444150891285808}, {
            0, 0.8827067523629074, -0.17558128981451543`}, {0, 0.9, 0}}], 
          Line3DBox[{{0, 2.086663165262243, -1.7}, {
            0, 2.056175877447206, -1.3904573721578597`}, {
            0, 1.9658856233753597`, -1.092810293910187}, {
            0, 1.8192622068753266`, -0.8184971755516359}, {
            0, 1.6219402836158439`, -0.5780597163841561}, {
            0, 1.381502824448364, -0.3807377931246734}, {
            0, 1.1071897060898128`, -0.2341143766246403}, {
            0, 0.8095426278421403, -0.14382412255279364`}, {
            0, 0.5, -0.1133368347377568}, {
            0, 0.19045737215785968`, -0.14382412255279364`}, {
            0, -0.10718970608981293`, -0.2341143766246403}, {
            0, -0.38150282444836403`, -0.3807377931246734}, {
            0, -0.6219402836158439, -0.5780597163841561}, {
            0, -0.8192622068753266, -0.8184971755516359}, {
            0, -0.9658856233753597, -1.092810293910187}, {
            0, -1.0561758774472063`, -1.3904573721578597`}, {
            0, -1.0866631652622432`, -1.7}, {
            0, -1.0561758774472063`, -2.00954262784214}, {
            0, -0.9658856233753597, -2.307189706089813}, {
            0, -0.8192622068753266, -2.581502824448364}, {
            0, -0.6219402836158439, -2.821940283615844}, {
            0, -0.38150282444836403`, -3.0192622068753265`}, {
            0, -0.10718970608981293`, -3.1658856233753596`}, {
            0, 0.19045737215785968`, -3.2561758774472063`}, {
            0, 0.5, -3.286663165262243}, {
            0, 0.8095426278421403, -3.2561758774472063`}, {
            0, 1.1071897060898128`, -3.1658856233753596`}, {
            0, 1.381502824448364, -3.0192622068753265`}, {
            0, 1.6219402836158439`, -2.821940283615844}, {
            0, 1.8192622068753266`, -2.581502824448364}, {
            0, 1.9658856233753597`, -2.307189706089813}, {
            0, 2.056175877447206, -2.00954262784214}, {
            0, 2.086663165262243, -1.7}}]}}}], {558., -186.}, 
      ImageScaled[{0.5, 0.5}], {360., 360.},
      ContentSelectable->True]}, {InsetBox[
      GraphicsBox[
       {RGBColor[1, 0, 0], PointSize[0.03], Thickness[Small], 
        PointBox[{0.85, -1.7}], PointBox[{0.85, -1.7}], 
        InsetBox["\<\"p1\"\>", {0.85, -1.7}, {-1, -1}], 
        PointBox[{0.85, -1.7}], PointBox[{0.85, -1.7}], 
        InsetBox["\<\"p2\"\>", {0.85, -1.7}, {-1, -1}], PointBox[{0, -1.7}], 
        PointBox[{0, -1.7}], InsetBox["\<\"p3\"\>", {0, -1.7}, {-1, -1}], 
        PointBox[{0, -0.16088119172737345`}], 
        PointBox[{0, -0.16088119172737345`}], 
        InsetBox["\<\"pEnd\"\>", {0, -0.16088119172737345`}, {-1, -1}], 
        PointBox[{0, 0}], PointBox[{0, 0}], 
        InsetBox["\<\"{0,0,0}\"\>", {0, 0}, {-1, -1}], 
        {GrayLevel[0], LineBox[{{0.85, -1.7}, {0, -0.16088119172737345`}}], 
         LineBox[{{0, 0}, {0, -0.16088119172737345`}}], 
         {Thickness[Medium], Arrowheads[Large], ArrowBox[{{0, 0}, {-1, 0}}], 
          {Thickness[Small], 
           LineBox[{{0, 0}, {0, 0.17558128981451543`}, {
             0, 0.3444150891285808}, {0, 0.500013209717642}, {
             0, 0.6363961030678927}, {0, 0.7483226510722907}, {
             0, 0.831491579260158}, {0, 0.8827067523629074}, {0, 0.9}, {
             0, 0.8827067523629074}, {0, 0.831491579260158}, {
             0, 0.7483226510722907}, {0, 0.6363961030678927}, {
             0, 0.500013209717642}, {0, 0.3444150891285808}, {
             0, 0.17558128981451543`}, {0, 0}, {0, -0.17558128981451543`}, {
             0, -0.3444150891285808}, {0, -0.500013209717642}, {
             0, -0.6363961030678927}, {0, -0.7483226510722907}, {
             0, -0.831491579260158}, {0, -0.8827067523629074}, {0, -0.9}, {
             0, -0.8827067523629074}, {0, -0.831491579260158}, {
             0, -0.7483226510722907}, {0, -0.6363961030678927}, {
             0, -0.500013209717642}, {0, -0.3444150891285808}, {
             0, -0.17558128981451543`}, {0, 0}}], 
           LineBox[{{0, -1.7}, {0, -1.3904573721578597`}, {
             0, -1.092810293910187}, {0, -0.8184971755516359}, {
             0, -0.5780597163841561}, {0, -0.3807377931246734}, {
             0, -0.2341143766246403}, {0, -0.14382412255279364`}, {
             0, -0.1133368347377568}, {0, -0.14382412255279364`}, {
             0, -0.2341143766246403}, {0, -0.3807377931246734}, {
             0, -0.5780597163841561}, {0, -0.8184971755516359}, {
             0, -1.092810293910187}, {0, -1.3904573721578597`}, {0, -1.7}, {
             0, -2.00954262784214}, {0, -2.307189706089813}, {
             0, -2.581502824448364}, {0, -2.821940283615844}, {
             0, -3.0192622068753265`}, {0, -3.1658856233753596`}, {
             0, -3.2561758774472063`}, {0, -3.286663165262243}, {
             0, -3.2561758774472063`}, {0, -3.1658856233753596`}, {
             0, -3.0192622068753265`}, {0, -2.821940283615844}, {
             0, -2.581502824448364}, {0, -2.307189706089813}, {
             0, -2.00954262784214}, {0, -1.7}}]}}}},
       Axes->True,
       AxesLabel->{
         FormBox["\"x\"", TraditionalForm], 
         FormBox["\"z\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       PlotLabel->FormBox["\"Facing along the engine\"", TraditionalForm],
       Ticks->None], {186., -558.}, ImageScaled[{0.5, 0.5}], {360., 360.}], 
     InsetBox[
      GraphicsBox[
       {RGBColor[1, 0, 0], PointSize[0.03], Thickness[Small], 
        PointBox[{0.5, -1.7}], PointBox[{0.5, -1.7}], 
        InsetBox["\<\"p1\"\>", {0.5, -1.7}, {-1, -1}], PointBox[{0.5, -1.7}], 
        PointBox[{0.5, -1.7}], InsetBox["\<\"p2\"\>", {0.5, -1.7}, {-1, -1}], 
        PointBox[{0.5, -1.7}], PointBox[{0.5, -1.7}], 
        InsetBox["\<\"p3\"\>", {0.5, -1.7}, {-1, -1}], 
        PointBox[{0.8855039481269297, -0.16088119172737345`}], 
        PointBox[{0.8855039481269297, -0.16088119172737345`}], 
        InsetBox["\<\"pEnd\"\>", {0.8855039481269297, -0.16088119172737345`}, \
{-1, -1}], PointBox[{0, 0}], PointBox[{0, 0}], 
        InsetBox["\<\"{0,0,0}\"\>", {0, 0}, {-1, -1}], 
        {GrayLevel[0], 
         LineBox[{{0.5, -1.7}, {0.8855039481269297, -0.16088119172737345`}}], 
         LineBox[{{0, 0}, {0.8855039481269297, -0.16088119172737345`}}], 
         {Thickness[Medium], Arrowheads[Large], ArrowBox[{{0, 0}, {0, 0}}], 
          {Thickness[Small], 
           LineBox[{{0.9, 0}, {0.8827067523629074, 0.17558128981451543`}, {
             0.831491579260158, 0.3444150891285808}, {0.7483226510722907, 
             0.500013209717642}, {0.6363961030678927, 0.6363961030678927}, {
             0.500013209717642, 0.7483226510722907}, {0.3444150891285808, 
             0.831491579260158}, {0.17558128981451543`, 0.8827067523629074}, {
             0, 0.9}, {-0.17558128981451543`, 
             0.8827067523629074}, {-0.3444150891285808, 
             0.831491579260158}, {-0.500013209717642, 
             0.7483226510722907}, {-0.6363961030678927, 
             0.6363961030678927}, {-0.7483226510722907, 
             0.500013209717642}, {-0.831491579260158, 
             0.3444150891285808}, {-0.8827067523629074, 
             0.17558128981451543`}, {-0.9, 
              0}, {-0.8827067523629074, -0.17558128981451543`}, \
{-0.831491579260158, -0.3444150891285808}, {-0.7483226510722907, \
-0.500013209717642}, {-0.6363961030678927, -0.6363961030678927}, \
{-0.500013209717642, -0.7483226510722907}, {-0.3444150891285808, \
-0.831491579260158}, {-0.17558128981451543`, -0.8827067523629074}, {
             0, -0.9}, {0.17558128981451543`, -0.8827067523629074}, {
             0.3444150891285808, -0.831491579260158}, {
             0.500013209717642, -0.7483226510722907}, {
             0.6363961030678927, -0.6363961030678927}, {
             0.7483226510722907, -0.500013209717642}, {
             0.831491579260158, -0.3444150891285808}, {
             0.8827067523629074, -0.17558128981451543`}, {0.9, 0}}], 
           LineBox[CompressedData["
1:eJxTTMoPSmViYGBQBGIQvbZXpbRmI4ODMRj83n9i7eIwnmIGhxtp+6wC7L/t
59U7WO1S8t/+g8XEpWo1H/dP5hXbsEn6r/25WdJ/FQxf7T8ut3h5+eef9jc0
FMTL6x/tP5O6dMsiqW/2DdNKeJjibux3+rWwl2f7R3sDzQm7S7+f3b9txssP
R5+/tBfYG6d/JePQfgYweGA/oXZh3xLmvfvV5kbavEg4AZfXWCJ/60TB7v0w
/QbTp17qyrqxH2Z+n62b//tnj/fD7FeT1klINX+1H+Y+qZim7x0v3u2HuX9i
tPtaiWcf9sP8FyXt+epH0sf9MP/D5I//vyzaLcxwAKZ/97SsB/KlTAdg5jf4
vPn8ahnLAZj9fzWyc0Mnsx2AuS95wZKPReocB2DuX2BQdX13MOcBmP+S3G0/
LOXhOgDzv5v6Pj4xb64DsPCBycPCD6YfFr4w82HhD7MfFj8w98HiD+Z+WPzC
/Ice/wB2MAoX
            "]]}}}},
       Axes->True,
       AxesLabel->{
         FormBox["\"y\"", TraditionalForm], 
         FormBox["\"z\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       PlotLabel->FormBox["\"In engine axis direction\"", TraditionalForm],
       Ticks->None], {558., -558.}, ImageScaled[{0.5, 0.5}], {360., 360.}]}}, 
   
   StyleBox[{{}, {LineBox[{{0, 0}, {0, -372.}}], 
      LineBox[{{0, -372.}, {0, -744.}}], LineBox[{{372., 0}, {372., -372.}}], 
      LineBox[{{372., -372.}, {372., -744.}}], 
      LineBox[{{744., 0}, {744., -372.}}], 
      LineBox[{{744., -372.}, {744., -744.}}], LineBox[{{0, 0}, {372., 0}}], 
      LineBox[{{372., 0}, {744., 0}}], LineBox[{{0, -372.}, {372., -372.}}], 
      LineBox[{{372., -372.}, {744., -372.}}], 
      LineBox[{{0, -744.}, {372., -744.}}], 
      LineBox[{{372., -744.}, {744., -744.}}]}},
    Antialiasing->False]},
  ContentSelectable->True,
  ImageSize->{611.9999999999997, Automatic},
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{{3.494268529492878*^9, 3.494268561171204*^9}, 
   3.4942686146012907`*^9, 3.4942687492364883`*^9, 3.494268903926221*^9, 
   3.494269012308082*^9, 3.4942691619596663`*^9, 3.494269305007724*^9, 
   3.494269773902954*^9, 3.4942698392637873`*^9, 3.494270862265127*^9, 
   3.494274160979059*^9, 3.494274209615201*^9, 3.494274261106062*^9, 
   3.494274855976367*^9, 3.4942752008077106`*^9, 3.4943127849223757`*^9, 
   3.49431302247569*^9, 3.494320158927503*^9, 3.49432018927567*^9, 
   3.4943206541515017`*^9, 3.4943206926272984`*^9, 3.494320747861072*^9, 
   3.4943225017483053`*^9, 3.494324927864492*^9, 3.4943251488753557`*^9, 
   3.49432528774797*^9, 3.4943253533649597`*^9, 3.4943259595635643`*^9, 
   3.494326063423645*^9, 3.494326186433023*^9, 3.494326280589617*^9, 
   3.494326355575321*^9, 3.4943333279311953`*^9, 3.494333406593803*^9, 
   3.494344014105349*^9, 3.494508828989802*^9, 3.49450935589079*^9, 
   3.494509410535972*^9, 3.494509493019968*^9, 3.494510390965108*^9, 
   3.494510460199046*^9, 3.4945140121603823`*^9, 3.4945151380850887`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Optimize", "Subsection",
 CellChangeTimes->{{3.4942756251613503`*^9, 3.494275626966228*^9}, {
  3.4943130820295153`*^9, 3.4943130838844767`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"EDIT", " ", "FOR", " ", "PROPER", " ", "PATH"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Needs", "[", 
    RowBox[{
    "\"\<Optimize`\>\"", ",", "\"\</Users/willy/Matte/Optimize-1.m\>\""}], 
    "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.4945667160606813`*^9, 3.494566736195156*^9}, {
  3.494566790573998*^9, 3.494566818252502*^9}, {3.4945669090545893`*^9, 
  3.4945669929874763`*^9}, {3.4945670282215014`*^9, 3.494567047226962*^9}, {
  3.494567109388597*^9, 3.4945671305392733`*^9}, {3.494567191531941*^9, 
  3.494567202468358*^9}, {3.494567234333631*^9, 3.494567242414342*^9}, {
  3.494567595786324*^9, 3.494567596857436*^9}}],

Cell["The used function for intersection is  a reduction from", "Text",
 CellChangeTimes->{{3.494510731388611*^9, 3.4945107670913343`*^9}}],

Cell[CellGroupData[{

Cell["http : // local.wasp.uwa.edu.au/~pbourke/geometry/2 circle/", \
"Subsubsection"],

Cell["\<\
We have
1. a^2 + h^2 == r0^2
2. b^2 + h^2 == r1^2
3. d == a + b
From 2. we get
4. h^2 == r1^2-b^2
Substitute h^2 in 1
5. a^2 +  r1^2-b^2 == r0^2
Replacing b in 5 with d - a from 3 gives
a^2 +  r1^2-(d-a)^2 == r0^2
Expand this and you get
6. 2 a d-d^2-r0^2+r1^2==0
and then 
Calculations:

a = (d^2+r0^2-r1^2)/(2 d) (from 6.)

h = Sqrt[r0^2-a^2] ( from 1.)

P2 = P0 + a (P1 - P0)  / d
x3 = x2 +- h ( y1 - y0 ) / d
y3 = y2 -+ h ( x1 - x0 ) / d
\
\>", "Text",
 CellChangeTimes->{{3.4945005139406233`*^9, 3.494500520371482*^9}, {
  3.4945005524702463`*^9, 3.494500561782077*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"interSect2Circ", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x0_", ",", "y0_"}], "}"}], ",", "r0_", ",", 
    RowBox[{"{", 
     RowBox[{"x1_", ",", "y1_"}], "}"}], ",", "r1_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "d", ",", "a", ",", "h", ",", "p2x", ",", "p2y", ",", "x31x", ",", 
      "y31y", ",", "x32x", ",", "y32y"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"d", "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x1", "-", "x0"}], ")"}], "^", "2"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"y1", "-", "y0"}], ")"}], "^", "2"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", ">", 
        RowBox[{"r0", "+", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Separated\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", "<", 
        RowBox[{"Abs", "[", 
         RowBox[{"r0", "-", "r1"}], "]"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Contained\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "==", "0"}], "&&", 
        RowBox[{"r0", "==", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Same\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"a", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r0", "^", "2"}], "-", 
         RowBox[{"r1", "^", "2"}], "+", 
         RowBox[{"d", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "d"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p2x", ",", "p2y"}], "}"}], "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x0", ",", "y0"}], "}"}], "+", " ", 
       RowBox[{"a", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x1", ",", "y1"}], "}"}], "-", 
           RowBox[{"{", 
            RowBox[{"x0", ",", "y0"}], "}"}]}], ")"}], "/", "d"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"h", " ", "=", " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"r0", "^", "2"}], "-", 
        RowBox[{"a", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x31x", ",", "y31y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "+", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"y1", "-", "y0"}], ")"}], "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "-", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x1", "-", "x0"}], ")"}], "/", "d"}]}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x32x", ",", "y32y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "-", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"y1", "-", "y0"}], ")"}], "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "+", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x1", "-", "x0"}], ")"}], "/", "d"}]}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"{", 
        RowBox[{"x31x", ",", "y31y"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x32x", ",", "y32y"}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.4944011353483*^9, 3.4944012036844473`*^9}, {
  3.4944014411831417`*^9, 3.494401525919573*^9}, {3.494402286464388*^9, 
  3.494402473571239*^9}, {3.4944025210852547`*^9, 3.494402572460478*^9}, {
  3.49440263844648*^9, 3.494403130534994*^9}, {3.49440330581546*^9, 
  3.4944033231175756`*^9}, {3.494481154694633*^9, 3.49448115707655*^9}, {
  3.4945010770588284`*^9, 3.4945010923107967`*^9}, {3.4945012796274014`*^9, 
  3.494501281338133*^9}}],

Cell["\<\
We reduce the x0,y0 as we always calucate with one of the circles in origo.\
\>", "Text",
 CellChangeTimes->{{3.494510805404731*^9, 3.4945108502272043`*^9}, 
   3.494510880652978*^9}],

Cell["\<\
Lets try to optimez the evaluation of interSect2CircZero.
First evaluate with symbols\
\>", "Text",
 CellChangeTimes->{{3.494510883651211*^9, 3.494510927835184*^9}, {
  3.4945109967569103`*^9, 3.4945110142431793`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solZero", "=", 
  RowBox[{"interSect2CircZero", "[", 
   RowBox[{"r1", ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "z"}], "}"}], ",", "r2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4945109465271273`*^9, 3.494510962589242*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"y", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"y", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"y", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{"y", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.494510966462414*^9, 3.494511736430792*^9, 
  3.4945137708237867`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solZeroFunction", "=", " ", 
  RowBox[{"Compile", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1", ",", "y", ",", "z", ",", "r2"}], "}"}], ",", " ", 
    RowBox[{"Optimize", "[", "solZero", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.494511030015325*^9, 3.494511036079585*^9}, {
  3.494512237968783*^9, 3.494512241934724*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"CompiledFunction", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1", ",", "y", ",", "z", ",", "r2"}], "}"}], ",", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "O$592", ",", "O$593", ",", "O$594", ",", "O$595", ",", "O$596", ",", 
        "O$597", ",", "O$598", ",", "O$599", ",", "O$600", ",", "O$601", ",", 
        "O$602", ",", "O$603", ",", "O$604", ",", "O$605", ",", "O$606"}], 
       "}"}], ",", 
      RowBox[{
       RowBox[{"O$592", "=", 
        SuperscriptBox["r1", "2"]}], ";", 
       RowBox[{"O$593", "=", 
        SuperscriptBox["r2", "2"]}], ";", 
       RowBox[{"O$594", "=", 
        SuperscriptBox["y", "2"]}], ";", 
       RowBox[{"O$595", "=", 
        SuperscriptBox["z", "2"]}], ";", 
       RowBox[{"O$596", "=", 
        RowBox[{"-", "O$593"}]}], ";", 
       RowBox[{"O$597", "=", 
        RowBox[{"O$594", "+", "O$595"}]}], ";", 
       RowBox[{"O$598", "=", 
        FractionBox["1", "O$597"]}], ";", 
       RowBox[{"O$599", "=", 
        FractionBox["1", 
         SqrtBox["O$597"]]}], ";", 
       RowBox[{"O$600", "=", 
        RowBox[{"O$592", "-", "O$593", "+", "O$597"}]}], ";", 
       RowBox[{"O$601", "=", 
        FractionBox[
         RowBox[{"y", " ", "O$598", " ", "O$600"}], "2"]}], ";", 
       RowBox[{"O$602", "=", 
        FractionBox[
         RowBox[{"z", " ", "O$598", " ", "O$600"}], "2"]}], ";", 
       RowBox[{"O$603", "=", 
        SuperscriptBox["O$600", "2"]}], ";", 
       RowBox[{"O$604", "=", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"O$598", " ", "O$603"}], "4"]}]}], ";", 
       RowBox[{"O$605", "=", 
        RowBox[{"O$592", "+", "O$604"}]}], ";", 
       RowBox[{"O$606", "=", 
        SqrtBox["O$605"]}], ";", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"O$601", "+", 
            RowBox[{"O$599", " ", "O$606", " ", "z"}]}], ",", 
           RowBox[{"O$602", "-", 
            RowBox[{"O$599", " ", "O$606", " ", "y"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"O$601", "-", 
            RowBox[{"O$599", " ", "O$606", " ", "z"}]}], ",", 
           RowBox[{"O$602", "+", 
            RowBox[{"O$599", " ", "O$606", " ", "y"}]}]}], "}"}]}], "}"}]}]}],
      "]"}], ",", "\<\"-CompiledCode-\"\>"}], "]"}],
  False,
  Editable->False]], "Output",
 CellChangeTimes->{3.4945110412671003`*^9, 3.49451174439428*^9, 
  3.49451220453493*^9, 3.494512243144658*^9, 3.4945137734983187`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The solution in the first part", "Subsubsection",
 CellChangeTimes->{{3.494514210439715*^9, 3.4945142316707783`*^9}, {
  3.494515163592709*^9, 3.494515164846887*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"r0", ",", "r1", ",", "y", ",", "z", ",", "isY", ",", "isZ"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.494514348017768*^9, 3.494514361999614*^9}, {
  3.494514402664728*^9, 3.494514402736417*^9}, {3.494514780473263*^9, 
  3.4945147982723293`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"equations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["isY", "2"], "+", 
       SuperscriptBox["isZ", "2"]}], "==", 
      SuperscriptBox["r0", "2"]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"y", "-", "isY"}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"z", "-", "isZ"}], ")"}], "2"]}], "==", 
      SuperscriptBox["r1", "2"]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"variables", "=", 
   RowBox[{"{", 
    RowBox[{"isY", ",", "isZ"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solOne", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"equations", ",", "variables"}], "]"}], "//", "FullSimplify"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.494391654073894*^9, 3.494391760670192*^9}, 
   3.494391815163169*^9, {3.49439186301154*^9, 3.494391875857931*^9}, {
   3.494392230465807*^9, 3.494392237208084*^9}, {3.494393217676145*^9, 
   3.494393233834016*^9}, {3.4943933707958927`*^9, 3.494393370865767*^9}, {
   3.494393614430799*^9, 3.49439364406392*^9}, {3.494393720949059*^9, 
   3.494393728204524*^9}, 3.494393761395751*^9, {3.49439382026651*^9, 
   3.494393821353829*^9}, {3.494393962658386*^9, 3.49439399625021*^9}, {
   3.494394039066874*^9, 3.494394067961068*^9}, {3.494394123683243*^9, 
   3.494394136529942*^9}, {3.494408247701159*^9, 3.4944082515717983`*^9}, {
   3.494514253430744*^9, 3.494514256532852*^9}, {3.494514330487661*^9, 
   3.4945143326211023`*^9}, {3.49451444081491*^9, 3.494514441600683*^9}, {
   3.4945147372994747`*^9, 3.49451477271541*^9}, {3.494514926914517*^9, 
   3.4945149283873777`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"yi1", ",", "zi1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"yi2", ",", "zi2"}], "}"}]}], "}"}], "=", 
  RowBox[{"variables", "/.", "solOne"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["r0", "2"], " ", 
        SuperscriptBox["y", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["y", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["r1", "2"]}], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], "-", 
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["y", "2"]}], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["r0", "4"], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["r1", "2"]}], "+", 
               SuperscriptBox["y", "2"], "+", 
               SuperscriptBox["z", "2"]}], ")"}], "2"], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["r0", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["r1", "2"], "+", 
               SuperscriptBox["y", "2"], "+", 
               SuperscriptBox["z", "2"]}], ")"}]}]}], ")"}]}]]}]}], 
      RowBox[{"2", " ", "y", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}], ")"}]}]], ",", 
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["r0", "2"], " ", "z"}], "-", 
       RowBox[{
        SuperscriptBox["r1", "2"], " ", "z"}], "+", 
       RowBox[{
        SuperscriptBox["y", "2"], " ", "z"}], "+", 
       SuperscriptBox["z", "3"], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["y", "2"]}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["r0", "4"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["r1", "2"]}], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r0", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]}], ")"}]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}], ")"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["r0", "2"], " ", 
        SuperscriptBox["y", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["y", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["r1", "2"]}], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], "+", 
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["y", "2"]}], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["r0", "4"], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["r1", "2"]}], "+", 
               SuperscriptBox["y", "2"], "+", 
               SuperscriptBox["z", "2"]}], ")"}], "2"], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["r0", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["r1", "2"], "+", 
               SuperscriptBox["y", "2"], "+", 
               SuperscriptBox["z", "2"]}], ")"}]}]}], ")"}]}]]}]}], 
      RowBox[{"2", " ", "y", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}], ")"}]}]], ",", 
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["r0", "2"], " ", "z"}], "-", 
       RowBox[{
        SuperscriptBox["r1", "2"], " ", "z"}], "+", 
       RowBox[{
        SuperscriptBox["y", "2"], " ", "z"}], "+", 
       SuperscriptBox["z", "3"], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["y", "2"]}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["r0", "4"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["r1", "2"]}], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r0", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]}], ")"}]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}], ")"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.494514921732874*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solOneFunction", "=", " ", 
  RowBox[{"Compile", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r0", ",", "y", ",", "z", ",", "r1"}], "}"}], ",", " ", 
    RowBox[{"Optimize", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"yi1", ",", "zi1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"yi2", ",", "zi2"}], "}"}]}], "}"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.494514464402182*^9, 3.49451448620962*^9}, {
   3.494514545211226*^9, 3.494514573299782*^9}, {3.4945148110593653`*^9, 
   3.49451482428883*^9}, 3.494514953323991*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"CompiledFunction", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r0", ",", "y", ",", "z", ",", "r1"}], "}"}], ",", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "O$592", ",", "O$593", ",", "O$594", ",", "O$595", ",", "O$596", ",", 
        "O$597", ",", "O$598", ",", "O$599", ",", "O$600", ",", "O$601", ",", 
        "O$602", ",", "O$603", ",", "O$604", ",", "O$605", ",", "O$606", ",", 
        "O$607", ",", "O$608", ",", "O$609", ",", "O$610", ",", "O$611", ",", 
        "O$612", ",", "O$613"}], "}"}], ",", 
      RowBox[{
       RowBox[{"O$592", "=", 
        SuperscriptBox["r0", "2"]}], ";", 
       RowBox[{"O$593", "=", 
        SuperscriptBox["r0", "4"]}], ";", 
       RowBox[{"O$594", "=", 
        SuperscriptBox["r1", "2"]}], ";", 
       RowBox[{"O$595", "=", 
        FractionBox["1", "y"]}], ";", 
       RowBox[{"O$596", "=", 
        SuperscriptBox["y", "2"]}], ";", 
       RowBox[{"O$597", "=", 
        SuperscriptBox["z", "2"]}], ";", 
       RowBox[{"O$598", "=", 
        SuperscriptBox["z", "3"]}], ";", 
       RowBox[{"O$599", "=", 
        RowBox[{"-", "O$594"}]}], ";", 
       RowBox[{"O$600", "=", 
        RowBox[{"O$592", " ", "O$596"}]}], ";", 
       RowBox[{"O$601", "=", 
        RowBox[{"O$592", " ", "z"}]}], ";", 
       RowBox[{"O$602", "=", 
        RowBox[{
         RowBox[{"-", "O$594"}], " ", "z"}]}], ";", 
       RowBox[{"O$603", "=", 
        RowBox[{"O$596", " ", "z"}]}], ";", 
       RowBox[{"O$604", "=", 
        RowBox[{"O$596", "+", "O$597"}]}], ";", 
       RowBox[{"O$605", "=", 
        RowBox[{"O$594", "+", "O$596", "+", "O$597"}]}], ";", 
       RowBox[{"O$606", "=", 
        FractionBox["1", "O$604"]}], ";", 
       RowBox[{"O$607", "=", 
        RowBox[{
         RowBox[{"-", "O$594"}], "+", "O$604"}]}], ";", 
       RowBox[{"O$608", "=", 
        RowBox[{
         RowBox[{"-", "2"}], " ", "O$592", " ", "O$605"}]}], ";", 
       RowBox[{"O$609", "=", 
        RowBox[{"O$596", " ", "O$607"}]}], ";", 
       RowBox[{"O$610", "=", 
        SuperscriptBox["O$607", "2"]}], ";", 
       RowBox[{"O$611", "=", 
        RowBox[{"O$593", "+", "O$610", "+", "O$608"}]}], ";", 
       RowBox[{"O$612", "=", 
        RowBox[{
         RowBox[{"-", "O$596"}], " ", "O$611"}]}], ";", 
       RowBox[{"O$613", "=", 
        SqrtBox["O$612"]}], ";", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            FractionBox["1", "2"], " ", "O$595", " ", "O$606", " ", 
            RowBox[{"(", 
             RowBox[{"O$600", "+", "O$609", "-", 
              RowBox[{"O$613", " ", "z"}]}], ")"}]}], ",", 
           RowBox[{
            FractionBox["1", "2"], " ", "O$606", " ", 
            RowBox[{"(", 
             RowBox[{
             "O$598", "+", "O$601", "+", "O$602", "+", "O$603", "+", 
              "O$613"}], ")"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            FractionBox["1", "2"], " ", "O$595", " ", "O$606", " ", 
            RowBox[{"(", 
             RowBox[{"O$600", "+", "O$609", "+", 
              RowBox[{"O$613", " ", "z"}]}], ")"}]}], ",", 
           RowBox[{
            FractionBox["1", "2"], " ", "O$606", " ", 
            RowBox[{"(", 
             RowBox[{
             "O$598", "+", "O$601", "+", "O$602", "+", "O$603", "-", 
              "O$613"}], ")"}]}]}], "}"}]}], "}"}]}]}], "]"}], 
    ",", "\<\"-CompiledCode-\"\>"}], "]"}],
  False,
  Editable->False]], "Output",
 CellChangeTimes->{{3.494514558190538*^9, 3.494514574440254*^9}, 
   3.4945148259444637`*^9, 3.494514954666917*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Comparasions", "Subsubsection",
 CellChangeTimes->{{3.4945151733272*^9, 3.494515177350677*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"solZeroFunction", "[", 
   RowBox[{"radiUpperRod", ",", "p3Y", ",", "p3Z", ",", "radiSnittCircle"}], 
   "]"}], "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.4945149848826733`*^9, 3.494515010328623*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.000045999999997548`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.6573988525855284`"}], ",", 
       RowBox[{"-", "0.6146761331133905`"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.8855039481269297`", ",", 
       RowBox[{"-", "0.16088119172737345`"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.494515015517194*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"solOneFunction", "[", 
   RowBox[{"radiUpperRod", ",", "p3Y", ",", "p3Z", ",", "radiSnittCircle"}], 
   "]"}], "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.494514988753935*^9, 3.4945149937042427`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.00005899999999314787`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.8855039481269298`", ",", 
       RowBox[{"-", "0.16088119172737333`"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.6573988525855285`"}], ",", 
       RowBox[{"-", "0.6146761331133905`"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.494514994740168*^9, 3.494515018210388*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cost", "[", "solZeroFunction", "]"}]], "Input",
 CellChangeTimes->{{3.494515039469726*^9, 3.494515048242196*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", "Blank"}], "+", "Block", "+", "CompiledFunction", "+", 
  "Function", "+", 
  RowBox[{"56", " ", "List"}], "+", 
  RowBox[{"7", " ", "Plus"}], "+", 
  RowBox[{"8", " ", "Power"}], "+", 
  RowBox[{"15", " ", "Set"}], "+", 
  RowBox[{"9", " ", "Times"}]}]], "Output",
 CellChangeTimes->{3.49451505035005*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cost", "[", "solOneFunction", "]"}]], "Input",
 CellChangeTimes->{{3.494515064096078*^9, 3.494515065847869*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", "Blank"}], "+", "Block", "+", "CompiledFunction", "+", 
  "Function", "+", 
  RowBox[{"71", " ", "List"}], "+", 
  RowBox[{"8", " ", "Plus"}], "+", 
  RowBox[{"10", " ", "Power"}], "+", 
  RowBox[{"22", " ", "Set"}], "+", 
  RowBox[{"16", " ", "Times"}]}]], "Output",
 CellChangeTimes->{3.494515066486093*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{1310, 1026},
WindowMargins->{{Automatic, 118}, {46, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{$RootDirectory, "Users", "willy", 
   "Library", "Mathematica", "SystemFiles", "FrontEnd", "StyleSheets"}, 
  "MyStyleSheet.nb", CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 159, 2, 32, "Subsubtitle"],
Cell[729, 26, 123, 4, 69, "Text"],
Cell[CellGroupData[{
Cell[877, 34, 100, 1, 83, "Section"],
Cell[980, 37, 580, 10, 125, "Text"],
Cell[1563, 49, 4184, 111, 355, "Input"],
Cell[5750, 162, 142, 1, 41, "Text"],
Cell[5895, 165, 1459, 37, 146, "Input"],
Cell[7357, 204, 35, 0, 41, "Text"],
Cell[7395, 206, 2709, 70, 260, "Input"],
Cell[CellGroupData[{
Cell[10129, 280, 1745, 30, 260, "Input"],
Cell[11877, 312, 29634, 495, 693, 2895, 55, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41560, 813, 150, 2, 103, "Section"],
Cell[41713, 817, 656, 12, 225, "Text"],
Cell[42372, 831, 111, 1, 51, "Text"],
Cell[42486, 834, 2528, 55, 182, "Input"],
Cell[45017, 891, 106, 1, 51, "Text"],
Cell[45126, 894, 917, 25, 87, "Input"],
Cell[46046, 921, 352, 6, 51, "Text"],
Cell[46401, 929, 688, 16, 158, "Input"],
Cell[CellGroupData[{
Cell[47114, 949, 1802, 33, 277, "Input"],
Cell[48919, 984, 29986, 500, 355, 2109, 43, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[78954, 1490, 118, 2, 128, "Section"],
Cell[CellGroupData[{
Cell[79097, 1496, 123, 2, 65, "Subsection"],
Cell[79223, 1500, 2613, 74, 227, "Input"],
Cell[81839, 1576, 910, 23, 227, "Input",
 InitializationCell->True],
Cell[82752, 1601, 792, 23, 108, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83581, 1629, 96, 1, 65, "Subsection"],
Cell[83680, 1632, 1509, 25, 325, "Text"],
Cell[85192, 1659, 248, 5, 107, "Text"],
Cell[CellGroupData[{
Cell[85465, 1668, 114, 1, 46, "Subsubsection"],
Cell[85582, 1671, 1794, 41, 257, "Input"],
Cell[87379, 1714, 926, 18, 77, "Input"],
Cell[88308, 1734, 100, 1, 63, "Text"],
Cell[88411, 1737, 1796, 43, 227, "Input"],
Cell[90210, 1782, 127, 2, 63, "Text"],
Cell[90340, 1786, 1264, 33, 168, "Input"],
Cell[91607, 1821, 107, 1, 63, "Text"],
Cell[91717, 1824, 745, 15, 108, "Input"],
Cell[92465, 1841, 872, 18, 325, "Text"],
Cell[93340, 1861, 1919, 41, 138, "Input"],
Cell[95262, 1904, 1930, 47, 227, "Input"],
Cell[97195, 1953, 1079, 20, 250, "Text"],
Cell[CellGroupData[{
Cell[98299, 1977, 1831, 45, 316, "Input"],
Cell[100133, 2024, 710, 18, 46, "Output"]
}, Open  ]],
Cell[100858, 2045, 303, 10, 77, "Input"],
Cell[101164, 2057, 180, 4, 63, "Text"],
Cell[101347, 2063, 406, 12, 77, "Input"],
Cell[101756, 2077, 2103, 38, 435, "Input"],
Cell[103862, 2117, 3915, 96, 346, "Input"],
Cell[CellGroupData[{
Cell[107802, 2217, 699, 15, 77, "Input"],
Cell[108504, 2234, 18456, 319, 1153, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[127021, 2560, 100, 1, 65, "Subsection"],
Cell[127124, 2563, 3743, 109, 435, "Input"],
Cell[130870, 2674, 100, 1, 63, "Text"],
Cell[130973, 2677, 631, 17, 108, "Input"],
Cell[CellGroupData[{
Cell[131629, 2698, 1135, 21, 77, "Input"],
Cell[132767, 2721, 996, 19, 46, "Output"]
}, Open  ]],
Cell[133778, 2743, 159, 2, 63, "Text"],
Cell[133940, 2747, 95, 1, 63, "Text"],
Cell[134038, 2750, 781, 19, 108, "Input"],
Cell[134822, 2771, 259, 5, 63, "Text"],
Cell[135084, 2778, 975, 25, 138, "Input"],
Cell[136062, 2805, 187, 2, 63, "Text"],
Cell[136252, 2809, 555, 14, 138, "Input"],
Cell[136810, 2825, 332, 7, 107, "Text"],
Cell[137145, 2834, 703, 14, 108, "Input"],
Cell[137851, 2850, 177, 2, 63, "Text"],
Cell[138031, 2854, 3286, 79, 346, "Input"],
Cell[141320, 2935, 240, 3, 63, "Text"],
Cell[141563, 2940, 646, 12, 77, "Input"],
Cell[142212, 2954, 180, 4, 63, "Text"],
Cell[142395, 2960, 131, 1, 63, "Text"],
Cell[142529, 2963, 1681, 42, 108, "Input"],
Cell[144213, 3007, 3388, 70, 372, "Input"],
Cell[CellGroupData[{
Cell[147626, 3081, 1624, 29, 182, "Input"],
Cell[149253, 3112, 5585, 105, 721, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[154875, 3222, 80, 1, 62, "Input"],
Cell[154958, 3225, 1506, 27, 37, "Output"]
}, Open  ]],
Cell[156479, 3255, 3433, 91, 277, "Input"],
Cell[CellGroupData[{
Cell[159937, 3350, 453, 13, 62, "Input"],
Cell[160393, 3365, 16913, 291, 972, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[177355, 3662, 151, 2, 52, "Subsection"],
Cell[177509, 3666, 715, 15, 87, "Input"],
Cell[178227, 3683, 139, 1, 51, "Text"],
Cell[CellGroupData[{
Cell[178391, 3688, 86, 1, 37, "Subsubsection"],
Cell[178480, 3691, 585, 26, 815, "Text"],
Cell[179068, 3719, 4759, 138, 348, "Input"],
Cell[183830, 3859, 193, 4, 51, "Text"],
Cell[184026, 3865, 228, 5, 86, "Text"],
Cell[CellGroupData[{
Cell[184279, 3874, 255, 6, 62, "Input"],
Cell[184537, 3882, 4850, 152, 273, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[189424, 4039, 362, 8, 62, "Input"],
Cell[189789, 4049, 2544, 68, 246, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[192382, 4123, 172, 2, 37, "Subsubsection"],
Cell[192557, 4127, 296, 6, 62, "Input"],
Cell[192856, 4135, 1821, 42, 211, "Input"],
Cell[CellGroupData[{
Cell[194702, 4181, 243, 8, 77, "Input"],
Cell[194948, 4191, 5173, 157, 560, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[200158, 4353, 607, 16, 77, "Input"],
Cell[200768, 4371, 3659, 96, 415, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[204476, 4473, 101, 1, 46, "Subsubsection"],
Cell[CellGroupData[{
Cell[204602, 4478, 242, 5, 77, "Input"],
Cell[204847, 4485, 435, 13, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205319, 4503, 241, 5, 77, "Input"],
Cell[205563, 4510, 461, 13, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[206061, 4528, 137, 2, 77, "Input"],
Cell[206201, 4532, 350, 9, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[206588, 4546, 136, 2, 77, "Input"],
Cell[206727, 4550, 353, 9, 46, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
