(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     58873,       1525]
NotebookOptionsPosition[     56893,       1462]
NotebookOutlinePosition[     57558,       1483]
CellTagsIndexPosition[     57515,       1480]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Delta Robot", "Section",
 CellChangeTimes->{{3.494529212591601*^9, 3.494529217710128*^9}}],

Cell["\<\
Willy Svenningsson 2010-09-23
willy.svenningsson@fager.st\
\>", "Text",
 CellChangeTimes->{3.494581673634159*^9}],

Cell["\<\
We have the three engines even arranged in a circle with radi = 'engRadiLoc'
and the with an angle of 120 and at the machine  coordinate system \
{ex,ey,ez}.
The whole engine system is turned 'engAngle1' around  {ex,ey,ez}
The tool is at {x,y,z}\
\>", "Text",
 CellChangeTimes->{{3.494486137922011*^9, 3.494486140177907*^9}, {
   3.494486179738113*^9, 3.494486206561676*^9}, {3.4944862380503187`*^9, 
   3.494486280706895*^9}, {3.4944863305166483`*^9, 3.4944864404018908`*^9}, 
   3.494486582747115*^9, {3.494486943522407*^9, 3.494486955473608*^9}, 
   3.494499343566525*^9, {3.494525077509614*^9, 3.494525082515028*^9}, {
   3.494525119340982*^9, 3.49452520078723*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"upperRodLength", "=", "112"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lowerRodLength", " ", "=", "232"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", " ", "=", " ", "457.3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"e", "=", 
   RowBox[{"115", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"engRadiLoc", "=", 
   RowBox[{
    RowBox[{"f", " ", "/", "2"}], " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"30", " ", "Degree"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"toolRadi", "=", 
    RowBox[{
     RowBox[{"e", " ", "/", "2"}], " ", "/", 
     RowBox[{"Cos", "[", 
      RowBox[{"30", " ", "Degree"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grTool123", " ", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"e", "/", "4"}], ",", 
           RowBox[{
            RowBox[{"e", "/", "2"}], 
            RowBox[{"Cos", "[", 
             RowBox[{"30", "Degree"}], "]"}]}]}], "}"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "e"}], "/", "4"}], ",", 
           RowBox[{
            RowBox[{"e", "/", "2"}], 
            RowBox[{"Cos", "[", 
             RowBox[{"30", "Degree"}], "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
     "\[IndentingNewLine]", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"engineDimensions", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"upperRodLength", "/", "3"}], ",", 
      RowBox[{"upperRodLength", "/", "6"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ex", ",", "ey", ",", "ez"}], "}"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1.2", "*", "upperRodLength"}], ",", " ", 
      RowBox[{"0.9", " ", "*", "upperRodLength"}], ",", " ", 
      "upperRodLength"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grEngine", " ", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Rectangle", "[", 
       RowBox[{
        RowBox[{"engineDimensions", "*", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", 
           RowBox[{"-", ".5"}]}], "}"}]}], ",", 
        RowBox[{"engineDimensions", "*", 
         RowBox[{"{", 
          RowBox[{"0", ",", ".5"}], "}"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "upperRodLength"}], "}"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Translate", "[", 
       RowBox[{"grTool123", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"+", 
           RowBox[{"(", 
            RowBox[{"engRadiLoc", "-", 
             RowBox[{"1", "*", "toolRadi"}]}], ")"}]}]}], "}"}]}], "]"}]}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"engAngle1", "=", 
    RowBox[{"20", " ", "Degree"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grEngine1", "=", " ", 
   RowBox[{"Translate", "[", 
    RowBox[{"grEngine", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "engRadiLoc"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grEngine123", "=", 
   RowBox[{"Translate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Rotate", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"grEngine1", ",", "\[IndentingNewLine]", " ", 
         RowBox[{"Rotate", "[", 
          RowBox[{"grEngine1", ",", 
           RowBox[{"120", " ", "Degree"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Rotate", "[", 
          RowBox[{"grEngine1", ",", 
           RowBox[{
            RowBox[{"-", "120"}], " ", "Degree"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "engRadiLoc"}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", "engAngle1",
        ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"ex", ",", "ey"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.494486591780386*^9, 3.494486592946785*^9}, {
   3.494486640868148*^9, 3.494486663315137*^9}, {3.494486697747429*^9, 
   3.4944867436997766`*^9}, 3.494486774069619*^9, {3.494486879373859*^9, 
   3.49448699906747*^9}, {3.4944870308118763`*^9, 3.4944872254077387`*^9}, {
   3.494487412680687*^9, 3.494487413541161*^9}, {3.494487445344058*^9, 
   3.49448763056039*^9}, {3.4944876943549967`*^9, 3.4944877397623577`*^9}, {
   3.494487883378172*^9, 3.4944881316768217`*^9}, {3.494488295240898*^9, 
   3.494488295548628*^9}, 3.494489438401167*^9, {3.494489575995721*^9, 
   3.494489578242679*^9}, {3.49448975610746*^9, 3.4944897562345123`*^9}, {
   3.4944897866775093`*^9, 3.494489796450666*^9}, {3.4944899170431633`*^9, 
   3.494489944824456*^9}, {3.494489984619137*^9, 3.494490025483191*^9}, {
   3.4944900730022783`*^9, 3.494490094285359*^9}, {3.494490235218059*^9, 
   3.49449026149993*^9}, 3.494490692158901*^9, 3.494490786777733*^9, {
   3.494490832697043*^9, 3.494490899946925*^9}, {3.494490946565897*^9, 
   3.4944910377652683`*^9}, {3.494491131142582*^9, 3.49449122876777*^9}, {
   3.494491310776292*^9, 3.494491313433742*^9}, {3.494491468440324*^9, 
   3.494491471830523*^9}, {3.494491639312962*^9, 3.494491704929659*^9}, {
   3.494491757544779*^9, 3.494491760848373*^9}, {3.494491819810874*^9, 
   3.494491830111004*^9}, {3.494492203209399*^9, 3.494492208191107*^9}, {
   3.494492289272818*^9, 3.494492318848741*^9}, {3.494492355100672*^9, 
   3.494492381173472*^9}, 3.494492449938425*^9, {3.494492494801586*^9, 
   3.494492610778862*^9}, {3.494492680569189*^9, 3.494492681447569*^9}, {
   3.494492950249402*^9, 3.494492950316597*^9}, {3.494493666937004*^9, 
   3.4944936932281303`*^9}, {3.494493815144267*^9, 3.494493876742972*^9}, {
   3.4944939124080057`*^9, 3.494493918781938*^9}, {3.494493973424258*^9, 
   3.4944940557659817`*^9}, {3.494494243552606*^9, 3.494494252622223*^9}, {
   3.494494351483407*^9, 3.494494474359275*^9}, {3.494494513985099*^9, 
   3.494494543761442*^9}, {3.494494603505109*^9, 3.494494604481148*^9}, {
   3.494494680696014*^9, 3.494494681678067*^9}, {3.49449479820188*^9, 
   3.494494798711362*^9}, {3.494494877402554*^9, 3.4944948793363028`*^9}, {
   3.494497505739244*^9, 3.494497552438328*^9}, {3.494499742388427*^9, 
   3.494499771328677*^9}, 3.4945154767239647`*^9, 3.494517878411212*^9, {
   3.494518109957049*^9, 3.494518151986792*^9}, {3.494518283843066*^9, 
   3.49451829015283*^9}, 3.494518321449163*^9, {3.4945184364768963`*^9, 
   3.4945184582225733`*^9}, {3.494518524852021*^9, 3.494518623651784*^9}, {
   3.494518938686002*^9, 3.494518938758822*^9}, {3.494519345097855*^9, 
   3.494519353452716*^9}, {3.494521118395905*^9, 3.4945211272277412`*^9}, {
   3.494521221445981*^9, 3.494521222017655*^9}, 3.4945212695049973`*^9, 
   3.494521303409093*^9, {3.4945215348176737`*^9, 3.4945215487888403`*^9}, 
   3.494527455836012*^9, {3.494528747569681*^9, 3.494528747648716*^9}}],

Cell["Assume the tool is {50,30,nnn} offset from 3-engine origo", "Text",
 CellChangeTimes->{{3.494519825706152*^9, 3.494519869714933*^9}, {
  3.494519927898759*^9, 3.494519933250667*^9}, {3.4945222940056353`*^9, 
  3.494522333461402*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"desiredOffset", "=", 
   RowBox[{"{", 
    RowBox[{"50", ",", "30"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grTool", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "e"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"e", "/", "2"}], 
          RowBox[{"Tan", "[", 
           RowBox[{"30", "Degree"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"e", "/", "2"}], ",", 
         RowBox[{
          RowBox[{"e", "/", "2"}], 
          RowBox[{"Tan", "[", 
           RowBox[{"30", "Degree"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "e"}], "/", "2"}], "/", 
          RowBox[{"Cos", "[", 
           RowBox[{"30", "Degree"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "e"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"e", "/", "2"}], 
          RowBox[{"Tan", "[", 
           RowBox[{"30", "Degree"}], "]"}]}]}], "}"}]}], "}"}], "]"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grTool", " ", "=", " ", 
   RowBox[{"Rotate", "[", 
    RowBox[{"grTool", ",", "engAngle1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grTool", "=", " ", 
   RowBox[{"Translate", "[", 
    RowBox[{"grTool", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ex", ",", "ey"}], "}"}], "+", "desiredOffset"}]}], "]"}]}], 
  ";", 
  RowBox[{"(*", " ", 
   RowBox[{"Translate", " ", 
    RowBox[{"{", 
     RowBox[{"50", ",", "30", ",", "nnn"}], "}"}], " ", "in", " ", "3", " ", 
    "dimensions"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.494519941529027*^9, 3.494520002180168*^9}, {
   3.4945200323561897`*^9, 3.4945200706081*^9}, {3.4945202669279327`*^9, 
   3.494520273480707*^9}, {3.494520335576912*^9, 3.494520335936337*^9}, {
   3.4945205655778503`*^9, 3.494520567552123*^9}, {3.494520636154037*^9, 
   3.494520636303671*^9}, 3.494520701313982*^9, {3.494520736465081*^9, 
   3.494520842759717*^9}, {3.4945208833638678`*^9, 3.494520886849831*^9}, {
   3.4945209706281557`*^9, 3.494520995161954*^9}, {3.494521033236092*^9, 
   3.4945210597701483`*^9}, {3.4945210898841133`*^9, 
   3.4945210913059607`*^9}, {3.494521181290759*^9, 3.4945211870582047`*^9}, {
   3.494521285892519*^9, 3.494521293250304*^9}, {3.494521342476604*^9, 
   3.494521347282711*^9}, {3.494521570492388*^9, 3.494521573642641*^9}, {
   3.494521633037075*^9, 3.49452165137882*^9}, {3.494522365455926*^9, 
   3.494522407215275*^9}, {3.494527032612792*^9, 3.494527066067542*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{"Graphics", "\[IndentingNewLine]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"grEngine1", ",", "\[IndentingNewLine]", " ", 
       RowBox[{"Rotate", "[", 
        RowBox[{"grEngine1", ",", 
         RowBox[{"120", " ", "Degree"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Rotate", "[", 
        RowBox[{"grEngine1", ",", 
         RowBox[{
          RowBox[{"-", "120"}], " ", "Degree"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Circle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "engRadiLoc"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Axes", "->", "True"}], ",", 
    RowBox[{"AxesOrigin", "->", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.494492756466714*^9, 3.4944977645072193`*^9, 3.4944993325476627`*^9, {
   3.4945177601658688`*^9, 3.494517766085737*^9}, 3.49451804577351*^9, 
   3.4945180813658037`*^9, {3.494518159181705*^9, 3.494518192773897*^9}, 
   3.494518310357976*^9, 3.494518637854432*^9, 3.4945191262144213`*^9, 
   3.494520989185231*^9, 3.494527308824296*^9, 3.4945275215948677`*^9}],

Cell[BoxData[
 GraphicsBox[{
   GeometricTransformationBox[{
     RectangleBox[
      NCache[{Rational[-112, 
         3], -9.333333333333334}, {-37.333333333333336`, \
-9.333333333333334}], {0, 9.333333333333334}], LineBox[{{0, 0}, {0, 112}}], 
     GeometricTransformationBox[{
       LineBox[NCache[{{0, 0}, {
          Rational[115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 0}, {
          14.375, 24.89823035880261}}]], 
       LineBox[NCache[{{0, 0}, {
          Rational[-115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
          0}, {-14.375, 24.89823035880261}}]]}, {0, 164.8190680969084}]}, {
    0, -198.0167085753119}], 
   GeometricTransformationBox[
    GeometricTransformationBox[{
      RectangleBox[
       NCache[{Rational[-112, 
          3], -9.333333333333334}, {-37.333333333333336`, \
-9.333333333333334}], {0, 9.333333333333334}], LineBox[{{0, 0}, {0, 112}}], 
      GeometricTransformationBox[{
        LineBox[NCache[{{0, 0}, {
           Rational[115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 0}, {
           14.375, 24.89823035880261}}]], 
        LineBox[NCache[{{0, 0}, {
           Rational[-115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
           0}, {-14.375, 24.89823035880261}}]]}, {0, 164.8190680969084}]}, {
     0, -198.0167085753119}], {{{-0.5, -0.8660254037844386}, {
     0.8660254037844386, -0.5}}, {0, 0}}], 
   GeometricTransformationBox[
    GeometricTransformationBox[{
      RectangleBox[
       NCache[{Rational[-112, 
          3], -9.333333333333334}, {-37.333333333333336`, \
-9.333333333333334}], {0, 9.333333333333334}], LineBox[{{0, 0}, {0, 112}}], 
      GeometricTransformationBox[{
        LineBox[NCache[{{0, 0}, {
           Rational[115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 0}, {
           14.375, 24.89823035880261}}]], 
        LineBox[NCache[{{0, 0}, {
           Rational[-115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
           0}, {-14.375, 24.89823035880261}}]]}, {0, 164.8190680969084}]}, {
     0, -198.0167085753119}], {{{-0.5, 
     0.8660254037844386}, {-0.8660254037844386, -0.5}}, {0, 0}}], 
   CircleBox[{0, 0}, 198.0167085753119]},
  Axes->True,
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"y\"", TraditionalForm]},
  AxesOrigin->{0, 0}]], "Output",
 CellChangeTimes->{3.494527309568466*^9, 3.494527523212244*^9, 
  3.494528750256502*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{"Graphics", "\[IndentingNewLine]", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"grEngine123", ",", "Red", ",", "grTool"}], "}"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"Axes", "->", "True"}], ",", 
    RowBox[{"AxesOrigin", "->", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.494486747357579*^9, 3.494486760482256*^9}, 
   3.494487103444121*^9, {3.49448718791477*^9, 3.4944871925235643`*^9}, {
   3.4944877762355013`*^9, 3.494487792514584*^9}, {3.49448782784445*^9, 
   3.494487860092516*^9}, {3.4944881989724503`*^9, 3.494488221859445*^9}, {
   3.4945209439451447`*^9, 3.494520945992011*^9}}],

Cell[BoxData[
 GraphicsBox[{
   GeometricTransformationBox[
    GeometricTransformationBox[{
      GeometricTransformationBox[{
        RectangleBox[
         NCache[{Rational[-112, 
            3], -9.333333333333334}, {-37.333333333333336`, \
-9.333333333333334}], {0, 9.333333333333334}], LineBox[{{0, 0}, {0, 112}}], 
        GeometricTransformationBox[{
          LineBox[NCache[{{0, 0}, {
             Rational[115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 0}, {
             14.375, 24.89823035880261}}]], 
          LineBox[NCache[{{0, 0}, {
             Rational[-115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
             0}, {-14.375, 24.89823035880261}}]]}, {0, 164.8190680969084}]}, {
       0, -198.0167085753119}], 
      GeometricTransformationBox[
       GeometricTransformationBox[{
         RectangleBox[
          NCache[{Rational[-112, 
             3], -9.333333333333334}, {-37.333333333333336`, \
-9.333333333333334}], {0, 9.333333333333334}], LineBox[{{0, 0}, {0, 112}}], 
         GeometricTransformationBox[{
           LineBox[NCache[{{0, 0}, {
              Rational[115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
              0}, {14.375, 24.89823035880261}}]], 
           LineBox[NCache[{{0, 0}, {
              Rational[-115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
              0}, {-14.375, 24.89823035880261}}]]}, {
          0, 164.8190680969084}]}, {
        0, -198.0167085753119}], {{{-0.5, -0.8660254037844386}, {
        0.8660254037844386, -0.5}}, {0, 0}}], 
      GeometricTransformationBox[
       GeometricTransformationBox[{
         RectangleBox[
          NCache[{Rational[-112, 
             3], -9.333333333333334}, {-37.333333333333336`, \
-9.333333333333334}], {0, 9.333333333333334}], LineBox[{{0, 0}, {0, 112}}], 
         GeometricTransformationBox[{
           LineBox[NCache[{{0, 0}, {
              Rational[115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
              0}, {14.375, 24.89823035880261}}]], 
           LineBox[NCache[{{0, 0}, {
              Rational[-115, 8], Rational[115, 8] 3^Rational[1, 2]}}, {{0, 
              0}, {-14.375, 24.89823035880261}}]]}, {
          0, 164.8190680969084}]}, {0, -198.0167085753119}], {{{-0.5, 
        0.8660254037844386}, {-0.8660254037844386, -0.5}}, {0, 0}}], 
      CircleBox[{0, 0}, 198.0167085753119]}, {{{
      0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
      0.9396926207859084}}, {0, 0}}], {134.4, 100.8}], 
   {RGBColor[1, 0, 0], 
    GeometricTransformationBox[
     GeometricTransformationBox[
      LineBox[NCache[{{
         Rational[-115, 4], Rational[115, 4] 3^Rational[-1, 2]}, {
         Rational[115, 4], Rational[115, 4] 3^Rational[-1, 2]}, {
         0, Rational[-115, 2] 3^Rational[-1, 2]}, {
         Rational[-115, 4], Rational[115, 4] 3^Rational[-1, 2]}}, {{-28.75, 
         16.598820239201743`}, {28.75, 16.598820239201743`}, {
         0, -33.197640478403486`}, {-28.75, 16.598820239201743`}}]], {{{
       0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
       0.9396926207859084}}, {0, 0}}], {184.4, 130.8}]}},
  Axes->True,
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"y\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->{317.60000000000053`, Automatic}]], "Output",
 CellChangeTimes->{
  3.494486761576508*^9, 3.494487105959626*^9, {3.494487192653767*^9, 
   3.494487227237493*^9}, 3.494487478143548*^9, 3.494487572393447*^9, 
   3.494487716152474*^9, 3.49448779585802*^9, {3.494487838287805*^9, 
   3.4944878610785646`*^9}, 3.494487940730102*^9, {3.494488121654565*^9, 
   3.494488135678542*^9}, 3.494488223172771*^9, 3.4944898064725122`*^9, 
   3.494490013228013*^9, 3.494491231881649*^9, 3.4944913172868233`*^9, 
   3.4944914743379393`*^9, 3.494491712224907*^9, 3.494491832095191*^9, {
   3.4944923298915567`*^9, 3.494492358609552*^9}, 3.4944924612725077`*^9, 
   3.494492505373076*^9, {3.4944925388314247`*^9, 3.494492574707128*^9}, 
   3.4944926047250137`*^9, 3.494492639303988*^9, 3.494492683334506*^9, {
   3.494492942143911*^9, 3.4944929544081087`*^9}, 3.494493701627932*^9, 
   3.494493823959742*^9, 3.494493880356475*^9, 3.494494255893318*^9, {
   3.4944943740144873`*^9, 3.494494393377688*^9}, 3.494494438591016*^9, {
   3.494494523719125*^9, 3.49449454700288*^9}, 3.4944946073099823`*^9, 
   3.494494685270692*^9, 3.494494801533813*^9, 3.494494883348446*^9, 
   3.49449755507613*^9, 3.494499536266797*^9, 3.4945179666650057`*^9, 
   3.4945181634219713`*^9, 3.4945182926043987`*^9, 3.494518338573792*^9, 
   3.4945184785903683`*^9, 3.4945185368354607`*^9, 3.4945186275475817`*^9, 
   3.4945189414762917`*^9, 3.4945193558539963`*^9, {3.4945209466942253`*^9, 
   3.4945209975759974`*^9}, {3.494521036569132*^9, 3.494521062009962*^9}, 
   3.4945210931974688`*^9, 3.4945211300212297`*^9, 3.494521190579352*^9, 
   3.494521224412406*^9, {3.4945212727720127`*^9, 3.4945213054212217`*^9}, 
   3.494521349612299*^9, 3.494521470270615*^9, 3.494521577225424*^9, {
   3.4945216369290257`*^9, 3.494521654610168*^9}, 3.494527069823514*^9, 
   3.494528751589592*^9}]
}, Open  ]],

Cell["\<\
Now calculate for each engine.
Rotate real {x,y,z} around 3-engines origo {ex, ey, ez} 
-engAngle1
-engAngle1-120 Degree
-engAngle1=120 Degree
and also transform it with {ex, ey, ez} to get the engine axis at {0,0,0}
Like:\
\>", "Text",
 CellChangeTimes->{{3.494517777128709*^9, 3.494517786904214*^9}, {
  3.494517817914116*^9, 3.494517847808734*^9}, {3.494522456806602*^9, 
  3.494522472901126*^9}, {3.4945225270456743`*^9, 3.494522760701085*^9}, {
  3.4945231238864613`*^9, 3.494523124868697*^9}, {3.49452393070998*^9, 
  3.4945239377003183`*^9}}],

Cell["\<\
{x, y, z} = fromDesiredSource[xs, ys, zs];
{x0, y0, z0} = rotate[] /. {thePoint -> {x, y, z}, aroundPoint -> {ex, ey, \
ez}, anAngle -> -engAngle1};
{x1, y1, z1} = translate[] /. offset -> {- ex, - ey, - ez} + {0, engRadiLoc, \
0};

foreach ({0, +120 degree, -120 degree} as toRotate)
{
\t{x2, y2, z2} = rotate[] /. {thePoint -> {x1, y1, z1}, aroundPoint -> {0, \
+engRadiLoc, ez}, anAngle -> toRotate};
\t{x2, y2, z2} -= {0,toolRadi,0} // got middle of lower spherical joints
\t{x3, y3, z3} = {0, y2, z2} //  in the y-z-plane
\tradiSnittCircle = Sqrt[lenLowerRod^2 - x2^2];
\t{{py11, pz11}, {py12, pz12}} = solZeroFunction[radiUpperRod, y3, z3, \
radiSnittCircle];
\tchoose ArcTan[ {py11, pz11} or {py12, pz12}] as the angle for this engine\t
}\
\>", "Program",
 CellChangeTimes->{{3.494523943114978*^9, 3.494524128870989*^9}, {
   3.494524206139649*^9, 3.4945242471481953`*^9}, {3.4945242793040857`*^9, 
   3.4945243528655643`*^9}, {3.494524413964868*^9, 3.4945246759885807`*^9}, {
   3.494524706101988*^9, 3.494524749627028*^9}, {3.494524780262166*^9, 
   3.494524780669471*^9}, {3.494524811563526*^9, 3.494524813979438*^9}, {
   3.494524846334227*^9, 3.494524960435195*^9}, {3.494527844030676*^9, 
   3.494527850070256*^9}, {3.494527921465384*^9, 3.494527959966195*^9}, {
   3.4945280499706383`*^9, 3.4945280994127607`*^9}, {3.4945282064154987`*^9, 
   3.494528299564712*^9}, 3.494528337499053*^9, {3.494528425776677*^9, 
   3.494528468637471*^9}, {3.494528532050519*^9, 3.494528547440597*^9}, 
   3.494528585797669*^9, {3.4945286251990347`*^9, 3.49452863028553*^9}}],

Cell["One calcluation might look like", "Text",
 CellChangeTimes->{{3.494525215444089*^9, 3.4945252345387897`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{"Graphics", "\[IndentingNewLine]", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"grObject", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"grEngine123", ",", "Red", ",", "grTool"}], "}"}], "//", 
         "N"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"xxx0", "=", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{"grObject", ",", 
           RowBox[{"-", "engAngle1"}], ",", 
           RowBox[{"{", 
            RowBox[{"ex", ",", "ey"}], "}"}]}], "]"}], "//", "N"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"xxx1", "=", 
        RowBox[{
         RowBox[{"Translate", "[", 
          RowBox[{"xxx0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "ex"}], ",", 
             RowBox[{
              RowBox[{"-", "ey"}], "+", "engRadiLoc"}]}], "}"}]}], "]"}], "//",
          "N"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"xxx2", "=", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{"xxx1", ",", 
           RowBox[{
            RowBox[{"-", "120"}], " ", "Degree"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"+", "engRadiLoc"}]}], "}"}]}], "]"}], "//", "N"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"xxx3", "=", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{"xxx1", ",", 
           RowBox[{
            RowBox[{"+", "120"}], " ", "Degree"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"+", "engRadiLoc"}]}], "}"}]}], "]"}], "//", "N"}]}], 
       ";", "\[IndentingNewLine]", "xxx1"}], ",", "xxx2", ",", "xxx3"}], 
     "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"Axes", "->", "True"}], ",", 
    RowBox[{"AxesOrigin", "->", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.494525480004627*^9, 3.4945255916644773`*^9}, {
  3.494525623082344*^9, 3.49452573511346*^9}, {3.494525803322982*^9, 
  3.494525883488693*^9}, {3.494525915498724*^9, 3.494525916696666*^9}, {
  3.494526079962288*^9, 3.494526189680592*^9}, {3.4945262256507797`*^9, 
  3.494526252864551*^9}, {3.494526378691434*^9, 3.494526428784555*^9}, {
  3.494526475170719*^9, 3.494526481497882*^9}, {3.494526570396949*^9, 
  3.4945268354304733`*^9}, {3.494527098623863*^9, 3.494527118491564*^9}, {
  3.494527620790531*^9, 3.494527663375496*^9}, {3.49452776016667*^9, 
  3.4945278003499603`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   GeometricTransformationBox[
    GeometricTransformationBox[{
      GeometricTransformationBox[
       GeometricTransformationBox[{
         GeometricTransformationBox[{
           RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
           GeometricTransformationBox[{
             LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
             LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
            164.8190680969084}]}, {0., -198.0167085753119}], 
         GeometricTransformationBox[
          GeometricTransformationBox[{
            RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
            GeometricTransformationBox[{
              LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
              LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
             164.8190680969084}]}, {
           0., -198.0167085753119}], {{{-0.4999999999999998, \
-0.8660254037844388}, {0.8660254037844388, -0.4999999999999998}}, {0., 0.}}], 
         GeometricTransformationBox[
          GeometricTransformationBox[{
            RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
            GeometricTransformationBox[{
              LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
              LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
             164.8190680969084}]}, {
           0., -198.0167085753119}], {{{-0.4999999999999998, 
           0.8660254037844388}, {-0.8660254037844388, -0.4999999999999998}}, {
           0., 0.}}], CircleBox[{0., 0.}, 198.0167085753119]}, {{{
         0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
         0.9396926207859084}}, {0., 0.}}], {134.4, 100.8}], 
      {RGBColor[1., 0., 0.], 
       GeometricTransformationBox[
        GeometricTransformationBox[
         LineBox[{{-28.75, 16.598820239201743`}, {28.75, 
          16.598820239201743`}, {0., -33.197640478403486`}, {-28.75, 
          16.598820239201743`}}], {{{
          0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
          0.9396926207859084}}, {0., 0.}}], {184.4, 130.8}]}}, {{{
      0.9396926207859084, 0.3420201433256687}, {-0.3420201433256687, 
      0.9396926207859084}}, {-26.3703186808535, 52.04649108775031}}], {-134.4,
     97.2167085753119}], 
   GeometricTransformationBox[
    GeometricTransformationBox[
     GeometricTransformationBox[{
       GeometricTransformationBox[
        GeometricTransformationBox[{
          GeometricTransformationBox[{
            RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
            GeometricTransformationBox[{
              LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
              LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
             164.8190680969084}]}, {0., -198.0167085753119}], 
          GeometricTransformationBox[
           GeometricTransformationBox[{
             RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
             GeometricTransformationBox[{
               LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
               LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
              164.8190680969084}]}, {
            0., -198.0167085753119}], {{{-0.4999999999999998, \
-0.8660254037844388}, {0.8660254037844388, -0.4999999999999998}}, {0., 0.}}], 
          GeometricTransformationBox[
           GeometricTransformationBox[{
             RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
             GeometricTransformationBox[{
               LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
               LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
              164.8190680969084}]}, {
            0., -198.0167085753119}], {{{-0.4999999999999998, 
            0.8660254037844388}, {-0.8660254037844388, -0.4999999999999998}}, \
{0., 0.}}], CircleBox[{0., 0.}, 198.0167085753119]}, {{{
          0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
          0.9396926207859084}}, {0., 0.}}], {134.4, 100.8}], 
       {RGBColor[1., 0., 0.], 
        GeometricTransformationBox[
         GeometricTransformationBox[
          LineBox[{{-28.75, 16.598820239201743`}, {28.75, 
           16.598820239201743`}, {0., -33.197640478403486`}, {-28.75, 
           16.598820239201743`}}], {{{
           0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
           0.9396926207859084}}, {0., 0.}}], {184.4, 130.8}]}}, {{{
       0.9396926207859084, 0.3420201433256687}, {-0.3420201433256687, 
       0.9396926207859084}}, {-26.3703186808535, 
       52.04649108775031}}], {-134.4, 
     97.2167085753119}], {{{-0.4999999999999998, 
     0.8660254037844388}, {-0.8660254037844388, -0.4999999999999998}}, \
{-171.48750000000004`, 297.0250628629678}}], 
   GeometricTransformationBox[
    GeometricTransformationBox[
     GeometricTransformationBox[{
       GeometricTransformationBox[
        GeometricTransformationBox[{
          GeometricTransformationBox[{
            RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
            GeometricTransformationBox[{
              LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
              LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
             164.8190680969084}]}, {0., -198.0167085753119}], 
          GeometricTransformationBox[
           GeometricTransformationBox[{
             RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
             GeometricTransformationBox[{
               LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
               LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
              164.8190680969084}]}, {
            0., -198.0167085753119}], {{{-0.4999999999999998, \
-0.8660254037844388}, {0.8660254037844388, -0.4999999999999998}}, {0., 0.}}], 
          GeometricTransformationBox[
           GeometricTransformationBox[{
             RectangleBox[{-37.333333333333336`, -9.333333333333334}, \
{0., 9.333333333333334}], LineBox[{{0., 0.}, {0., 112.}}], 
             GeometricTransformationBox[{
               LineBox[{{0., 0.}, {14.375, 24.89823035880261}}], 
               LineBox[{{0., 0.}, {-14.375, 24.89823035880261}}]}, {0., 
              164.8190680969084}]}, {
            0., -198.0167085753119}], {{{-0.4999999999999998, 
            0.8660254037844388}, {-0.8660254037844388, -0.4999999999999998}}, \
{0., 0.}}], CircleBox[{0., 0.}, 198.0167085753119]}, {{{
          0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
          0.9396926207859084}}, {0., 0.}}], {134.4, 100.8}], 
       {RGBColor[1., 0., 0.], 
        GeometricTransformationBox[
         GeometricTransformationBox[
          LineBox[{{-28.75, 16.598820239201743`}, {28.75, 
           16.598820239201743`}, {0., -33.197640478403486`}, {-28.75, 
           16.598820239201743`}}], {{{
           0.9396926207859084, -0.3420201433256687}, {0.3420201433256687, 
           0.9396926207859084}}, {0., 0.}}], {184.4, 130.8}]}}, {{{
       0.9396926207859084, 0.3420201433256687}, {-0.3420201433256687, 
       0.9396926207859084}}, {-26.3703186808535, 
       52.04649108775031}}], {-134.4, 
     97.2167085753119}], {{{-0.4999999999999998, -0.8660254037844388}, {
     0.8660254037844388, -0.4999999999999998}}, {171.48750000000004`, 
     297.0250628629678}}]},
  Axes->True,
  AxesLabel->{
    FormBox["\"x\"", TraditionalForm], 
    FormBox["\"y\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->{382.39999999999986`, Automatic}]], "Output",
 CellChangeTimes->{{3.494525500850054*^9, 3.494525524741579*^9}, {
   3.4945255847103643`*^9, 3.4945255924664516`*^9}, {3.4945256698048697`*^9, 
   3.494525743827579*^9}, 3.494525803853207*^9, {3.494525837481545*^9, 
   3.4945258840339727`*^9}, {3.494526093374213*^9, 3.494526191900094*^9}, {
   3.4945262395270967`*^9, 3.494526253797989*^9}, {3.494526388964427*^9, 
   3.4945264299256897`*^9}, 3.494526482682225*^9, {3.4945266499179287`*^9, 
   3.494526658244417*^9}, {3.4945266945513697`*^9, 3.494526726401835*^9}, {
   3.494526775125278*^9, 3.494526837043623*^9}, {3.4945270787275553`*^9, 
   3.494527120077936*^9}, {3.494527622001902*^9, 3.494527664505589*^9}, {
   3.494527761630117*^9, 3.494527777273088*^9}, 3.494528753194964*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solutions to circle-circle intersection", "Section",
 CellChangeTimes->{{3.4945291422721233`*^9, 3.494529180982306*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", 
   RowBox[{
   "\"\<Optimize`\>\"", ",", "\"\</Users/willy/Matte/Optimize-1.m\>\""}], 
   "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["SOL two", "Subsection",
 CellChangeTimes->{{3.494482571871654*^9, 3.494482579367362*^9}}],

Cell["http://local.wasp.uwa.edu.au/~pbourke/geometry/2circle/", "Text",
 CellChangeTimes->{3.494482791658965*^9}],

Cell["\<\
We have
1. a^2 + h^2 == r0^2
2. b^2 + h^2 == r1^2
3. d == a + b
From 2. we get
4. h^2 == r1^2-b^2
Substitute h^2 in 1
5. a^2 +  r1^2-b^2 == r0^2
Replacing b in 5 with d - a from 3 gives
a^2 +  r1^2-(d-a)^2 == r0^2
Expand this and you get
6. 2 a d-d^2-r0^2+r1^2==0
and then 
Calculations:

a = (d^2+r0^2-r1^2)/(2 d) (from 6.)

h = Sqrt[r0^2-a^2] ( from 1.)

P2 = P0 + a (P1 - P0)  / d
x3 = x2 +- h ( y1 - y0 ) / d
y3 = y2 -+ h ( x1 - x0 ) / d
\
\>", "Text",
 CellChangeTimes->{{3.4945005139406233`*^9, 3.494500520371482*^9}, {
  3.4945005524702463`*^9, 3.494500561782077*^9}}],

Cell["This is written as a function", "Text",
 CellChangeTimes->{{3.4945005727738743`*^9, 3.494500598998049*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"interSect2Circ", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x0_", ",", "y0_"}], "}"}], ",", "r0_", ",", 
    RowBox[{"{", 
     RowBox[{"x1_", ",", "y1_"}], "}"}], ",", "r1_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "d", ",", "a", ",", "h", ",", "p2x", ",", "p2y", ",", "x31x", ",", 
      "y31y", ",", "x32x", ",", "y32y"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"d", "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x1", "-", "x0"}], ")"}], "^", "2"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"y1", "-", "y0"}], ")"}], "^", "2"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", ">", 
        RowBox[{"r0", "+", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Separated\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", "<", 
        RowBox[{"Abs", "[", 
         RowBox[{"r0", "-", "r1"}], "]"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Contained\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "==", "0"}], "&&", 
        RowBox[{"r0", "==", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Same\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"a", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r0", "^", "2"}], "-", 
         RowBox[{"r1", "^", "2"}], "+", 
         RowBox[{"d", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "d"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p2x", ",", "p2y"}], "}"}], "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x0", ",", "y0"}], "}"}], "+", " ", 
       RowBox[{"a", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x1", ",", "y1"}], "}"}], "-", 
           RowBox[{"{", 
            RowBox[{"x0", ",", "y0"}], "}"}]}], ")"}], "/", "d"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"h", " ", "=", " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"r0", "^", "2"}], "-", 
        RowBox[{"a", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x31x", ",", "y31y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "+", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"y1", "-", "y0"}], ")"}], "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "-", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x1", "-", "x0"}], ")"}], "/", "d"}]}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x32x", ",", "y32y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "-", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"y1", "-", "y0"}], ")"}], "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "+", 
         RowBox[{"h", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x1", "-", "x0"}], ")"}], "/", "d"}]}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"{", 
        RowBox[{"x31x", ",", "y31y"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x32x", ",", "y32y"}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.4944011353483*^9, 3.4944012036844473`*^9}, {
  3.4944014411831417`*^9, 3.494401525919573*^9}, {3.494402286464388*^9, 
  3.494402473571239*^9}, {3.4944025210852547`*^9, 3.494402572460478*^9}, {
  3.49440263844648*^9, 3.494403130534994*^9}, {3.49440330581546*^9, 
  3.4944033231175756`*^9}, {3.494481154694633*^9, 3.49448115707655*^9}, {
  3.4945010770588284`*^9, 3.4945010923107967`*^9}, {3.4945012796274014`*^9, 
  3.494501281338133*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solTwo", "=", 
  RowBox[{"interSect2Circ", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", "r1", ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "z"}], "}"}], ",", "r2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4945009380494823`*^9, 3.494500955895823*^9}, {
  3.494501173561914*^9, 3.494501175832024*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SqrtBox[
    RowBox[{
     SuperscriptBox["y", "2"], "+", 
     SuperscriptBox["z", "2"]}]], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"y", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"y", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"y", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{"y", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4945009565868073`*^9, 3.4945010962843323`*^9, 
  3.494501176754794*^9, 3.494501283781899*^9}]
}, Open  ]],

Cell["", "Text"],

Cell["A source modifivation of two for zero location", "Text",
 CellChangeTimes->{{3.494507936738799*^9, 3.4945079549131927`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"interSect2CircZero", "[", 
   RowBox[{"r0_", ",", 
    RowBox[{"{", 
     RowBox[{"x1_", ",", "y1_"}], "}"}], ",", "r1_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "d", ",", "a", ",", "h", ",", "p2x", ",", "p2y", ",", "x31x", ",", 
      "y31y", ",", "x32x", ",", "y32y"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"d", "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"x1", "^", "2"}], "+", 
        RowBox[{"y1", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", ">", 
        RowBox[{"r0", "+", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Separated\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"d", "<", 
        RowBox[{"Abs", "[", 
         RowBox[{"r0", "-", "r1"}], "]"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Contained\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"d", "==", "0"}], "&&", 
        RowBox[{"r0", "==", "r1"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"{", 
         RowBox[{"d", ",", "\"\<Same\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"a", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r0", "^", "2"}], "-", 
         RowBox[{"r1", "^", "2"}], "+", 
         RowBox[{"d", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", "d"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p2x", ",", "p2y"}], "}"}], "=", " ", 
      RowBox[{"a", " ", "*", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x1", ",", "y1"}], "}"}], "/", "d"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"h", " ", "=", " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"r0", "^", "2"}], "-", 
        RowBox[{"a", "^", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x31x", ",", "y31y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "+", 
         RowBox[{"h", "*", 
          RowBox[{"y1", "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "-", 
         RowBox[{"h", "*", 
          RowBox[{"x1", "/", "d"}]}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x32x", ",", "y32y"}], "}"}], "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p2x", "-", 
         RowBox[{"h", "*", 
          RowBox[{"y1", "/", "d"}]}]}], ",", 
        RowBox[{"p2y", "+", 
         RowBox[{"h", "*", 
          RowBox[{"x1", "/", "d"}]}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x31x", ",", "y31y"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x32x", ",", "y32y"}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{3.4945665829747753`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solTwo", "=", 
  RowBox[{"interSect2CircZero", "[", 
   RowBox[{"r1", ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "z"}], "}"}], ",", "r2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4945666141654463`*^9, 3.4945666290989*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"y", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"y", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"y", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"z", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          SuperscriptBox["r2", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]], "+", 
      FractionBox[
       RowBox[{"y", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["r1", "2"], "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["r1", "2"], "-", 
              SuperscriptBox["r2", "2"], "+", 
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}], "2"], 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["y", "2"], "+", 
              SuperscriptBox["z", "2"]}], ")"}]}]]}]]}], 
       SqrtBox[
        RowBox[{
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.4945666066030893`*^9, 3.494566630369203*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1280, 1060},
WindowMargins->{{-1588, Automatic}, {Automatic, 16}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{$RootDirectory, "Users", "willy", 
   "Library", "Mathematica", "SystemFiles", "FrontEnd", "StyleSheets"}, 
  "MyStyleSheet.nb", CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 96, 1, 83, "Section"],
Cell[666, 25, 123, 4, 69, "Text"],
Cell[792, 31, 680, 12, 125, "Text"],
Cell[1475, 45, 8066, 192, 659, "Input"],
Cell[9544, 239, 239, 3, 41, "Text"],
Cell[9786, 244, 2836, 73, 146, "Input"],
Cell[CellGroupData[{
Cell[12647, 321, 1601, 36, 222, "Input"],
Cell[14251, 359, 2379, 52, 582, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16667, 416, 901, 19, 182, "Input"],
Cell[17571, 437, 5105, 94, 520, "Output"]
}, Open  ]],
Cell[22691, 534, 559, 13, 260, "Text"],
Cell[23253, 549, 1581, 29, 301, "Program"],
Cell[24837, 580, 115, 1, 51, "Text"],
Cell[CellGroupData[{
Cell[24977, 585, 2792, 67, 372, "Input"],
Cell[27772, 654, 8733, 160, 618, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[36554, 820, 126, 1, 103, "Section"],
Cell[36683, 823, 162, 5, 62, "Input"],
Cell[CellGroupData[{
Cell[36870, 832, 95, 1, 52, "Subsection"],
Cell[36968, 835, 113, 1, 51, "Text"],
Cell[37084, 838, 585, 26, 815, "Text"],
Cell[37672, 866, 113, 1, 51, "Text"],
Cell[37788, 869, 4759, 138, 348, "Input"],
Cell[CellGroupData[{
Cell[42572, 1011, 360, 9, 62, "Input"],
Cell[42935, 1022, 4976, 156, 273, "Output"]
}, Open  ]],
Cell[47926, 1181, 16, 0, 51, "Text"],
Cell[47945, 1183, 130, 1, 51, "Text"],
Cell[48078, 1186, 3668, 108, 348, "Input"],
Cell[CellGroupData[{
Cell[51771, 1298, 252, 6, 62, "Input"],
Cell[52026, 1306, 4827, 151, 273, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
