(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     59174,       1332]
NotebookOptionsPosition[     57833,       1288]
NotebookOutlinePosition[     58527,       1310]
CellTagsIndexPosition[     58484,       1307]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
A simulation of Delta Robot
\
\>", "Subsection",
 CellChangeTimes->{{3.49422532190172*^9, 3.494225345484215*^9}, {
  3.4943349651298656`*^9, 3.4943349684379883`*^9}, {3.494529407345558*^9, 
  3.4945294122226686`*^9}}],

Cell["\<\
Willy Svenningsson 2010-09-23
willy.svenningsson@fager.st\
\>", "Text",
 CellChangeTimes->{{3.494225354404038*^9, 3.494225386987705*^9}}],

Cell[CellGroupData[{

Cell["Init", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.465304735878894*^9, 3.465304736478856*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"enVertCircel", "[", 
   RowBox[{"where_", ",", "radie_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Line", "@", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"where", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "+", 
          RowBox[{"radie", "*", 
           RowBox[{"Cos", "[", "v", "]"}]}]}], ",", 
         RowBox[{"where", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"where", "[", 
           RowBox[{"[", "3", "]"}], "]"}], "+", 
          RowBox[{"radie", "*", 
           RowBox[{"Sin", "[", "v", "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"v", ",", "0", ",", 
         RowBox[{"2", "Pi"}], ",", 
         RowBox[{"Pi", "/", "12"}]}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.465196260649884*^9, 3.465196262799746*^9}, {
  3.465197060914465*^9, 3.465197074178241*^9}, {3.4652858188547087`*^9, 
  3.4652858196128473`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"showP", "[", "pkts_List", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", "\[IndentingNewLine]", 
      RowBox[{"showP", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
      ")"}], "&"}], ",", "pkts"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"showP", "[", 
   RowBox[{"name_", ",", "where_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Point", "[", "where", "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"name", ",", "where", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", "]"}]}]}], "Input",
 InitializationCell->True,
 InitializationGroup->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"vridPunkt", "[", "vinkel_", "]"}], ":=", 
  RowBox[{"(", "\[NegativeThinSpace]", GridBox[{
     {
      RowBox[{"Cos", "@", "vinkel"}], 
      RowBox[{"-", 
       RowBox[{"Sin", "@", "vinkel"}]}]},
     {
      RowBox[{"Sin", "@", "vinkel"}], 
      RowBox[{"Cos", "@", "vinkel"}]}
    }], "\[NegativeThinSpace]", ")"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.465292981962813*^9, 3.465292983688982*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"kalkSnittPunkter", "[", 
    RowBox[{"radieCentrum_", ",", "cPunkten_", ",", "radieCPunkten_"}], "]"}],
    ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dist", ",", "x", ",", "y", ",", "vridVinkel", ",", "cx", ",", "cy", 
       ",", "x1", ",", "y1", ",", "x2", ",", "y2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"cx", ",", "cy"}], "}"}], "=", "cPunkten"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"dist", "=", 
       RowBox[{
        RowBox[{"EuclideanDistance", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "cPunkten"}], "]"}], "//", 
        "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["dist", "2"], "-", 
          SuperscriptBox["radieCPunkten", "2"], "+", 
          SuperscriptBox["radieCentrum", "2"]}], 
         RowBox[{"2", " ", "dist"}]], "//", "N"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"y", "=", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", " ", "dist"}]], 
         SqrtBox[
          RowBox[{
           RowBox[{"4", 
            SuperscriptBox["dist", "2"], 
            SuperscriptBox["radieCentrum", "2"]}], "-", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["dist", "2"], "-", 
              SuperscriptBox["radieCPunkten", "2"], "+", 
              SuperscriptBox["radieCentrum", "2"]}], ")"}], "2"]}]]}], "//", 
        "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vridVinkel", "=", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"cx", ",", "cy"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x1", ",", "y1"}], "}"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ".", 
         RowBox[{"vridPunkt", "[", 
          RowBox[{"-", "vridVinkel"}], "]"}]}], "//", "N"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x2", ",", "y2"}], "}"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "y"}]}], "}"}], ".", 
         RowBox[{"vridPunkt", "[", 
          RowBox[{"-", "vridVinkel"}], "]"}]}], "//", "N"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x1", ",", "y1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x2", ",", "y2"}], "}"}]}], "}"}]}]}], "\[IndentingNewLine]",
     "]"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.465290581076655*^9, 3.4652906994168253`*^9}, {
  3.465290749738223*^9, 3.4652908701032877`*^9}, {3.465290957147172*^9, 
  3.4652909624013567`*^9}, {3.465291059067607*^9, 3.46529106006558*^9}, {
  3.465291253384696*^9, 3.465291489354434*^9}, {3.465292739037414*^9, 
  3.4652928207808867`*^9}, {3.46529302496586*^9, 3.465293114503433*^9}, {
  3.465293404790957*^9, 3.465293437294086*^9}, {3.465294509000543*^9, 
  3.465294509885581*^9}, {3.465295173099743*^9, 3.4652952001668177`*^9}, {
  3.4652952369388723`*^9, 3.4652952389616747`*^9}, {3.465295273642159*^9, 
  3.4652953003589573`*^9}, {3.465295361449416*^9, 3.465295392078487*^9}, {
  3.465569426614811*^9, 3.465569430438121*^9}, {3.485365067183316*^9, 
  3.485365097059526*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"figAsBox", "[", 
   RowBox[{"start_", ",", "dims_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "len", ",", "width", ",", "height", ",", "dx", ",", "dy", ",", "dz", ",",
       "radie", ",", "offset", ",", "endx", ",", "endy", ",", "endz", ",", 
      "name", ",", "endoffset"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"len", ",", "width", ",", "height", ",", 
        RowBox[{"{", 
         RowBox[{"dx", ",", "dy", ",", "dz"}], "}"}], ",", "radie", ",", 
        RowBox[{"{", 
         RowBox[{"endx", ",", "endy", ",", "endz"}], "}"}], ",", "name"}], 
       "}"}], "=", "dims"}], ";", "\[IndentingNewLine]", 
     RowBox[{"offset", "=", 
      RowBox[{"{", 
       RowBox[{"dx", ",", "dy", ",", "dz"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"endoffset", "=", 
      RowBox[{"{", 
       RowBox[{"endx", ",", "endy", ",", "endz"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Cuboid", "[", 
      RowBox[{
       RowBox[{"start", "+", "offset", "+", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"-", "width"}], "/", "2"}], ",", 
          RowBox[{
           RowBox[{"-", "height"}], "/", "2"}]}], "}"}]}], ",", 
       RowBox[{"start", "+", 
        RowBox[{"{", 
         RowBox[{"len", ",", 
          RowBox[{"width", "/", "2"}], ",", 
          RowBox[{"height", "/", "2"}]}], "}"}], "+", "endoffset"}]}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.465659082497452*^9, 3.465659236676097*^9}, {
  3.465659269862817*^9, 3.465659347871643*^9}, {3.465659392541935*^9, 
  3.465659396413968*^9}, {3.4656594330922327`*^9, 3.4656595055040894`*^9}, {
  3.46590253644138*^9, 3.4659025541104*^9}, {3.46590258549115*^9, 
  3.465902593114408*^9}, {3.4659028833095083`*^9, 3.465902947972229*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"figAsCyl", "[", 
   RowBox[{"start_", ",", "dims_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "len", ",", "width", ",", "height", ",", "dx", ",", "dy", ",", "dz", ",",
       "radie", ",", "offset", ",", "endx", ",", "endy", ",", "endz", ",", 
      "name", ",", "endoffset"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"len", ",", "width", ",", "height", ",", 
        RowBox[{"{", 
         RowBox[{"dx", ",", "dy", ",", "dz"}], "}"}], ",", "radie", ",", 
        RowBox[{"{", 
         RowBox[{"endx", ",", "endy", ",", "endz"}], "}"}], ",", "name"}], 
       "}"}], "=", "dims"}], ";", "\[IndentingNewLine]", 
     RowBox[{"offset", "=", 
      RowBox[{"{", 
       RowBox[{"dx", ",", "dy", ",", "dz"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"endoffset", "=", 
      RowBox[{"{", 
       RowBox[{"endx", ",", "endy", ",", "endz"}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Cylinder", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"start", "+", "offset"}], ",", 
         RowBox[{"start", "+", 
          RowBox[{"{", 
           RowBox[{"0", ",", "len", ",", "0"}], "}"}], "+", "endoffset"}]}], 
        "}"}], ",", "radie"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.465659929427752*^9, 3.46565993346622*^9}, {
  3.46565996780225*^9, 3.465659969602117*^9}, {3.465660001609713*^9, 
  3.465660074706781*^9}, {3.46590255750464*^9, 3.465902564729587*^9}, {
  3.4659025967855186`*^9, 3.465902599801849*^9}, {3.4659029607712517`*^9, 
  3.465902977146299*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Run", "Subsubsection",
 CellChangeTimes->{{3.465304728225243*^9, 3.465304728782805*^9}}],

Cell[BoxData[
 RowBox[{"Module", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "jobbRadie", ",", "radieArm", ",", " ", "tjockLillaArm", ",", 
     "\[IndentingNewLine]", "p0", ",", "\[IndentingNewLine]", "golvetZ", ",", 
     "gGolvet", ",", "\[IndentingNewLine]", "dimfig1", ",", "gFig1", ",", 
     "\[IndentingNewLine]", "dimfig2", ",", "gFig2", ",", 
     "\[IndentingNewLine]", "dimfig3", ",", "gFig3", ",", 
     "\[IndentingNewLine]", "dimfig4", ",", "gFig4", ",", 
     "\[IndentingNewLine]", "gFig51", ",", "gFig52", ",", "gFig61", ",", 
     "gFig62", ",", "gFig7", ",", "gFig81", ",", "gFig82", ",", 
     "\[IndentingNewLine]", "gFig3Static", ",", "gFig4Static", ",", 
     "gFig5Static", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", "gArm",
      ",", "\[IndentingNewLine]", "p1", ",", "p2", ",", "p2x", ",", "p2y", 
     ",", "p2z", ",", "p3", ",", "p3x", ",", "p3y", ",", "p3z", ",", 
     "\[IndentingNewLine]", "dt", ",", "triangel", ",", "gTriangel", ",", 
     "movedTriangel", ",", "\[IndentingNewLine]", "radieSnittCirkel", ",", 
     "circSnitt", ",", "px11", ",", "pz11", ",", "px12", ",", "pz12", ",", 
     "p11", ",", "p12", ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "toShow", ",", "machineNumber", ",", "allMachines", ",", "allAlfa", ",", 
     "finalPicture", ",", "\[IndentingNewLine]", "oldpx", ",", "oldpy", ",", 
     "oldpz", ",", "oldlenLongArm", ",", "oldradieArm", ",", 
     "\[IndentingNewLine]", "demoPoints", ",", "demoPointNow", ",", 
     "figDemoPoints"}], "\[IndentingNewLine]", "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"demoPoints", "=", " ", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", " ", 
           RowBox[{"Sin", "[", "t", "]"}]}], ",", 
          RowBox[{"r", " ", 
           RowBox[{"Cos", "[", "t", "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"r", "/", "1"}], 
            RowBox[{"Sin", "[", "t", "]"}]}], "-", "1.5"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"2", "Pi"}], ",", 
          RowBox[{"Pi", "/", "32"}]}], "}"}]}], "]"}], "/.", 
      RowBox[{"r", "->", ".5"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"figDemoPoints", " ", "=", " ", 
     RowBox[{"Line", "@", "demoPoints"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"demoPointNow", "=", "1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"golvetZ", "=", 
     RowBox[{"-", "1.7"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"jobbRadie", "=", "0.99"}], ";", "\[IndentingNewLine]", 
    RowBox[{"p0", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";", "\[IndentingNewLine]", 
    
    RowBox[{"(*", "    ", 
     RowBox[{
      RowBox[{"box", " ", "len"}], ",", "    ", "width", ",", " ", "height", 
      ",", " ", 
      RowBox[{"offset", " ", "origo"}], ",", " ", "radie", ",", " ", 
      RowBox[{"end", " ", "offset"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"dimfig1", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.4", ",", "            ", ".2", ",", "       ", ".2", ",", "     ", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".05", ",", "0"}], "}"}], ",", "               ", 
       "0.1", ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", " ", "\"\<motor\>\""}],
       "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"dimfig2", "=", 
     RowBox[{"{", 
      RowBox[{
      ".2", ",", "            ", ".2", ",", "       ", ".2", ",", "     ", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", ".05"}], ",", "0"}], "}"}], ",", "               ", 
       "0.02", ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", " ", 
       "\"\<motoraxel\>\""}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"dimfig3", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.20"}], ",", "        ", ".04", ",", "  ", ".07", ",", 
       "    ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", ".05"}], ",", "0", ",", "0"}], "}"}], ",", "          ",
        "0.02", ",", " ", 
       RowBox[{"{", 
        RowBox[{".05", ",", "0", ",", "0"}], "}"}], ",", " ", 
       "\"\<motorarm\>\""}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"dimfig4", "=", 
     RowBox[{"{", 
      RowBox[{"0.20", ",", "          ", ".04", ",", "  ", ".07", ",", "    ", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"-", "0.20"}], "/", "2"}], ",", "0"}], "}"}], ",", "  ", 
       "0.01", ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"-", "0.20"}], "/", "2"}], ",", "0"}], "}"}], ",", " ", 
       "\"\<lagerarm\>\""}], "}"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tjockLillaArm", "=", ".02"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"gFig1", "=", 
     RowBox[{"figAsCyl", "[", 
      RowBox[{"p0", ",", "dimfig1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"gFig2", "=", 
     RowBox[{"figAsCyl", "[", 
      RowBox[{"p0", ",", "dimfig2"}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"gFig3Static", "=", 
     RowBox[{"figAsBox", "[", 
      RowBox[{"p0", ",", "dimfig3"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"gFig4Static", "=", 
     RowBox[{"figAsCyl", "[", 
      RowBox[{"p0", ",", "dimfig4"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"gFig5Static", "=", 
     RowBox[{"Sphere", "[", 
      RowBox[{"p0", ",", 
       RowBox[{"3", "*", 
        RowBox[{"dimfig4", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"dt", "=", ".2"}], ";", "\[IndentingNewLine]", 
    RowBox[{"triangel", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"dt", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "dt"}], "*", 
           RowBox[{"1", "/", "2"}]}], ",", 
          RowBox[{"dt", "*", 
           FractionBox[
            SqrtBox["3"], "2"]}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "dt"}], "*", 
           RowBox[{"1", "/", "2"}]}], ",", 
          RowBox[{
           RowBox[{"-", "dt"}], "*", 
           FractionBox[
            SqrtBox["3"], "2"]}], ",", "0"}], "}"}]}], "}"}], "//", "N"}]}], 
    ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"allMachines", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"allAlfa", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"gGolvet", "=", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "golvetZ"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", 
          RowBox[{"-", "2"}], ",", "golvetZ"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"-", "2"}], ",", "golvetZ"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2", ",", "golvetZ"}], "}"}]}], "}"}], 
      "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"oldpx", ",", "oldpy", ",", "oldpz"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"Infinity", ",", "Infinity", ",", "Infinity"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"oldlenLongArm", "=", "Infinity"}], ";", "\[IndentingNewLine]", 
    RowBox[{"oldradieArm", "=", "Infinity"}], ";", "\[IndentingNewLine]", 
    RowBox[{"oldlenLongArm", "=", "Infinity"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Manipulate", "\[IndentingNewLine]", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{"v1Scenario", ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"demoPointNow", "==", 
             RowBox[{
              RowBox[{"Length", "@", "demoPoints"}], "-", "1"}]}], ",", 
            RowBox[{"demoPointNow", "=", "0"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"++", "demoPointNow"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"px", ",", "py", ",", "pz"}], "}"}], "=", 
           RowBox[{"demoPoints", "[", 
            RowBox[{"[", "demoPointNow", "]"}], "]"}]}], ";"}], 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"px", " ", "+=", " ", ".05"}], ";"}], "*)"}], 
         "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
         RowBox[{"demoPointNow", "=", "1"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"oldpx", ",", "oldpy", ",", "oldpz"}], "}"}], "!=", 
          RowBox[{"{", 
           RowBox[{"px", ",", "py", ",", "pz"}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"movedTriangel", "=", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"#", "+", 
                RowBox[{"{", 
                 RowBox[{"px", ",", "py", ",", "pz"}], "}"}]}], ")"}], "&"}], 
             ",", "triangel"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"oldpx", ",", "oldpy", ",", "oldpz"}], "}"}], "=", 
           RowBox[{"{", 
            RowBox[{"px", ",", "py", ",", "pz"}], "}"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"triangelMoved", " ", "=", " ", "True"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"triangelMoved", "=", " ", "False"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"radieArm", "=", "rArm"}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"dimfig3", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "=", 
          RowBox[{"rArm", " ", "-", " ", 
           RowBox[{"dimfig3", "[", 
            RowBox[{"[", 
             RowBox[{"4", ",", "1"}], "]"}], "]"}]}]}], ";"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"oldradieArm", " ", "!=", "radieArm"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"dimfig3", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "=", "rArm"}], " ", ";", 
          "\[IndentingNewLine]", 
          RowBox[{"gFig3Static", "=", 
           RowBox[{"figAsBox", "[", 
            RowBox[{"p0", ",", "dimfig3"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"oldradieArm", "=", "rArm"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"If", "[", 
          RowBox[{"triangelMoved", ","}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "=", 
           RowBox[{"movedTriangel", "[", 
            RowBox[{"[", "machineNumber", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"transform", "=", 
           RowBox[{"TranslationTransform", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "jobbRadie"}], ",", "0", ",", "0"}], "}"}], 
            "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Switch", "[", 
           RowBox[{
           "machineNumber", ",", "\[IndentingNewLine]", "1", ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "=", 
              RowBox[{"transform", "[", 
               RowBox[{"{", 
                RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"p2", "=", 
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}]}]}], ",", 
            "\[IndentingNewLine]", "2", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"rotate", "=", 
              RowBox[{"RotationTransform", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "120"}], "Degree"}], "//", "N"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "=", 
              RowBox[{"rotate", "[", 
               RowBox[{"{", 
                RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "=", 
              RowBox[{"transform", "[", 
               RowBox[{"{", 
                RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"p2", "=", 
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}]}]}], ",", 
            "\[IndentingNewLine]", "3", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"rotate", "=", 
              RowBox[{"RotationTransform", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"+", "120"}], "Degree"}], "//", "N"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "=", 
              RowBox[{"rotate", "[", 
               RowBox[{"{", 
                RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "=", 
              RowBox[{"transform", "[", 
               RowBox[{"{", 
                RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"p2", "=", 
              RowBox[{"{", 
               RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}]}]}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"]", ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"p2", "=", 
             RowBox[{"{", 
              RowBox[{"p2x", ",", "p2y", ",", "p2z"}], "}"}]}], ";"}], "*)"}],
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"p3x", ",", "p3y", ",", "p3z"}], "}"}], "=", "p2"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"p3y", "=", "0"}], ";", "\[IndentingNewLine]", 
          RowBox[{"p3", "=", 
           RowBox[{"{", 
            RowBox[{"p3x", ",", "p3y", ",", "p3z"}], "}"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"radieSnittCirkel", "=", 
           RowBox[{
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{"lenLongArm", "^", "2"}], "-", 
              RowBox[{"p2y", "^", "2"}]}], "]"}], "//", "N"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"radieArm", "=", "rArm"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"px11", ",", "pz11"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"px12", ",", "pz12"}], "}"}]}], "}"}], "=", 
           RowBox[{"kalkSnittPunkter", "[", 
            RowBox[{"radieArm", ",", 
             RowBox[{"{", 
              RowBox[{"p3x", ",", "p3z"}], "}"}], ",", "radieSnittCirkel"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"p11", "=", 
           RowBox[{"{", 
            RowBox[{"px11", ",", "0", ",", "pz11"}], "}"}]}], ";", 
          RowBox[{"p12", "=", 
           RowBox[{"{", 
            RowBox[{"px12", ",", "0", ",", "pz12"}], "}"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"allAlfa", "[", 
            RowBox[{"[", "machineNumber", "]"}], "]"}], "=", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"ArcTan", "[", 
              RowBox[{"px11", ",", "pz11"}], "]"}]}], "//", "N"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"p1", "=", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"allAlfa", "[", 
                 RowBox[{"[", "machineNumber", "]"}], "]"}], "]"}], "*", 
               "radieArm"}], ",", "0", ",", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Sin", "[", 
                 RowBox[{"allAlfa", "[", 
                  RowBox[{"[", "machineNumber", "]"}], "]"}], "]"}]}], "*", 
               "radieArm"}]}], "}"}], "//", "N"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"gFig3", "=", 
           RowBox[{"Rotate", "[", 
            RowBox[{"gFig3Static", ",", 
             RowBox[{"allAlfa", "[", 
              RowBox[{"[", "machineNumber", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"gFig4", "=", 
           RowBox[{"Translate", "[", 
            RowBox[{"gFig4Static", ",", "p1"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"gFig51", " ", "=", 
           RowBox[{"Translate", "[", 
            RowBox[{"gFig5Static", ",", 
             RowBox[{"p1", "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"dimfig4", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", "0"}], 
               "}"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"gFig52", " ", "=", 
           RowBox[{"Translate", "[", 
            RowBox[{"gFig5Static", ",", 
             RowBox[{"p1", "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{
                 RowBox[{"dimfig4", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", "0"}], 
               "}"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"gFig61", "=", 
           RowBox[{"Cylinder", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p1", "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"dimfig4", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", "0"}], 
                 "}"}]}], ",", 
               RowBox[{"p2", "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"dimfig4", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", "0"}], 
                 "}"}]}]}], "}"}], ",", "tjockLillaArm"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"gFig62", "=", 
           RowBox[{"Cylinder", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p1", "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"+", 
                    RowBox[{"dimfig4", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", "0"}], 
                 "}"}]}], ",", 
               RowBox[{"p2", "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{
                   RowBox[{"+", 
                    RowBox[{"dimfig4", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", "0"}], 
                 "}"}]}]}], "}"}], ",", "tjockLillaArm"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"gFig7", "=", 
           RowBox[{"Translate", "[", 
            RowBox[{"gFig4Static", ",", "p2"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"gFig81", "=", 
           RowBox[{"Translate", "[", 
            RowBox[{"gFig5Static", ",", 
             RowBox[{"p2", "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"dimfig4", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], "/", "2"}], ",", "0"}], 
               "}"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"gFig82", "=", 
           RowBox[{"Translate", "[", 
            RowBox[{"gFig5Static", ",", 
             RowBox[{"p2", "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{
                 RowBox[{"dimfig4", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], ",", "0"}], 
               "}"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"toShow", "=", 
           RowBox[{"{", 
            RowBox[{
            "gFig1", ",", "gFig2", ",", "gFig3", ",", "gFig4", ",", "gFig51", 
             ",", "gFig52", ",", "gFig61", ",", "gFig62", ",", "gFig7", ",", 
             "gFig81", ",", "gFig82"}], "}"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"toShow", "=", 
           RowBox[{"{", 
            RowBox[{
            "gFig1", ",", "gFig2", ",", "gFig3", ",", "gFig4", ",", "gFig61", 
             ",", "gFig62", ",", "gFig7"}], "}"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Sphere", " ", "och", " ", "transform", " ", "is", " ", "really", 
            " ", "heavy"}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"toShow", "=", 
             RowBox[{"{", 
              RowBox[{"gFig51", ",", "gFig52", ",", "gFig81", ",", "gFig82"}],
               "}"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"Switch", "[", 
           RowBox[{
           "machineNumber", ",", "\[IndentingNewLine]", "1", ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"alfa1", "=", 
              RowBox[{"allAlfa", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"allMachines", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "=", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Translate", "[", 
                  RowBox[{"#", ",", 
                   RowBox[{"{", 
                    RowBox[{"jobbRadie", ",", "0", ",", "0"}], "}"}]}], "]"}],
                  "&"}], ",", "toShow"}], "]"}]}]}], ",", 
            "\[IndentingNewLine]", "2", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"alfa2", "=", 
              RowBox[{"allAlfa", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"allMachines", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "=", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Rotate", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{"120", "Degree"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ")"}], 
                 "&"}], ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Translate", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"jobbRadie", ",", "0", ",", "0"}], "}"}]}], "]"}],
                    "&"}], ",", "toShow"}], "]"}]}], "]"}]}]}], ",", 
            "\[IndentingNewLine]", "3", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"alfa3", "=", 
              RowBox[{"allAlfa", "[", 
               RowBox[{"[", "3", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"allMachines", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "=", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Rotate", "[", 
                   RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"-", "120"}], "Degree"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ")"}], 
                 "&"}], ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Translate", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"jobbRadie", ",", "0", ",", "0"}], "}"}]}], "]"}],
                    "&"}], ",", "toShow"}], "]"}]}], "]"}]}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"machineNumber", ",", "1", ",", "3"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"finalPicture", "=", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Graphics3D", "@", "#"}], ")"}], "&"}], ",", 
          "allMachines"}], "]"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Show", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Graphics3D", "@", "Green"}], ",", "\[IndentingNewLine]", 
           "finalPicture", ",", "\[IndentingNewLine]", 
           RowBox[{"Graphics3D", "@", 
            RowBox[{"Opacity", "[", "0.1", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Graphics3D", "@", "gGolvet"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Graphics3D", "@", "Red"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Graphics3D", "@", 
            RowBox[{"Opacity", "[", "0.76", "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Graphics3D", "@", 
            RowBox[{"{", 
             RowBox[{"Polygon", "[", "movedTriangel", "]"}], "}"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"If", "[", 
            RowBox[{"v1Scenario", ",", 
             RowBox[{"Graphics3D", "@", "figDemoPoints"}], ",", 
             RowBox[{"Graphics3D", "@", "Red"}]}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "->", 
          RowBox[{"{", 
           RowBox[{"500", ",", "500"}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"Axes", "->", "False"}], ",", 
         RowBox[{"Boxed", "->", "False"}], ",", "\[IndentingNewLine]", 
         RowBox[{"AxesOrigin", "->", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"SphericalRegion", "->", "True"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "->", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "1"}], "}"}]}], "}"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
        RowBox[{"ControlType", "->", "None"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"rArm", ",", "1", ",", "\"\<Lenght upper joint\>\""}], "}"}],
         ",", "0", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"px", ",", "0", ",", "\"\<Desired x\>\""}], "}"}], ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"py", ",", "0", ",", "\"\<Desired y\>\""}], "}"}], ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"pz", ",", 
          RowBox[{"-", "1.7"}], ",", "\"\<Desired z\>\""}], "}"}], ",", 
        RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "lenLongArm", ",", "1.5", ",", "\"\<Length of lower joint\>\""}], 
         "}"}], ",", "0.5", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"alfa1", ",", 
          RowBox[{"30", "Degree"}], ",", 
          "\"\<Engine axis 1 rotation (Read only)\>\""}], "}"}], ",", 
        RowBox[{
         RowBox[{"-", "360"}], "Degree"}], ",", 
        RowBox[{"360", "Degree"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"alfa2", ",", 
          RowBox[{"30", "Degree"}], ",", 
          "\"\<Engine axis 2 rotation(Read only)\>\""}], "}"}], ",", 
        RowBox[{
         RowBox[{"-", "360"}], "Degree"}], ",", 
        RowBox[{"360", "Degree"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"alfa3", ",", 
          RowBox[{"30", "Degree"}], ",", 
          "\"\<Engine axis 3 rotation(Read only)\>\""}], "}"}], ",", 
        RowBox[{
         RowBox[{"-", "360"}], "Degree"}], ",", 
        RowBox[{"360", "Degree"}]}], "}"}], ",", "\[IndentingNewLine]", 
      "Delimiter", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"v1Scenario", ",", "False", ",", "\"\<Run scenario\>\""}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"TrackedSymbols", "->", 
       RowBox[{"{", 
        RowBox[{
        "rArm", ",", "px", ",", "py", ",", "pz", ",", "lenLongArm", ",", 
         "v1Scenario"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"SynchronousUpdating", "->", "True"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], 
     "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",\

 CellChangeTimes->{{3.4652852135725307`*^9, 3.4652852262819366`*^9}, {
   3.465285375819973*^9, 3.4652854654011297`*^9}, {3.465285510537561*^9, 
   3.4652856789121733`*^9}, {3.465285741298164*^9, 3.46528603498029*^9}, {
   3.465286084108333*^9, 3.465286256277281*^9}, {3.465286340251896*^9, 
   3.4652864071034603`*^9}, {3.46528646401543*^9, 3.4652865103648243`*^9}, {
   3.4652865435664186`*^9, 3.4652865743093357`*^9}, {3.465286670727827*^9, 
   3.465286755607892*^9}, {3.4652870148509073`*^9, 3.465287083689519*^9}, {
   3.465287169012065*^9, 3.465287308284813*^9}, 3.465287351162683*^9, {
   3.4652873914935637`*^9, 3.465287478994079*^9}, {3.465287557376233*^9, 
   3.465287635648484*^9}, {3.4652878532553587`*^9, 3.46528798819734*^9}, {
   3.4652880183134212`*^9, 3.465288097197987*^9}, {3.4652881354138603`*^9, 
   3.465288151611807*^9}, {3.465289298353943*^9, 3.4652893422145967`*^9}, {
   3.465289380162264*^9, 3.465289409064808*^9}, {3.465289452721265*^9, 
   3.465289465831458*^9}, {3.4652895966381598`*^9, 3.465289798459395*^9}, {
   3.46528986051597*^9, 3.465289877432433*^9}, {3.465289978041533*^9, 
   3.465290062683247*^9}, {3.465290182276016*^9, 3.465290220982778*^9}, {
   3.465295405490366*^9, 3.465295441053944*^9}, {3.465295474548315*^9, 
   3.465295641716696*^9}, {3.465295725743052*^9, 3.465295732661641*^9}, {
   3.465295770584649*^9, 3.465295775789126*^9}, {3.465304759045753*^9, 
   3.465304761424409*^9}, {3.465304803147649*^9, 3.465304876086532*^9}, {
   3.465304906114996*^9, 3.465305020945997*^9}, {3.4653050526431227`*^9, 
   3.465305052843792*^9}, {3.4653050839946327`*^9, 3.465305124078815*^9}, {
   3.46530572601047*^9, 3.465305777763568*^9}, {3.4653058112313538`*^9, 
   3.465305815548147*^9}, {3.465305865284734*^9, 3.465305879578899*^9}, {
   3.465313763034925*^9, 3.465313932512025*^9}, {3.465313963401617*^9, 
   3.4653140411872663`*^9}, {3.465314076820222*^9, 3.4653141500961113`*^9}, {
   3.465314191234354*^9, 3.465314301523534*^9}, {3.4653143670671787`*^9, 
   3.465314370952736*^9}, {3.465314413828965*^9, 3.465314518917598*^9}, {
   3.465315323574494*^9, 3.465315399745371*^9}, {3.46531545672053*^9, 
   3.465315552499256*^9}, {3.4653155933442087`*^9, 3.465315645877302*^9}, {
   3.465315689916815*^9, 3.4653157333347387`*^9}, {3.465315766628335*^9, 
   3.465315796128755*^9}, {3.465315850561301*^9, 3.4653158533550777`*^9}, {
   3.465315890318219*^9, 3.465315923989189*^9}, {3.465315983474286*^9, 
   3.465315988207152*^9}, {3.4653160547159967`*^9, 3.4653160934984426`*^9}, {
   3.465316126043397*^9, 3.4653162488357687`*^9}, {3.4653162922074423`*^9, 
   3.4653163254111767`*^9}, {3.465316373994911*^9, 3.4653163862365103`*^9}, 
   3.465316417850966*^9, {3.46531645970261*^9, 3.465316496814719*^9}, {
   3.465316693339788*^9, 3.465316747038272*^9}, 3.465316777117351*^9, {
   3.465316877764153*^9, 3.465317029017825*^9}, {3.465317078605072*^9, 
   3.465317136091488*^9}, {3.465317167515031*^9, 3.465317168912265*^9}, {
   3.46531814671421*^9, 3.465318172542452*^9}, {3.465318240769348*^9, 
   3.465318245378199*^9}, {3.465318306097698*^9, 3.465318327328457*^9}, {
   3.465318418623974*^9, 3.465318425242387*^9}, {3.465318465677738*^9, 
   3.465318482280354*^9}, {3.465318739875558*^9, 3.465318795156596*^9}, 
   3.465318825301218*^9, {3.4653188879962673`*^9, 3.465318888245438*^9}, {
   3.465319181620853*^9, 3.465319197081571*^9}, {3.465541352205509*^9, 
   3.4655413522796593`*^9}, {3.465569877220605*^9, 3.465569952322322*^9}, {
   3.465570058786653*^9, 3.465570116885866*^9}, {3.4655701682521353`*^9, 
   3.4655701902367373`*^9}, {3.465570238036942*^9, 3.465570341018223*^9}, {
   3.465570502111664*^9, 3.465570638583459*^9}, {3.4655706860656757`*^9, 
   3.465570742587213*^9}, {3.46557418198955*^9, 3.4655742022612123`*^9}, {
   3.465574236641439*^9, 3.465574293861824*^9}, {3.4655743248790073`*^9, 
   3.4655744081135187`*^9}, {3.465574445081316*^9, 3.465574505535719*^9}, {
   3.465574632684881*^9, 3.4655746391777487`*^9}, {3.465574672764474*^9, 
   3.465574693740353*^9}, {3.465575016321188*^9, 3.465575053517034*^9}, 
   3.465575104805496*^9, {3.4655751397237883`*^9, 3.465575168976925*^9}, {
   3.465575210646141*^9, 3.465575228027964*^9}, {3.465575265613723*^9, 
   3.465575277693184*^9}, {3.4655753171634893`*^9, 3.465575484602343*^9}, {
   3.465575618619853*^9, 3.465575684234303*^9}, 3.4655757892362747`*^9, {
   3.46557587478942*^9, 3.465575880771823*^9}, {3.465576606376596*^9, 
   3.465576617759502*^9}, {3.4655766491334457`*^9, 3.4655767035958557`*^9}, {
   3.465576759437418*^9, 3.46557677207977*^9}, {3.4655768689678717`*^9, 
   3.4655768942496853`*^9}, {3.465576945357085*^9, 3.465576945762547*^9}, 
   3.4655770023700933`*^9, {3.465577038649941*^9, 3.4655770387786207`*^9}, {
   3.465578503184902*^9, 3.465578503321292*^9}, {3.465578546682539*^9, 
   3.465578623269456*^9}, {3.465578666455513*^9, 3.465578728310149*^9}, {
   3.465578803092869*^9, 3.465578838586247*^9}, 3.465578878928299*^9, {
   3.465578954032192*^9, 3.4655790162858887`*^9}, 3.465579104588793*^9, {
   3.465579451053286*^9, 3.4655794534044523`*^9}, {3.465579525072508*^9, 
   3.465579674346468*^9}, {3.46557974097079*^9, 3.465579764812697*^9}, {
   3.465579795384829*^9, 3.46557987713352*^9}, {3.465579924041194*^9, 
   3.4655799374559097`*^9}, {3.465579972837372*^9, 3.4655800265033407`*^9}, {
   3.4655802248199377`*^9, 3.4655802495654593`*^9}, {3.465580325795764*^9, 
   3.465580336701581*^9}, {3.4655803740231524`*^9, 3.4655804468046837`*^9}, {
   3.46558055609418*^9, 3.46558057219527*^9}, {3.465580659420458*^9, 
   3.465580666598775*^9}, {3.465580720270103*^9, 3.465580729921771*^9}, {
   3.465580935364655*^9, 3.4655809402438583`*^9}, {3.4655810039056997`*^9, 
   3.465581008054833*^9}, {3.465581142286564*^9, 3.465581160525547*^9}, {
   3.465581250997837*^9, 3.465581257553442*^9}, {3.465581312974161*^9, 
   3.465581314540832*^9}, {3.4655835976332903`*^9, 3.4655836078627453`*^9}, {
   3.4656236916531487`*^9, 3.4656237447286043`*^9}, {3.465623790530498*^9, 
   3.465623889522846*^9}, {3.4656240190285177`*^9, 3.465624182817553*^9}, {
   3.465624254036419*^9, 3.465624257305962*^9}, {3.465624316610738*^9, 
   3.465624378446978*^9}, {3.465624412130642*^9, 3.465624462975915*^9}, {
   3.465624502494646*^9, 3.465624514430359*^9}, {3.465624569093693*^9, 
   3.465624623676222*^9}, {3.465624741040339*^9, 3.4656247557253923`*^9}, {
   3.465624797328294*^9, 3.465624798380728*^9}, 3.465624864809816*^9, {
   3.4656249334263372`*^9, 3.465624989748629*^9}, {3.465625045697172*^9, 
   3.46562512526678*^9}, 3.465625200064938*^9, {3.465625269264884*^9, 
   3.465625350735607*^9}, {3.4656256713027563`*^9, 3.465625688403412*^9}, {
   3.465625733496653*^9, 3.4656257379246187`*^9}, {3.465627151558185*^9, 
   3.465627228934272*^9}, {3.4656272793590918`*^9, 3.465627295036233*^9}, {
   3.465627332129629*^9, 3.465627428367568*^9}, {3.465627460431657*^9, 
   3.465627585954791*^9}, 3.465627811205817*^9, {3.465627937846777*^9, 
   3.4656279455299892`*^9}, {3.4656279863096943`*^9, 
   3.4656280369755917`*^9}, {3.465655360342271*^9, 3.465655377782113*^9}, {
   3.4656554154225817`*^9, 3.465655422789764*^9}, {3.4656554528167477`*^9, 
   3.46565546907191*^9}, {3.46565551065349*^9, 3.465655515467448*^9}, {
   3.4656557656804523`*^9, 3.46565576957381*^9}, {3.4656558015617933`*^9, 
   3.465655828262125*^9}, {3.465656433386426*^9, 3.465656665071052*^9}, {
   3.465656756151947*^9, 3.4656568326385193`*^9}, {3.465656888704546*^9, 
   3.465656982390821*^9}, {3.465657014918744*^9, 3.465657117976486*^9}, {
   3.465657154262496*^9, 3.465657170895995*^9}, {3.4656572177651873`*^9, 
   3.4656572693016243`*^9}, {3.465657315823264*^9, 3.4656573999738626`*^9}, {
   3.4656574406489153`*^9, 3.465657484744974*^9}, {3.465657975465352*^9, 
   3.465657985454446*^9}, {3.465658064820381*^9, 3.465658155729888*^9}, {
   3.4656581901336393`*^9, 3.465658207597032*^9}, {3.4656582747640963`*^9, 
   3.4656582914153023`*^9}, {3.4656583495425377`*^9, 
   3.4656583580368633`*^9}, {3.465658433476178*^9, 3.465658481262164*^9}, {
   3.465659566335446*^9, 3.465659586621191*^9}, {3.4656596179654512`*^9, 
   3.465659656258849*^9}, {3.465659780766543*^9, 3.465659840773966*^9}, {
   3.4656599027842827`*^9, 3.4656599082339573`*^9}, {3.465660113096056*^9, 
   3.465660173102746*^9}, {3.465660270316475*^9, 3.46566032339786*^9}, {
   3.4656603851360598`*^9, 3.465660449040029*^9}, {3.465660514606588*^9, 
   3.465660544755846*^9}, {3.465660614851905*^9, 3.4656606152445393`*^9}, 
   3.465660658616091*^9, {3.465660812741476*^9, 3.465660926247828*^9}, {
   3.465660965736331*^9, 3.465660988653728*^9}, {3.465661044891677*^9, 
   3.4656610609002666`*^9}, {3.465661219292296*^9, 3.465661300365075*^9}, {
   3.465661359121211*^9, 3.465661376985186*^9}, {3.4656614087833157`*^9, 
   3.465661472988636*^9}, {3.465661574784706*^9, 3.465661575865888*^9}, {
   3.4656622154226017`*^9, 3.4656622884365187`*^9}, {3.465662382859021*^9, 
   3.465662400919187*^9}, {3.4656625277336197`*^9, 3.46566256400817*^9}, {
   3.465662910083386*^9, 3.4656629584339933`*^9}, {3.465663082667159*^9, 
   3.465663162040525*^9}, {3.465663221806952*^9, 3.465663246346797*^9}, {
   3.465663333903372*^9, 3.465663450070444*^9}, 3.465663482560158*^9, 
   3.465663583203122*^9, {3.465671345988412*^9, 3.465671489710845*^9}, 
   3.4656715282173758`*^9, {3.4656718735722322`*^9, 3.465671952905613*^9}, {
   3.4656726710047073`*^9, 3.465672686901452*^9}, {3.465701040212716*^9, 
   3.465701055094802*^9}, {3.465701141066224*^9, 3.4657011452397623`*^9}, 
   3.465701253945804*^9, {3.465705746398048*^9, 3.465705760283269*^9}, {
   3.465705824699265*^9, 3.465705846857361*^9}, {3.4657346676155233`*^9, 
   3.465734772549265*^9}, {3.465735091973365*^9, 3.465735093427126*^9}, {
   3.465735229822377*^9, 3.465735232108325*^9}, {3.4657353037229*^9, 
   3.465735314732222*^9}, {3.4657354957154007`*^9, 3.465735505366913*^9}, {
   3.465735607823872*^9, 3.465735626874496*^9}, {3.465790216731202*^9, 
   3.465790262149719*^9}, {3.4657903567268543`*^9, 3.465790376480041*^9}, 
   3.46579058139338*^9, {3.465790730030363*^9, 3.465790803060473*^9}, {
   3.465790839616994*^9, 3.465790901362358*^9}, {3.465790963583799*^9, 
   3.4657909951308527`*^9}, {3.465791103212056*^9, 3.465791141612713*^9}, {
   3.465791252586924*^9, 3.4657912570487223`*^9}, {3.4657912983489027`*^9, 
   3.4657913154690847`*^9}, {3.4657913530049677`*^9, 
   3.4657913958558807`*^9}, {3.465897062837819*^9, 3.465897068499846*^9}, {
   3.465897204680583*^9, 3.4658972100330544`*^9}, {3.465897263296154*^9, 
   3.465897321933271*^9}, {3.465897353317871*^9, 3.4658974544768257`*^9}, {
   3.465897592019513*^9, 3.4658975956235237`*^9}, {3.465897628774077*^9, 
   3.465897632054006*^9}, 3.465897666357004*^9, {3.465897748539562*^9, 
   3.465897823696476*^9}, {3.465897887286646*^9, 3.465897897894557*^9}, {
   3.4658982697241917`*^9, 3.46589840455245*^9}, {3.465898439713636*^9, 
   3.465898485305531*^9}, {3.46590247894525*^9, 3.4659024996395397`*^9}, {
   3.4659026442293797`*^9, 3.465902652578075*^9}, {3.4659027188153763`*^9, 
   3.465902758293314*^9}, {3.465902810271881*^9, 3.465902865581642*^9}, {
   3.465903029168367*^9, 3.465903055502783*^9}, {3.4659031594239693`*^9, 
   3.4659032630408573`*^9}, {3.465903318646821*^9, 3.465903318773539*^9}, {
   3.465904150973638*^9, 3.465904187878807*^9}, {3.4659098181212378`*^9, 
   3.465909822525042*^9}, {3.4659098858200397`*^9, 3.4659099298632603`*^9}, {
   3.465909966477581*^9, 3.4659099675538607`*^9}, {3.4659100697025146`*^9, 
   3.4659100908361177`*^9}, {3.465910127555111*^9, 3.465910129181756*^9}, {
   3.4659101692236853`*^9, 3.4659101693354473`*^9}, {3.465910273250264*^9, 
   3.4659102751265507`*^9}, {3.4659105757676086`*^9, 3.465910628146078*^9}, {
   3.465910698954447*^9, 3.4659107033587523`*^9}, {3.465911103839314*^9, 
   3.465911116579052*^9}, {3.465911169422748*^9, 3.4659111701149273`*^9}, {
   3.46591120978334*^9, 3.465911308412981*^9}, {3.465911436748592*^9, 
   3.465911443259716*^9}, {3.4659115294940434`*^9, 3.4659115355414457`*^9}, {
   3.4659118808297586`*^9, 3.465911958563995*^9}, {3.465912063988792*^9, 
   3.4659122491326237`*^9}, {3.465912299932047*^9, 3.4659123002587643`*^9}, {
   3.4659124594760237`*^9, 3.4659124881785183`*^9}, {3.465912541238057*^9, 
   3.465912556448564*^9}, {3.4659126370560503`*^9, 3.4659126535328703`*^9}, {
   3.465912940966053*^9, 3.465913024180252*^9}, {3.465913070228541*^9, 
   3.4659130715241632`*^9}, {3.4659131835129423`*^9, 3.465913210762187*^9}, {
   3.465913304206563*^9, 3.465913338495668*^9}, {3.465913497310973*^9, 
   3.465913511475379*^9}, {3.465971364338728*^9, 3.465971428505445*^9}, {
   3.465989094534669*^9, 3.465989114733775*^9}, {3.485365197817862*^9, 
   3.485365248712997*^9}, {3.485365452557206*^9, 3.485365456606084*^9}, {
   3.485365577790907*^9, 3.485365607257162*^9}, 3.48536569421336*^9, {
   3.4853657688384647`*^9, 3.485365779806677*^9}, {3.485366060274013*^9, 
   3.4853660615923767`*^9}, {3.4853661222181883`*^9, 3.485366129144573*^9}, {
   3.4853661986993103`*^9, 3.485366212098522*^9}, {3.485366254124207*^9, 
   3.485366254921624*^9}, 3.485366325505149*^9, 3.485366370930416*^9, 
   3.485366468445985*^9, {3.485366560289199*^9, 3.485366600934506*^9}, {
   3.4853667018953648`*^9, 3.485366709306045*^9}, {3.485366766968611*^9, 
   3.485366801780795*^9}, {3.485366851947474*^9, 3.4853669202867813`*^9}, {
   3.485366950864828*^9, 3.485366958725018*^9}, {3.485367051482304*^9, 
   3.485367052064692*^9}, {3.485367094338255*^9, 3.485367099645536*^9}, {
   3.4853673455932903`*^9, 3.485367378430901*^9}, {3.485367739143951*^9, 
   3.485367743105833*^9}, {3.485368075592008*^9, 3.485368093708259*^9}, {
   3.49422311202252*^9, 3.494223136375718*^9}, {3.494223321273625*^9, 
   3.494223525133731*^9}, {3.4942235555133743`*^9, 3.494223555671504*^9}, {
   3.494224049494841*^9, 3.494224062739341*^9}, {3.4942243101860237`*^9, 
   3.494224313631852*^9}, {3.494224354916297*^9, 3.494224386215255*^9}, {
   3.494224425550374*^9, 3.494224432768323*^9}, {3.494224463652638*^9, 
   3.4942245384734993`*^9}, {3.4942247359001637`*^9, 3.494224817994205*^9}, {
   3.494224901526523*^9, 3.4942249193249893`*^9}, {3.494224966232746*^9, 
   3.4942250613665047`*^9}, {3.4942251028486357`*^9, 3.494225132049185*^9}, {
   3.494225196132193*^9, 3.4942252260001173`*^9}, {3.494334996080838*^9, 
   3.494334996542643*^9}, {3.4945581189469624`*^9, 3.494558119416727*^9}}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1615, 980},
WindowMargins->{{64, Automatic}, {Automatic, 42}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{$RootDirectory, "Users", "willy", 
   "Library", "Mathematica", "SystemFiles", "FrontEnd", "StyleSheets"}, 
  "MyStyleSheet.nb", CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 227, 6, 61, "Subsection"],
Cell[797, 30, 147, 4, 69, "Text"],
Cell[CellGroupData[{
Cell[969, 38, 123, 2, 30, "Subsubsection",
 InitializationGroup->True],
Cell[1095, 42, 1183, 32, 108, "Input",
 InitializationGroup->True],
Cell[2281, 76, 1040, 30, 184, "Input",
 InitializationCell->True,
 InitializationGroup->True],
Cell[3324, 108, 462, 13, 72, "Input",
 InitializationGroup->True],
Cell[3789, 123, 3587, 93, 352, "Input",
 InitializationGroup->True],
Cell[7379, 218, 1998, 48, 165, "Input",
 InitializationGroup->True],
Cell[9380, 268, 1753, 43, 165, "Input",
 InitializationGroup->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[11170, 316, 94, 1, 30, "Subsubsection"],
Cell[11267, 319, 46538, 965, 3488, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
